Stone Soup 0.35 (through 0.35-a0-535-e467b9c7cb )
--------------------------------------------------

Highlights
----------
* A new species: Gale Centaurs, customizable descendents of the Four Winds.
* A new portal: Gulch.

Artefacts
---------
* New unrand: "Fimbulwinter", a +9 athame which inflicts Doom on monsters hurt
  by the wielder's cold damage.
* New unrand: the swamp witch's dragon scales, a +5 set of swamp dragon
  scales that inflicts poison upon enemies the wearer afflicts with debuffs.
* New unrands: the fire dragon occultist's scales and ice dragon arcanist
  scales, +5 and +6 sets of fire / ice dragon scales that help with casting
  Fire / Ice Magic and apply the Exposed debuff to enemies you injure with
  fire / cold damage.
* The Amulet of the Four Winds has been rename the Amulet of Tranquility.
* The Glaive of Prune is now the Partisan of Prune, and is otherwise unchanged
  aside from the new base weapon type.
* Zephyr has been reworked completely: it is now a +12 longbow of {Dex+5 Fly}
  with the new Salvo property, which makes firing it also fire additional
  shots at up to four other unobstructed foes in range.

Branches, Environment
---------------------
* A new timed portal: the Gulch, appearing in the Vaults.
  - Entering the Gulch inflicts three transient bad mutations.
  - It contains seven new enemies, many of them chaotic mutant beasts and
    abandoned experiments, focusing on debuffs, poison, and antimagic.
  - Its layout features heavily randomized tunnels and intersections with mould
    patches, stacks of scrap, and only occasional strips of water.
  - Item rewards weight poison, Alchemy, Hexes, Forgecraft, and potions more
    heavily.
  - Gulches always contain a purified mutation catalyst, a new level feature
    which can be interacted with to gain a single random good mutation
    (which doesn't restrict equipment slots).
* New terrain type: patches of mould, which automatically sprout fungus on top
  of themselves and slowly regrow it whenever it dies.
* Troves now contain better weapons, a small additional chances for manuals,
  and more reliably offer bardings to the species which can wear them.
* Ziggurats now provide fewer potions of experience and more potions of mutation
  after fully completing each Ziggurat.
* Ziggurats now reward approximately three times as much exploration piety.

Character
---------
* New species: Gale Centaurs, half-human half-horse descendants of the Four
  Winds, who are empowered by rampaging towards foes and can trample whole
  groups of them backwards.
  - They have +10% base hp, large size, Hooves 3 and Deformed Body innate
    mutations, as well as innate Rampaging
  - At XL 1, rampaging towards monsters grants the Stampede status, allowing you
    to trample groups of enemies backwards, as long as you keep moving.
  - At XL 5, you begin embodying one of the Four Winds based on your highest
    skill, granting additional benefits when rampaging:
    - North Wind: You rapidly regenerate 70% of all damage taken whil
      rampaging. (Granted by Unarmed Combat and all melee weapon skills besides
      Short Blades.)
    - South Wind: You have +50% stealth while rampaging and successful stabs
      grant you the Tailwind status, making your next rampage movement instant.
      (Granted by Short Blades and Stealth.)
    - West Wind: Rampaging while wielding a ranged weapon fires a powerful
      penetrating shot that pushes enemies backwards and also grants you a
      charge of Salvo, making your non-rampage attacks fire additional shots at
      up to four other targets. (Granted by Ranged Weapons.)
    - East Wind: Rampaging restores a small amount of MP and makes all enemies
      within 2 tiles of you Exposed, increasing the damage and accuracy of
      spells and abilities against them for a short while. (Granted by any
      spell school skill.)
  - New autofight_stampede option: allows autofight to trample forward while you
    have the Stampede status.
* Revenant's spellclaw attacks while Enkindled now properly heal from enhancer
  staff damage.
* Revenants now have -2 Staves and Evocations aptitude (down from -1).
* New mutation: spark swarm, which makes fire and electric damage you deal
  have a high chance to outline foes in light.
* Removed species: Armataurs.

Gods
----
* All piety decay and piety costs for receiving most god gifts has been
  removed. Piety gain has been adjusted such that most gods should see
  little change from this, though Sif Muna's and Trog's piety gain should
  increase.
* Worshippers are completely forbidden from using or equipping items and spells
  directly hated by their god, rather than enforcing penance.
* Hepliaklqana's knight ancestor has received multiple changes.
  * At XL 15, they can bind enemies they hit with their melee attack in place.
  * At XL 19, they learn Bolster (giving them Might + Resistance) instead of
    Haste.
  * At XL 24, they get an additional +25% HP.
* Hepliaklqana's battlemage ancestor has been replaced with an elementalist
  ancestor, which casts destructive magic more frequently and prefers to avoid
  approaching enemies on its own, but is much frailer in melee.
  * At XL 1, they cast Shock, Stone Arrow, and Deflect Missiles.
  * At XL 15, they replace Shock with Iceblast and Bolt of Magma.
  * At XL 19, they replace Stone Arrow with Lee's Rapid Deconstruction and gain
    increased damage on all spells.
  * At XL 24, they replace Iceblast and Bolt of Magma with Permafrost Eruption
    and Plasma Beam.
* Nemelex's Elements card now summons lindwurms and mountainshells instead of
  molten gargoyles and war gargoyles.
* Okawaru no longer gifts orbs.
* Sif Muna has received multiple major changes:
  * They now reward piety for exploration instead of kills.
  * The rate of gifting books is no longer affected by piety above 5* (in
    general, this means receiving books slightly earlier, and ability usage
    no longer reducing the number of gifts received).
  * They no longer use the Invocations skill. The success rate and power of
    Channel Magic and Divine Exegesis now depend on Spellcasting skill instead.
  * Divine Exegesis now briefly grants the Repeat Exegesis ability, allowing
    you to repeatedly cast the same spell at a greatly reduced piety cost.
* Trog's Brothers in Arms now scales with XL instead of piety, and can now
  also summon elephants, death yaks, skysharks, dire elephants, and ettins.
* Trog now fully forbids all but gnolls training magic skills, and permits
  worshippers to read scrolls of amnesia.
* Xom has been altered yet further:
  - Xom gets bored somewhat faster on mostly-cleared floors, will no longer
    provide certain beneficial strategic effects on mostly-cleared floors, and
    inflicts more draining and Doom when bored on mostly-cleared floors.
  - New Xom effects: mass blinkitis and blinding, mass chaos lace and vexing.
  - Xom's hyper-buffing an ally effect is even stronger than previously.

Interface and Options
---------------------
* Targeting for ranged weapons, throwing, and many spells (both when done
  manually and via autofight) is now better at avoiding plants and
  statues, and ranged combat will prefer shots that include additional
  enemies in their path, where possible.
* It is now possible to deliberately aim non-penetrating attacks past
  plants and other firewood.
* Examining jellies and other acidic slimes now displays the acid splash
  damage for hitting them in melee.
* Examining weapons now also mentions when shields would slow down their
  attack delay.
* The mon_glyph option now supports elemental colours.
* Stash search (ctrl-f) now sorts by categories (putting items before features)
  and then distance, rather than solely by distance.
* New option: alt_shatter_animation, which provides a different visual effect
  for Shatter without any screenshake, set by default as true on Webtiles and
  false otherwise.
* New option: longwalk_range, which allows customizing the maximum distance
  pressing shift+[direction] can move the player.

Items
-----
* New weapon: athames, uncommon one-handed short blades that deal additional
  damage to foes suffering from debuffs (and can have the highest base damage
  of any short blade against sufficiently afflicted foes.)
* Archery-ego armour now has 66% less encumbrance reduction for the purposes of
  ranged weapons (up from 50% less).

Monsters
--------
* The Gulch comes with many new monsters:
  - Fungal shamblers, which raise up to 3 burstshrooms behind those they hit
    in melee.
  - Mongrel wurms, crossbreeds drakes with Harpoon Shot, Scorch, and strong
    poison bites.
  - Roaming sludgefish, which hurl sludge and launch bolts of antimagic.
  - Rusted inspectors, magic-weakening constructs with corrosive melee.
  - Scrapshell chimeras, durable summoners capable of unleashing swarms of
    mutagenic ghosts.
  - Sewage sovereigns, monstrous pigs who stampede rapidly over their foes.
  - Telencephalons, floating brain experiments with psychokinetic retaliation
    effects.
* Josephina can now cast Dominate Undead.
* Quicksilver elementals are now amorphous, making them immune to
  constriction-themed effects and resistant to Shatter.
* Screaming refractions are now nonliving, rather than undead.
* Thorn hunters have completely new briar patch behaviour, now entrapping
  their foes inside small rings of briars as well as surrounding themselves
  defensively whenever their foe gets close or injures them.
* Ynoxinuls now summon berserk ufetubi.
* Monsters are no longer prevented from flanking and swooping while berserk.
* Player ghosts now can cast Construct Spike Launcher and Splinterfrost Shell.
* Many monster glyphs have been reorganised and now use Unicode characters
  by default.

Spells
------
* The Imbue Servitor and Attune Weapon abilities for Spellspark Servitor and
  Platinum Paragon are now usable by any Sif Muna worshipper with access
  to Divine Exegesis, as long as those spells are in your library.
* Malign Gateway's portals can now spawn over shallow water and most decorative
  features, and more than one can exist on a level at the same time (so long
  as each was opened by a different caster).

Tiles
-----
* New tiles for existing game elements:
  - Monsters: bear simulacra.
  - Features: altars to Elyvilon, Okawaru, and Kikubaaqudgha.
  - Items: the partisan of Prune.
  - Player paper dolls: nearly all melee randart weapons.
  - VFX: Leda's Liquefaction, Eringya's Noxious Bog, Permafrost Eruption, the
         Singing Sword singing, the shillelagh "Devastator"'s blasts, slime
         creatures merging, Drain Life, Mlioglotl's Corruption, nearly all
         electric spell effects.
* New floor tiles for vaults: necromantic floor tiling, rainbow etchings, Lom
  Lobon's realm.
* Spectral monster tiles have been changed and updated, now covering even more
  monsters than any previous derived undead type.

Stone Soup 0.34.1 (20260314)
----------------------------

Bugfix release
--------------
* Fix the Lua error handler causing slowdowns seen in vaults like Pan's Disco
  Hall.
* Properly mark unidentified talismans evil/chaotic as appropriate.
* Allow deconstructing forgecraft allies while wielding a ranged weapon.
* Fix Freezing Cloud not having a self-damage warning prompt.
* Fix the force_more prompts for dancing weapons of distortion.
* Fix banished Orb Guardians not activating the Boundless Tesseracts.
* Fix Duel/Banishment on top of a portal entrance expiring that entrance.
* Prompt for wearing any talisman that would lower max HP by more than 10%.
* Fix randart Bane scarves having hidden AC (Back-form)
* Fix Revenant spells being free and boosted by Enkindle if cast via Sif
  Muna's Divine Exegesis.
* Fix removing Fragile equipment not triggering unequip effects before being
  destroyed.
* Don't have Dithmenos' Marionette treat monsters it charms as hostile for
  subsequent actions.
* Fix Dominate Undead not working properly for friendly casters.
* Fix the force_scroll_targeter option interfering with ability targeters.
* Fix anacondas taking no damage from cactus giant spines.
* A new clua function you.zot_orb_monster() to see the type of orb monster the
  player will face in Zot, if known.
* New clua functions for checking visibility between cells:
  view.cell_see_cell_no_trans(), view.cell_see_cell_solid(), and
  view.cell_see_cell_solid_see().
* 36 other bug fixes, interface improvements, and documentation updates.


Stone Soup 0.34.0 (20260205)
----------------------------

Highlights
----------
* Players can now carry an unlimited number of consumables.
* Big overhauls to strategic damage, adding new types and reducing mutation.
* Dozens more new monsters have been spread throughout the Dungeon.
* Many new egos have been added for weapons, armour, amulets, and orbs.
* Troves, the Slime Pits, and the Halls of Zot have received major updates.

Artefacts
---------
* The faerie dragon scales now has a higher average enchantment, can sometimes
  come with evokable invisibility, and is a Hexes enhancer.
* The Mask of the Dragon loses its Will+ and Slay+3 modifiers to gain +2
  enchantment and the ability to rarely summon dragons when using invocations,
  with dragon choices scaling to one's XL.
* The Orb of Wucad Mu is no longer twice as likely to trigger as other orbs of
  energy, but now has a chance to apply antimagic to monsters after channelling
  mp for successful spells casts.
* The Scales of the Dragon King no longer has Will+, and instead has the new
  Command ego.
* The Sword of the Doom Knight has been renamed to the Sword of the Dread
  Knight.
* Randarts can now come with a Bane property, which inflicts a Bane on the
  player when equipped. Randarts with this property have higher enchantment.
* Armour egos that are not otherwise in the regular randart property pool can
  now occasionally appear once per randart as the randart's base ego.
* Removed unrands: the Sword of Power.

Branches, Environment
---------------------
* The Lair of Beasts now contains more decorative vaults as well as increased
  chances to see decorative vaults each game.
* The staircases to and from Vaults:5 now have unique tiles and descriptions.
* The Crypt end vault's old thematic item rewards have been moved into a unique,
  guaranteed shop containing a larger quantity of the prior options at high
  prices.
* The Slime Pits has received layout changes:
  - All staircases in the branch are now slimy and can no longer be climbed back
    up until The Royal Jelly is dead (or the player worships Jiyva).
  - Going down on a slimy staircase confers a status that greatly increases HP
    and MP regen for a short while.
  - All floors are now fully connected and up and down stairs are placed further
    apart.
  - Altars to Jiyva are guaranteed on Slime:2-4 with a 50% chance for one on
    Slime:1.
* The Depths now more consistently contains threatening minivaults.
* The Halls of Zot will now contain one of three types of orb monster each game,
  each wielding a different element and form of strategic damage.
  - The orb type one will encounter that game is indicated via statues placed
    by the Temple entrance in the Dungeon and the Zot entrance in the Depths.
    This can also be viewed from the Dungeon overview screen (ctrl+O) once seen.
* The last floor of Zot now contains two Boundless Tesseracts, immobile enemy
  spawners with fast regeneration.
  - Tesseracts wake up the first time one kills an Orb Guardian. Once a
    tesseract wakes up, both are automatically detected, and 4 to 7 new monsters
    will appear outside of the Orb vault. Further monsters will spawn at random
    locations across the entire floor on average of once every 50 turns. These
    will always be outside of the player's sight until at least 50 monsters have
    been created this way. These spawns reward no XP, are marked as originating
    from the tesseracts, are capped to 60 on the floor at a time, and will
    continue to spawn in a limited capacity when on other floors.
  - Destroying one tesseract will destroy both, dismiss all tesseract-created
    monsters, and daze all other monsters in sight of the tesseract for ~9
    turns.
* The Orb status from being in Zot or having picked up the Orb of Zot now also
  fuzzes the destination of scrolls of blinking by up to two spaces.
* The depth at which the player enters the Abyss is now based upon their XL,
  regardless of whether they arrive by banishment or entering a gateway
  themselves.
  - Abyss shifts can no longer pull the player deeper than they otherwise would
    have entered it (unless they spend a while there at max XL), and the Abyss
    will no longer 'remember' the deepest depth a player previously reached.
  - Finding the rune on Abyss:4-5 takes longer on average than before.
* Hell effects can now inflict a small amount of Doom instead of inflicting
  transient mutations.
* Troves' prices and contents have been heavily revised:
  - Troves will no longer ask for any consumables besides scrolls of acquirement
    and will no longer ask for specific named items from shops.
  - Equipment costs are less common. Demon weapons are all interchangeable and
    heavier dragon scales are rarer.
  - The Slimy / Abyssal rune troves and Horn of Geryon troves are more common.
  - Piety troves now use a new debuff that temporarily caps one's piety at 0
    until XP is gained instead of permanently draining it, allowing them to
    function with more gods than before.
  - New trove costs include accepting pre-announced Banes and being extremely
    drained.
  - Trove contents are no longer grouped by item category, and contain a
    slightly lower amount of higher-quality items themed after spell namesakes
    or unrand items. These items are also far less likely to be useless
    according to god restrictions or species limits.
  - Potential troves to discover include The Dread Knight's Derelict Chapel,
    Eringya's Secret Bog, The First Justicar's Armoury, Leda's Sunken Stockpile,
    The Lost Hoard of Erebora, The Name-Rending Infernalists' Reservoir, The
    Octopus King's Forgotten Garden, Ozocubu's Refrigerator, Rutra's Hidden
    Sanctum, The Storm Queen's Palace Crash Site, a devouring Rift, and an
    orange crystal hatchery.
* Dispersal traps now have a short cooldown after triggering before they can
  trigger again.
* Harlequin's traps' chaos lace buff now stacks on top of any other attack
  brands a monster previously had.

Character
---------
* Players can now accumulate Doom from enemies and other hostile effects, a
  new form of medium-term damage displayed as a percentage. Doom has no effect
  on its own and disappears with gaining experience, but at 100% causes one to
  gain a random Bane, which itself only disappears with gaining significantly
  more experience differing between Bane types. Banes include:
  - Bane of Claustrophobia, which lowers melee damage and accuracy for each
    wall the player is adjacent to.
  - Bane of the Dilettante, which reduces the player's highest weapon skill
    as well as their two highest magic / invocation / evocation skills.
  - Bane of Electrospasm, which makes suffering electric damage sometimes
    inflict the -Move status.
  - Bane of Heatstroke, which makes suffering fire damage sometimes Slow you.
  - Bane of the Hunted, which makes any creatures summoned by enemy appear
    next to the player, last longer, and be better at tracking you.
  - Bane of Lethargy, which slows the player's movement speed.
  - Bane of Mortality, which gives a chance for reapers to appear near wounded
    players when no other enemies are around.
  - Bane of Multiplicity, which gives a chance for any monster you fight to
    create fragile clones of itself.
  - Bane of Paradox, which gives a small chance for each new monster you
    encounter to learn Manifold Assault with a chance to blink after casting it.
  - Bane of Snow-blindness, which makes suffering cold damage sometimes inflict
    Blind and Weak.
  - Bane of Stumbling, which inflicts -25 EV when moving or standing still.
  - Bane of Succour, which makes killing enemies heal other nearby enemies
    based on the slain foe's max HP.
  - Bane of Warding, which gives a small chance to give groups of monster the
    Warding buff when first seen, which grants damage immunity from non-adjacent
    sources of damage.
* Undead species and forms lose Doom and Banes half as quickly as other species.
* Player contamination has been heavily adjusted.
  - The exact amount one is contaminated is now indicated as a percentage in the
    sidebar. Harmful effects begin at 100% and cap at 300%.
  - Crossing the 100% threshold is more likely to result in a bad mutation than
    before (but very high amounts are less dangerous). Mutations gained this
    way no longer ignore rMut.
  - Explosions from contamination are now possible at a lower threshold, ignore
    AC, and are more damaging. Their potential damage can be seen on the %
    screen.
  - Many existing effects have been rescaled to be similarly dangerous as before
    this change.
* New mutations:
  - Booming Voice, which makes reading scrolls in sight of enemies incredibly
    loud.
  - Efficient Metabolism, which doubles the duration of potion status effects.
  - Feed Off Suffering, which restores HP and MP after killing poisoned or
    drained foes.
  - Initially Attractive, which sometimes pulls monsters close to the player
    when first seen (and then sometimes wakes them up).
  - Lucky, which gives a small chance for floor items the player encounters to
    be randarts.
  - Meek, which provides negative Slaying.
  - Potion Fungus, which sometimes spreads the beneficial effects of potions the
    player drinks to random enemies and allies in sight.
  - Protean Grace, which gives +Slay and +EV based on how mutated you are.
  - Reckless, which cuts your SH in half but gives +15% damage with two-handed
    weapons.
  - Spatial Entanglement, which gives a chance of dragging along another hostile
    monster whenever the player translocates.
  - Spiteful Blood, which may spawn hostile XL-scaling erythrospites when the
    player is injured below 50% of their max HP.
* Other individual mutation changes:
  - Electricity Vulnerability is now in the normal mutation pool.
  - Screaming now gives a small chance to shout loudly whenever the player is
    damaged, rather than when first seeing monsters.
  - Sense Surroundings is now stronger and only has two levels.
  - Teleportitis now gives the player a few turns of a cancellable !Tele!
    status before they will be teleported towards monsters.
  - Thick Fur can now only be mutated by Trolls and Felids.
  - Weak, Dopey, and Clumsy mutations lower their respective stats by
    one more (from -2 to -3.)
  - The unsafe potion and scroll mutations are no longer in the regular
    bad mutation pool.
* Removed mutations: Berserkitis.
* Transient mutations are now only removed by slaying a sufficient number of
  non-trivial monsters, and can no longer roll the three stat loss mutations.
* Players can no longer instantly become Petrified after being affected with
  another source of petrification while mid-petrifying. (Petrification and
  calcifying clouds have become more difficult to resist in kind.)
* Players have a longer stun immunity after being Vexed, and attack as quickly
  as their default attack speed would be.
* Players can now negate intrinsic rPois- with two sources of rPois.
* Players can stack up to 3 sources of rampage.
* Performing an attack while rampaging no longer affects the time that movement
  took. Instead, rampage attacks inflict a half-turn ministun on the target and
  inflict reduced damage if the player's attack speed is slower than their
  movement speed.
* Players succeeding at certain optional challenges can now obtain unique titles
  proclaiming their triumph (or madness).

Gods
----
* Dithmenos's shadow mimic no longer fully heals every time it acts while
  Shadowslip is active. Shadowslip costs more piety, but gives the shadow
  slightly more max HP.
* Gozag's Gold Lust passive now properly displays when monsters are affected
  by it (instead of regularly losing its visual indication before its effects
  ended).
* Jiyva's jellies can no longer eat spellbooks.
* Nemelex's Orb card now consistently provides more orbs with spellpower,
  always aims one orb to the aimed target, and home into targets with fairly
  higher precision than previously.
* Ru's Draw Out Power now also cures mesmerism and fear.
* Ru's Sacrifice Drink and Sacrifice Words passives have been revised: they now
  both prevent using potions or scrolls with monsters in sight while your HP is
  high (and have no effect when badly injured).
* Vehumet's first level 1 spell gift is now given immediately upon worship.
* Vehumet's spell gift choices now account for Conjurations and Alchemy skill,
  and skew more to average spell skill levels instead of their sums.
* Wu Jian martial attacks can no longer fail if the player's attack speed is
  slower than their movement speed, but will perform a lower damage attack
  instead.
* Xom has a new action: slightly Dooming the player.
* All gods besides the good gods no longer allow rejoining them if one is
  undergoing their wrath.
* Several wrath adjustments:
  - Fedhas and Jiyva wraths have been simplified.
  - Ignis's Fire Champion effect now gives a monster rF+, 7 AC, adds fire damage
    to their attacks (rather than overwriting their normal effect). It can be
    applied to a wider range of monsters and sometimes multiple at once.
  - Kiku wrath applies the Sign of Ruin instead of tormenting, has a hard cap
    on draining for lower amounts that can no longer be resisted by rN+, and
    also now applies Doom.
  - Okawaru wrath summons are more varied and scale more smoothly to player XL.
  - Qazlal wrath now applies the Banes of Heatstroke, Snow-blindness, and
    Electrospasm instead of transient mutations of rF-, rC-, or rElec-.

Interface and Options
---------------------
* Inventory revamp related changes:
  - The (d)rop menu is now split into 4 different pages for each inventory
    category: gear, potions, scrolls, and evocable items. The current page can
    be changed using either left and right arrow keys or Tab and Shift-Tab.
    - New show_paged_inventory option: disables this page behaviour for the
      (i)nventory screen.
  - Talismans are now considered gear and are (p)ut on instead of e(v)oked.
  - Jewellery autopickup no longer picks up extra copies of non-artifact
    jewellery past the max amount one can wear at a time.
  - Dropping consumables now disables them from autopickup by default.
  - The item_slot option has been replaced with gear_slot and
    consumable_shortcut options.
* Scrolls of fear, silence, vulnerability, immolation, torment, and all sources
  of invisibility now have targetting prompts that highlight which monsters will
  be affected (as well as the chance of affecting them).
  - New force_scroll_targeter option: allows disabling these prompts from
    scrolls (or adding them for several others).
  - New show_invis_targeter option: disables the prompt for sources of
    invisibility.
* Resting now waits by default for all negative effects and transformations, all
  time-based cooldowns, and all magical contamination to wear off.
  - explore_auto_rest_status option: allows adding or changing this list.
* The character overview screen (%) now displays how much damage is prevented
  by each pip of resistance the player has.
  - show_resist_percent option: can be used to hide these numbers.
* Temporary maluses to player AC / EV / SH now always consistently colour those
  values in the status bar as red.
* Sighting monsters is now described as "You encounter an X" rather than
  "An X comes into view."
  - All uniques now cause a --More-- when first encountered.
  - New monster_alert option: allows setting specific monsters or monster threat
    tiers to make a --More-- appear when encountered.
* When monsters move out of the player's sight to a known location, the
  direction they left will be indicated.
* Monsters with any status effects now list the mechanics of those status
  effects on a new tab when examined (xv).
* Sleeping and wandering monsters now display their chance of noticing the
  player each turn when examined (xv).
* The "Trivial" monster threat level threshold is now a little higher.
* Monsters with holy wrath weapons are highlighted by default as having unusual
  items if one is vulnerable to them by being undead or demonic.
* The unusual_monster_items option now has new "vulnerable" syntax that allows
  marking a brand as unusual as long as one has no matching resistance to that
  brand, and can also stop displaying this at a selected XL.
* Vault randarts with specified armour egos rolling randarts will no longer show
  redundant inscriptions (e.g. plate armour of {rF+, rF+}).
* Examining throwable missiles now displays their mulch chance in-game.
* New warn_contam_cost option: warns the player before casting Irradiate if it
  could potentially result in going over 100% contamination.

Items
-----
* Players now have four separate inventories: 52 pieces of gear (including
  throwing weapons), and unlimited potions, scrolls, and evokable items.
  - Each inventory uses a separate 52 letters (ie: both a scroll and a potion
    may be mapped to the same letter at the same time), and most consumables
    now have default letter assignments when identified.
* Parchments now replace the majority of spellbooks found in game, each
  granting knowledge of a single spell.
  - Parchments are much more common than spellbooks used to be, making the
    total number of spells found in the game roughly equal to previous
    versions.
  - Floors with shops past the Dungeon and Lair have increasing likelihood to
    contain an additional parchment shop.
  - Randbooks now only appear in select vaults or via acquirement and
    Sif Muna gifts.
  - Higher-level spells are now somewhat rarer early in the game and more
    common later.
* New talismans:
  - Spore talismans, tier 2 talismans providing Spore Form. This melds one's
    offhand and feet into sporulating fungi, allowing attacks to weaken enemies
    and creating rows of burstshrooms behind them. These burstshrooms explode
    after a short delay and sometimes daze those hit.
  - Eel talismans, tier 3 talismans providing Eel Hands Form. This melds one's
    gloves, weapon, and offhand slots into twin eels, which provide rElec, and
    also make one's melee attacks sometimes produce short-range electric jolts.
    When one falls below 50%, a stronger jolt will trigger immediately.
* New amulets:
  - Amulets of Chemistry, which give an Alchemy enhancer and also grant
    players a small amount of mp whenever they drink non-useless potions.
  - Amulets of Dissipation, which cause time-based negative status effects to
    expire twice as quickly.
  - Amulets of Wildshape, which give +5 Shapeshifting skill.
* New orbs:
  - Orbs of attunement, which double the enhancers provided by wielded
    magical staves and also make melee attacks performed with them restore a
    small amount of MP.
  - Orbs of glass, which may inflict Fragility on nearby enemies whenever
    they're injured, scaling with Evocations skill.
  - Orbs of mesmerism, which inflict Daze on nearby enemies when one is injured
    by melee attacks, are recharged by not moving, and scaled heavily with
    Evocations skill.
  - Orbs of pyromania, which give a Fire enhancer and also produce explosions
    around the wielder whenever they directly kill a monster without using
    attacks, scaling with Evocations skill.
  - Orbs of stardust, which conjure fast-moving shooting star projectiles
    whenever the player first spends MP each combat, scaling with Evocations,
    MP spent, and the number of visible monsters.
* New weapon egos, each exclusive to a given weapon class:
  - Axes of Sundering, which make every sixth consecutive attack strike for
    triple damage and cleave with +1 range.
  - Long blades of Valour, which fire short-ranged penetrating beams of energy
    while their wielders is above 80% of their max hp.
  - Maces of Concussion, which allow their wielders to trample forward whenever
    they hit, briefly stunning pushed foes and dealing +25% damage if the foe's
    back is to a wall.
  - Polearms of Entangling, which may constrict foes they strike.
  - Short blades of Deviousness, which provide temporary Slay and EV after
    stabbing an enemy and make it easier to do so.
  - Staves of Rebuke, which give +10 SH while attacking and redirect blocked
    melee attacks to other adjacent foes.
* New heavy armour egos:
  - Armour of archery, which have halved armour encumbrance penalties for ranged
    weapons.
  - Armour of command, which gives Summoning spells a success chance and
    spellpower bonuses based on one's Armour skill.
  - Armour of death, which gives Necromancy spells a success chance and
    spellpower bonus, but makes all non-Necromancy spells cost as much HP as they
    cost MP.
  - Armour of resonance, which gives Forgecraft spells a success rate bonus and
    also increases the damage of the wearer's melee attacks based on their
    Forgecraft skill.
* New other armour egos:
  - Hats of sniping, which increase ranged weapon and thrown item damage
    against incapacitated foes.
  - Hats and helmets of ice, which give Ice Magic enhancers.
  - Cloaks of air, which give an Air Magic enhancer.
  - Gloves of fire, which give a Fire Magic enhancer.
  - Gloves of parrying, which give SH when using melee attacks, doubled if
    wielding a two-handed weapon.
  - Boots of earth, which give an Earth Magic enhancer.
* Hats are now more likely to get egos.
* Helmets can now get the Light ego, which was previously exclusive to orbs.
* Shields can now get the corrosion resistance ego, and Tower Shields may be
  Ponderous.
* Cloaks of preservation are now renamed to be of corrosion resistance.
* Fire dragon scales encumbrance rating has decreased, from 11 to 9.
* Further talisman changes:
  - Blade Form has been reworked. It is now tier 4, melds nothing, and provides
    two melee auxiliary attacks instead of an unarmed combat bonus. In addition,
    it provides SH while attacking based on your Slaying.
  - Fortress Crab Form now doubles most egos and artifact properties on the body
    armour equipped. It also provides a slightly higher multiplier to body
    armour AC (from +135% at max skill to +150%) and Breathe Rust costs slightly
    less HP.
  - Maw Form is now tier 3. Its bite attack triggers less often with fast
    weapons, but gets additional bonus damage from strength. Kills now heal more
    in total (especially at high skill), but over several turns. It can now
    briefly mesmerise the player when an edible monster is first encountered.
  - Protean talismans can no longer become maw talismans, but can become spore
    talismans instead.
  - Sphinx Form and Vampire Form now see invisible.
  - Vampire Form has a high chance to briefly daze living / demonic / holy
    monsters when they first notice the player, preventing them from shouting.
    The Bat Swarm ability can now be manually cancelled, and its cooldown is now
    shortened by Shapeshifting skill.
  - Werewolf Form now can wear helmets and cloaks.
* Further general orb changes:
  - Orbs of energy and orbs of guile now scale their effects with the wielder's
    Evocations skill.
  - Orbs of light no longer spawn naturally, but are still given to Monks on
    starting the game.
  - Orbs are now more common, and more expensive in shops.
* Talismans are cheaper in shops.
* Stones are now much less common.
* Removed items: rings of fire, rings of ice, orbs of wrath.

Monsters
--------
* Monster staircase behaviour has been heavily adjusted:
  - All monsters now instantly return to the floor they spawned on if they are
    lured more than three floors away from their floor of origin.
  - Monsters left behind on other floors are now more consistent about
    approaching and encircling the last staircase they saw the player use.
  - After travelling through any stairs, known or not, monsters the player
    hasn't seen before will always skip their first turn.
* Wandering monsters no longer automatically notice the player whenever you
  perform attacks, cast spells, or zap wands. In exchange, they are somewhat
  more likely to notice the player each turn (especially strong monsters).
* The Slime Pits have many new and returning monsters:
  - Colossal amoebae, which create copies of themselves when they hit foes.
  - Creeping plasmodia, which launch explosive acid spores that can spread
    weaker plasmodia to other walls.
  - Eyes of draining, rare sights that rapidly drain the player's maximum HP.
  - Morphogenic oozes, whose melee attacks can temporarily turn players into
    jellies.
  - Slymdras, lethally acidic combinations of hydras and slime creatures.
  - Star jellies, which launch shooting stars when seriously injured.
* Two new orb types rotate with orbs of fire in Zot each game:
  - Orbs of Winter, which cast Flash Freeze, Ozocubu's Refrigeration,
    and inflict a new Ostracism debuff that temporarily reduces one's piety.
  - Orbs of Entropy, which cast Bolt of Draining and Acid Ball, and can
    inflict Doom upon their foes.
* New unique: Cassandra, an oracle of Ashenzari who foresees great Doom in
  your future.
* Other new and returning monsters:
  - Bes kemwar, magic-weakening maggot spirits for D.
  - Chonchon, chaotic flying heads for Depths.
  - Clockroaches, time-bending warded insects for D.
  - Cognitogaunts, antimagic starghouls for Crypt and Abyss.
  - Crawling flesh cages, augmented ugly things for Vaults.
  - Drudes, new weak Doom-inflicting tier-5 demons for D and the Abyss.
  - Kobold fleshcrafters, abomination makers for Depths.
  - Kobold geomancers, deconstructing earth mages for D.
  - Mountainshells, warded earthshaking tortoises for Lair.
  - Ravens, Doom-inflicting birds for Lair.
  - Rock fish, wall-swimming fish for D.
  - Screaming refractions, crystal injury-mirroring undead for the Abyss.
  - Undertakers, wall-swimming constructs for Tartarus.
  - Zykzyls, the new malmutating tier-2 demon, now focused on hexes.
* Antaeus trades Flash Freeze for Sleetstrike, a variant of Airstrike that
  inflicts the Frozen status and deals more damage partially resistible with rC.
* Blizzard demons trade out Airstrike and Bolt of Cold for Sleetstrike and
  Deflect Missiles.
* Bone dragons now breathe clouds of excruciating misery, and now have less
  health. They no longer appear in Tartarus, and are now more common in Crypt.
* Cacodemons no longer know Malmutate or Bolt of Devastation, but can cut
  willpower in half with their melee and cast Doom Bolt: a penetrating bolt
  that inflicts Doom on hit.
* Dancing weapons are now explicitly referred to as dancing weapons in-game.
* Death knights trade Injury Mirror for higher stats, an umbra, and Hurl
  Torchlight (like the Yred ability), and now place in the Vaults with draugr
  instead of in late D.
* Doom hounds have been renamed to oblivion hounds.
* Draugr replace skeletons as derived undead monsters, losing health for more
  AC, no speed penalty, an ability to wield weapons regardless of their original
  form, and Doom-inflicting melee. They are rarer than the previous skeletons.
* Earth elementals can now move through walls and statues (which grants no
  innate additional protection beyond cloud immunity), are somewhat faster, and
  hit slightly less hard.
* Eyes of devastation are stronger and can come with a single golden eye.
* Fire bats can no longer rarely spawn over Depths lava and can now rarely
  spawn over late D lava instead.
* Glowing orange brains no longer have Brain Bite.
* Mara now dual-wields demon weapons and has somewhat better body armour.
* The moon troll now is warded from damage from non-adjacent foes, and loses
  Dazzling Flash in exchange for Lee's Rapid Deconstruction.
* Nekomata no longer have Repel Missiles.
* Neqoxecs no longer can inflict permanent mutations, but have a new Warp Body
  spell that deals minor damage and inflicts transient mutations (or Vitrify,
  if the player has already been repeatedly Warped).
* Orb Guardians no longer follow stair-using players off of Zot:5 until the Orb
  of Zot is picked up.
* Oni incarcerators deal less damage and cast Manifold Assault less often.
* Purple very / ugly things now have extra Will and antimagic attacks.
* Reapers have a new non-skeletal flavour and now fly.
* The Royal Jelly can no longer be banished and can produce star jellies when
  injured (in addition to the other types of monsters it could already create).
* Shining eyes trade Malmutate for Mutagenic Gaze, which inflicts contamination
  over time (but is usable anywhere in line of sight).
* Sphinx marauders do less damage on average with their airstrike attacks.
* Sojobo and spriggan air mages now have less EV.
* Vampire bloodprinces now fly.
* Void oozes lose their antimagic attack brand for a new Diminish Spells brand,
  which ignores AC.
* Void ooze and water elemental Engulfing has been revised entirely. They now
  inflict a few turns of Flooded status on hit, which deals a low amount of
  asphyxiation damage each turn and Silences anything that needs to breathe air.
* Monster purple draconians have slightly less Willpower, and classed draconians
  have more Willpower.
* Monster allies should no longer be able to injure the player with explosion
  spells.
* Mummy death curses now inflict more Draining, less Torment and Slow, and
  have a chance to inflict Doom.
* Monster miniparalysis now consistently lasts 15 aut and is no longer affected
  by how fast or slow one's pre-paralysis action was.
* Monsters with necromancy spells deal more damage with pain brand weapons.
* Monsters that know Blink and its variations will more consistently cast it to
  escape nets.
* Monster Corrosive Bolt now has a higher chance to corrode for higher amounts
  and does slightly more damage.
* Monster Bolts of Draining are more accurate.
* Monster Flash Freeze accuracy is greatly reduced and damage somewhat reduced.
* Monster Injury Bond's damage redistribution now removes some damage entirely -
  those protected still take 50% of the original damage, but the caster now only
  takes 25%.
* Monster Lee's Rapid Deconstruction now more consistently targets brittle
  players directly (i.e. gargoyles, revenants, and all species in statue-form)
  and is smarter about using more damaging wall types, when available.
* Monster mesmerisation effects (including merfolk siren and merfolk avatar
  songs) now also daze all opposing monsters.
* Monster Repel Missiles has been replaced with Deflect Missiles, which
  increases their effective EV against missiles by 24 (previously 15).
* Monsters' blindness resistance has been refactored: all sources of Blind
  outside of light effects, Enfeeble, and divine powers are limited to
  natural / demonic / holy monsters, while light can also work on undead and
  Enfeeble / most divine Blind effects ignore Blind resistance entirely.
* All jelly and eye-type monsters are now immune to acid.
* Daze now makes monsters skip their actions until they take any damage,
  instead of giving them a 1-in-4 chance to skip each action (but last less time).
* Removed monsters: giant cockroaches, Psyche.

Spells
------
* Curse of Agony's range has been increased by 1.
* Dazzling Flash has been renamed Gloom and moved from Hexes / Fire to
  Hexes / Necromancy. It is now silent.
* Enfeeble now inflicts a new Diminished Spells debuff that lowers the target's
  spellpower rather than inflicting antimagic.
* Fortress Blast's explosion radius has been increased from 5x5 to 7x7.
* Hellfire Mortar can no longer be recast until the lava from a previous cast
  has expired, but this lava now disappears more quickly.
* Martyr's Knell's shade now has lower max HP and regeneration (to account for
  the improvement to Injury Bond), but higher AC and EV.
* Both players and monsters failing to resist Petrification while already
  petrifying no longer instantly completes the Petrification, but Petrification
  is slightly more difficult to resist in exchange.
* Silence no longer has an innate Stealth penalty.
* Sphinx Sisters' summons are now slightly weaker and have a shorter duration.
* Summon Horrible Things now increases the caster's Doom rather than sometimes
  inflicting temporary Will- mutations.

Tiles
-----
* New tiles for existing game elements:
  * Monsters: juggernaut simulacra, Maggie, Mara, Polyphemus, sky beast zombies.
    * Sprint specialties: flame-cult kobolds, witches, orb golems.
  * Spells: Confusion Gaze, Mass Regeneration, Vitrifying Gaze, Weakening Gaze.
  * Icons: light egos, frenzied, magnetized, sentinel's mark.
  * Traps: Archmage's trap, devourer's trap, tyrant's trap.
  * Features: exits out of Sewers + Bailies + the Desolation of Salt +
              the Crucible of Flesh, stairs to and from Zot:5.
  * Walls: Lair + Gloorx Vloq's rock walls, Lair + Orc + Elf + Depths entry +
           Zot:5 + Ossuary + Zonguldrok's Shrine stone walls, Vaults +
           Maxwell's Workshop metal walls, Vaults + Depths crystal walls.
  * Floors: Lair, Elf's Hall of Blades, Vaults hard vaults, Vaults:5, Zot
            entry vaults, Cerebov's fortress, grassy vaults, crystal vaults.
  * GUI: exclusions.
* New wall and floor tiles for vaults: stone magic shelves, magic crackling
  stone, vine-coated stone and tile floor, mystic pit floors.
* New Formicid and caustic shrikes splash screen by YLam.
* New Gozag and Vaults splash screen by LemurRobot.

Stone Soup 0.33.1 (20250606)
----------------------------

Bugfix release
--------------
* Fix vampire form not having torment resistance.
* Fix bat swarm form having torment immunity instead of torment resistance.
* Fix breaking cursed items without a prompt when leaving slot-granting forms.
* Fix sphinx and serpent forms having slot items fall off when changing
  temporarily to another form via lignification or polymorph.
* Fix Dithmenos' player shadow not having the same reach as the player when in
  aqua form.
* Fix inconsistencies in handling of beam types:
  - The spells Chain Lightning and Stunning Bolt are now properly 33%
    resistable with rElec instead of only 25% resistable.
  - Mercury Arrow is now properly 25% resistable with rPois.
  - Stunning Bolt now checks half of AC like other electricity-themed spells.
  - Qazlal's adaptive rElec is now properly triggered by Stunning Bolt.
  - Qazlal's adaptive AC is now properly triggered by all 'physical' spell
    projectiles.
* The Slick Slippers now prevent being bound by an ironbound beastmaster's
  bolas.
* Fix not being able to use Yredelemnul's Light the Black Torch on a
  portal level like Necropolis if it had been used in a previous instance of
  that portal.
* Don't allow orbrun spawns in Okawaru's Arena.
* Remove erroneous extra placements of alderkings in Sprint IV.
* 37 other bug fixes, interface improvements, and documentation updates.


Stone Soup 0.33.0 (20250502)
----------------------------

Highlights
----------
* New magic school + background: Forgewrights, building explosive constructs.
* Two new species: Poltergeists and Revenants.
* Twelve new talismans have been added, and Shapeshifters have been reworked.
* Ghost vaults are moved into a game-long repeating portal, the Necropolis.
* Yet more new monsters, decorations, and traps spread throughout the Dungeon.

Artefacts
---------
* New unrands:
  * The Crown of Vainglory, a +3 hat that grants two extra ring slots, but also
    makes entering floors wake up nearby enemies and temporarily prohibits
    stair use.
  * The fungal fisticloak, a +3 cloak that also takes up the hat slot, provides
    another gloves slot, and grants a confusion-branded auxiliary fungus attack.
  * The Justicar's Regalia, a +5 scale mail that grants an extra amulet slot and
    gives allies summoned or created by the player the regeneration status.
  * The Skull of Zonguldrok, a talkative off-hand item that grants Reaping brand
    to one's attacks and another hat slot (on the skull).
* The macabre finger necklace now also grants +7 HP.
* Randart weapons can now be Reaping branded, which now creates spectres.
* -Cast on the Sword of the Doom Knight, Maxwell's Patent Armour, and general
  randarts is replaced with *Silence, which inflicts a short-term silence on
  1% of hits on the wielder.
* +Invis, Harm, and Rampage artefact properties can now be found on talisman
  randarts.
* Removed unrands: the Sword of Zonguldrok.

Branches, Environment
---------------------
* Ghost vaults have been moved into their own portal, the Necropolis.
  - Portals to the Necropolis can be found up to three times each game: once in
    D:5-15, Lair, or Orc; once in Swamp, Snake, Shoals, Spider, or Vaults; and
    once in Elf, Crypt, or Depths.
  - Each Necropolis contains three separate ghost vaults, which are still
    flavoured and tailored towards the branch a portal entrance is found in.
  - Another 10 ghost vaults have been added.
  - Pre-Lair ghost vaults have been somewhat nerfed, while rewards for many
    ghost vaults have been increased.
* New traps, all of which activate when monsters or players step on them:
  * Archmage's traps, which drain player mp and grant monsters empowered spells.
  * Devourer's traps, which corrode players.
  * Harlequin's traps, which grant monsters chaotic attacks.
  * Tyrant's traps, which weaken players and grant monsters might.
* New decorations:
  * Walkable: caches of baked goods, floral vases (sometimes broken), flower and
    garden patches, fountains of eyes, fur piles, infernal standards, mops and
    buckets (sometimes bloodied), mourning vases, and orcish standards.
  * Solid: enigmatic dynamos and nascence circuits.
  * Destructible: petrified flowers.
* Walking over fountains now has a chance to produce flavour messages, varying
  based on the fountain, one's god, and the absence of hostile enemies in sight.
* Zot traps now can inflict blindness.
* Entering Gauntlets now reveals their layout, items, and monsters to the
  player, outside of the shape or contents of the minotaur's maze.
* The last floor of Crypt now has a 30% chance to contain a sanguine talisman.
* The clouds of degeneration in Alistair's Party Mansion are now alcoholic mist,
  inflicting Vertigo.
* The orb chamber on Zot:5 no longer has a chance to be completely blocked off
  by traps, and instead will deploy several of the above newer traps.
* Frail pillars of rime can be found in Cocytus.
* Ziggurats have even more exponential scaling for those doing multiple
  ziggurats.
* Sprint VII ("The Pits") has gotten major updates to balance and monster
  options, while Sprint V ("Ziggurat Sprint") has had minor updates to the same.

Character
---------
* Stat drain has been removed.
  - Reaching 0 in any stat (through e.g. items or mutations) now solely makes
    the player permanently slow until their stats are raised again.
  - Undead players being malmutated now have their HP drained instead.
* New skill: Forgecraft, used for Forgecraft spells.
  - Most species have Forgecraft apts that are the same as their Summoning
    apts, with the exceptions of Mountain Dwarves, Coglins, Yellow Draconians
    (all +2), Barachi (+1), Demonspawn, Felids, Poltergeists (all -1),
    Revenants, Minotaurs, and Tengu (all -2).
* New background: Forgewright, which starts with a +0 hammer (a reskinned mace),
  a potion of magic, and a variety of Forgecraft spells.
* Fighters now start with a second potion of might.
* Shapeshifters now start with a quill talisman, three flux baubles, and a
  protean talisman, which can be used with 6 or more Shapeshifting skill to
  randomly transform it into a scarab, rimehorn, medusa, or maw talisman.
  They keep their potion of lignification and start with 1 more Fighting skill.
* Wanderers can now start with quill talismans, inkwell talismans, flux baubles,
  protean talismans, or any protean-tier talisman.
* Reavers now start with knowledge of Rending Blade.
* Summoners start with knowledge of Eringya's Surprising Crocodile and Summon
  Seismosaurus Egg instead of Summon Blazeheart Golem or Lightning Spire.
* New mutations:
  * efficient magic, making spells cost 1 less (to a minimum of 1 MP).
  * ephemeral shield, granting +7 SH briefly after spells and invocations.
  * poor constitution, inflicting Weak and then Slow on taking damage.
  * slime shroud, sometimes deflecting melee attacks and then cooling down until
    it can do so again (Jiyva only).
  * time-warped blood, hasting some of your allies when you fall below 50%
    health, and can only activate again after returning to full health.
* Berserk players are now immune to fear.
* Constructs the player makes with their own Forgecraft spells can be
  nonviolently deconstructed by pressing ctrl+[direction] while adjacent.
* Fungus Form and Tree Form are both immune to sleep.
* Paralysis, sleep, petrification, and vex status inflicted on the player all
  now share the same temporary immunity cool-down.
* Removed mutations: deterioration.
* Penalties to body armour AC from talismans and the Deformed Body mutation
  are now also applied to the AC bonus from training Armour skill. To
  compensate, the AC penalties of Deformed Body and blade talismans have been
  reduced, and Naga and Armataurs have their Armour aptitudes increase by 1.

Gods
----
* Ashenzari's curse of Companions now supports Forgecraft as well as its prior
  skills of Summoning and Necromancy.
* Cheibriados worshippers are never hasted by potions of haste, and can't
  enter penance by deliberately drinking potions of haste.
* The wraths of Cheibriados and Trog have been simplified.
* Dithmenos's shadow mimic also works for Forgecraft spells, creating a shadow
  turret that can fire through allies.
* Xom has received more adjustments:
  * Xom's bazaars have more variety and are less common.
  * Polymorph and draining effects are less dangerous early on.
  * New actions: hyperbuff weak ally, burn webs.
* All three good gods that care about injuring allies now consistently don't
  care about injuring mindless non-living allies (like Forgecraft's).

Interface and Options
---------------------
* Examining equipment and talismans now can show the changes to the player's
  spell success chances for each spell if they switched to using that item.
* Examining spellbooks in webtiles now colours spells according to their
  usability and whether or not one has the spell in their library.
* Examining talismans now displays their upsides, downsides, changes to one's
  defences, and skill scaling in a more compressed format with additional
  details.
* Spell range is now indicated with numbers instead of diagrams.
* Default target-picking behaviour for spells, abilities, and items has been
  improved: it is now more consistent at avoiding the player or their allies
  when aiming harmful area effects and choose more sensible default aims for
  some utility effects.
* Ranged autofight should no longer sometimes cast spells at invalid targets
  (such as Dispel Undead against living monsters in melee).
* Casting ally-creating spells when there is no nearby room is now automatically
  cancelled, rather than wasting a turn and one's MP.
* Equipping an item that would require unequipping multiple other items (such
  as with going from a 1-handed weapon + shield to a 2-hander) no longer needs
  manual unequipping to work.
* Players can no longer wield non-weapon items.
* Equipment slots a player species doesn't have access to no longer show up on
  the '%' screen.
* The autopickup menu no longer groups together rings and amulets.
* The screen is now tinted blue during paralysis and grey during petrification.
* Examining monsters shows if they can open doors.
* Confusion on monsters no longer shares an icon with monsters being distracted.
* Non-monster UI now darkens quote text and can rarely contain flavour text
  instead of just quotes.

Items
-----
* New weapon: partisans, uncommon one-handed polearms with higher base damage
  than demon tridents and the longest swing delay of any one-handed weapon.
* Talisman skill thresholds have been reworked, with older talismans adjusted
  upwards in baseline stats for higher thresholds. The new tier summary is now:
 - Tier 1 talismans (old beast talisman): 0 skill minimum, 7 skill maximum
 - Tier 2 talismans (old flux talisman): 8 skill minimum, 14 skill maximum
 - Tier 3 talismans (blade talisman): 12 skill minimum, 20 skill maximum
 - Tier 4 talismans (granite talisman): 17 skill minimum, 25 skill maximum
 - Tier 5 talismans (storm talisman): 23 skill minimum, 27 skill maximum
* New talismans:
 - Tier 1:
  - quill talismans, providing Quill Form. This melds all auxiliary equipment,
    but grants retaliatory quills damaging those who attack the player in melee.
  - inkwell talismans, providing Walking Scroll Form. This melds all equipment,
    increases all magic school skills scaling to one's Shapeshifting, grants
    extra max mp, disables casting spells above level 4, and cuts one's melee
    damage in half in exchange for a 50% chance to gain 1 MP on every hit.
 - Tier 2:
  - scarab talismans, providing Sun Scarab Form. This small form melds weapons
    and armour, carts around a solar ember that cleaves with fire attacks when
    scarabs attack, and grants Fire-exclusive spellcasting success bonuses.
  - rimehorn talismans, providing Rime Yak Form. This large form melds weapons
    and armour, makes adjacent walls deal cold damage over a short while on
    attacks, and grants Ice-exclusive spellcasting success bonuses.
  - medusa talismans, providing Medusa Form. This melds one's head and cloak
    slots into a jellyfish, which inflicts poison on random nearby enemies
    on attacks and which petrifies poisoned enemies when falling to 60% health.
 - Tier 3:
  - spider talismans, providing Jumping Spider Form. This tiny form melds all
    armour and weapons, but gains Rampage, a small chance for melee to ensnare
    enemies, short-blade quality stabs, and a special un-aimed jump ability.
  - lupine talismans, providing Werewolf Form. This melds all auxiliary armour,
    grants a stacking slaying bonus on kills, gives a chance to howl on kills to
    lock enemies in immobile fear, and grants jumping attacks on afraid foes.
  - wellspring talismans, providing Aqua Form. This melds body armour, provides
    two extra squares of melee range (stacking with polearms and working with
    auxes), and granting an ability to waterstrike + waterlog nearby enemies.
  - fortress talismans, providing Fortress Crab Form. This melds all auxiliary
    armour, multiplies AC from body armour, and can breathe clouds of
    minorly-damaging, corroding and weakening rust.
 - Tier 4:
  - riddle talismans, providing Sphinx Form. These sphinxes can still wear
    cloaks and bardings (except for Felids), but meld all other armour and can't
    wield weapons. Their unarmed strikes Airstrike their targets, they get
    major Hexes-exclusive spellcasting success bonuses, and their Hexes apply
    more easily to all susceptible foes.
  - hive talismans, providing Living Hive Form. This melds body armour and helm
    slots into a hive with high health + magic regeneration that also releases
    berserk curare-branded killer bees when the user is sufficiently wounded.
  - sanguine talismans, providing the living-undead Vampire Form. These vampires
    don't regenerate with enemies visible, get vampiric attacks at 50% health,
    can raise a vampiric thrall when killing monsters with stabs, can transform
    into a swarm of bats that leave sleep-inducing clouds of bats, and have
    partial torment resistance.
* Many other talismans have been adjusted:
  - Flux talismans have become stacks of flux baubles, which require less skill
    and deal more damage but each transformation lasts for only a finite amount
    of attacks instead of indefinitely.
  - Maw talismans have been lowered down a tier, with the maw dealing less
    damage and healing on kills for less HP, but can now break through body
    armour to reduce base AC by 75% instead of melding such entirely.
  - Serpent talismans now transform the user into a two-headed snake that can
    wear two hats (but no other equipment).
  - Granite talismans now apply a percentage EV penalty and provide additional
    strength in exchange for less unarmed base damage.
  - Dragon-blood talismans (now dragon-coil talismans) now transform
    non-draconians into golden dragons instead of fire dragons, changing the
    corresponding resists; they also get Draconian-style breath charges for a
    new tri-element breath, but deal less melee damage. Draconians also recharge
    their breath much faster in dragon form.
  - Talismans of death now uniquely require 26 Shapeshifting at minimum.
* Talisman / randarts are notably more common throughout the game, with stones
  made less common in exchange.
* Talismans no longer meld Gargoyle AC and resists unless they change substances
  entirely, and never meld away Spriggan move speed.
* Beast talismans have been removed.
* Acquirement now gives more out more talismans.
* Acquirement gives less magical staves overall, but makes more randart staves.
* Potions of degeneration are now of moonshine and solely inflict Vertigo.
* Darts of dispersal are now darts of disjunction, which now repeatedly blink
  a target each turn for several turns and deal damage with each blink.
* Experience-gated evokers now appear multiple times per game, stack up to a max
  of +5, and decrease the experience needed to gain charges with each stack.
* Rings of slaying are no longer rarer than other rings.

Monsters
--------
* New monsters:
  - Alderkings, fae trees and necromantic masters of Depths.
  - Fravashi, mid-tier warrior-summoning angels.
  - Goblin riders, wyvern-taming cavalry for Bailies.
  - Ironbound mechanists, dual-wielding forgewright coglins for Vaults.
  - Nekomata, self-cloning ranged cat demons for Pan.
  - Oni incarcerators, Manifold Assault users for Gehenna.
  - Sphinx marauders, masters of winds and minds for Shoals and Vaults.
  - Vampire bloodprinces, sleep-inducing lords of Crypt.
  - Wyrmholes, terrifying relocations drakes for Depths and rarely Zot.
* Returning monsters:
  - hippogriffs, now nearly exclusive to bailies, now with both Warning Cry
    and a new damaging wind spell that slowly pulls enemies in.
  - ironbound beastmasters, now with a passive animal and slime hasting aura
    plus the ability to throw bolas to bind foes in place.
* New uniques:
  - Nobody, a revenant made from countless forgotten souls, who can burn the
    memories of their deaths to both heal and change spellsets.
  - Sprozz, an early-game coglin forgewright who casts Clockwork Bee and
    Nazja’s Percussive Tempering and sometimes drops a Forgecraft spellbook.
* Apises now have a passive aura that doubles the health of other monsters.
* Arcanists now have more health and EV.
* Ball pythons deal less damage.
* Bennu deal more holy damage.
* Blood saint and Mnoleg Call of Chaos now can temporarily double monster hp.
* Monster deep elves and orc high priests now more consistently wear body
  armour, mostly gaining robes.
* Creeping infernos now have a fairly large amount of health, move normally
  towards the player, and deal more damage when they explode.
* Crystal echidnas deal more damage and are now speed 13.
* Crystal guardians deal more damage.
* Elementals in general now have animal intelligence instead of being mindless.
* Endoplasms no longer have rPois.
* Glowing orange brains are now unblindable.
* Iron golems now have less health and EV.
* Mummy death curses now more frequently drain hp, and the flat damage effects
  no longer check rTorment.
* Mutant beasts count as chaotic.
* Occultists now have more health and EV.
* Player ghosts now respect the movement speed of their original species.
* Quicksilver oozes have been renamed, rethemed, and retiled to void oozes.
* Searing wretches can now swim across lava.
* Simulacra can now always swim, regardless of their base type.
* Sin beasts now come in duos in Pan.
* Plain sphinxes are now "guardian sphinxes", are stronger overall, and no
  longer appear in D or in Shoals.
* Sky beasts lose electric damage and random invisibility to instead deal damage
  depending on the number of open spaces next to what they hit in melee.
* Thermic dynamos and undying armouries reward more experience.
* Water elementals and elemental wellsprings are now amorphous, gaining the
  same immunity to nets, constriction, and webs jellies have.
* Mindless non-living monster allies consistently don't get angry at the player
  for being hit, and do not disappear if they were summoned or constructed.
* Removed monsters: quasits.

Species
-------
* New species: Poltergeists, ghostly trickster whirlwinds. Features:
  - They have the resists and immunities of being both undead and insubstantial.
  - They have six slots that can interchangeably wield auxiliary armour (hats,
    helmets, cloaks, scarves, gloves, or boots), but cannot wear body armour.
  - Whenever enemies are debuffed, they gain AC scaling to their XL.
  - At XL 13, they gain the ability to expand into a whirling cacophony,
    noisily animating each piece of armour worn into allies that try to stay
    close to the player and which can inflict random debuffs.
* New species: Revenants, memory-burning mystic skeletons. Features:
  - Whenever they cast damage-dealing spells, they automatically attack a
    nearby monster with the highest health.
  - At XL 3, they start gathering memories from slain foes, charges they may
    burn away all at once to make that many damage-dealing spells cost 0 mp,
    be easier to cast while ignoring encumbrance penalties, and get extra power.
    Spell-activated automatic attacks during this also heal the player.
  - At XL 3, they also gain knowledge of a random level 1 destructive spell.
* Formicids now may wear an additional pair of gloves.
* Merfolk Long Blades apt is lowered from +2 to +1, and their Polearms apt is
  increased from +3 to +4.
* Mountain Dwarf Summonings apt is lowered from 0 to -2.
* Enhancer staves are now one-handed instead of two-handed for spriggans and
  kobolds.
* Vampires and ghouls have been removed.

Spells
------
* New spell school of Forgecraft: thematically a school of constructing bombs,
  cannons, and limited automata, mechanically a mostly-ally school more focused
  on direct damage and blasting than Summoning, and design-wise a new means of
  providing more cross-school spells and pivoting options.
* New Forgecraft spells:
  - Kinetic Grapnel (L1 FC): A weak physical projectile connected to one's
    weapon that guarantees the next melee attack hits and deals extra damage.
  - Construct Spike Launcher (L2 FC): Builds a spike launcher in a random
    adjacent wall, which launches spikes at random adjacent targets.
  - Launch Clockwork Bee (L3 FC): Targets a monster to wind up and ready a
    clockwork bee over several turns, which can be rewound up when it collapses.
  - Rending Blade (L4 FC / Conj): Temporarily transforms all of the caster's mp
    into a blade that pierces through enemies whenever the caster attacks.
  - Nazja’s Percussive Tempering (L5 FC): A healing and buffing spell for
    Forgecraft summons that also produces an ally-avoiding physical explosion.
  - Alistair's Walking Alembic (L5 FC / Alch): A summon that vents poisonous
    fumes as it attacks to brew various beneficial potion effects.
  - Fortress Blast (L6 FC): A highly-damaging blast that takes several turns to
    charge up and pins the caster in place, but which solely scales off of AC.
  - Forge Phalanx Beetle (L6 FC): A summon that always tries to stay by the
    caster's side and protects them with an AC boost if adjacent.
  - Forge Monarch Bomb (L6 FC / Fire): Creates a bomb factory that launches
    bomblets on top of enemies, both of which only detonate on recast.
  - Diamond Sawblades (L7 FC): Places up to four sawblades on diagonals around
    the caster that shred everything around them each turn.
  - Splinterfrost Shell (L7 FC / Ice): Raises up several sturdy walls around
    the player that fire off as heavily damaging icicle salvos if broken.
  - Platinum Paragon (L9 FC): A metallic apotheosis of a single ally that
    replicates a given artefact weapon, blocks attacks for the caster, does
    extra attacks with player attacks, and can hit large areas by recasting the
    spell when charged-up.
* The following spells have moved to Forgecraft:
  - Summon Lightning Spire: now "Forge Lightning Spire", Summ/Air -> FC/Air.
  - Summon Blazeheart Golem: now "Forge Blazeheart Golem", Summ/Fire -> FC/Fire.
  - Animate Armour: now "Awaken Armour", Summ/Earth -> FC/Earth.
  - Iskenderun's Battlesphere: L5 Conj -> L4 FC/Conj.
  - Hoarfrost Cannonade: Alch/Ice -> FC/Ice.
  - Spellforged Servitor: now "Spellspark Servitor", Summ/Conj -> FC/Conj.
  - Hellfire Mortar: Fire/Earth -> FC/Fire/Earth.
* New other spells:
  - Eringya's Surprising Crocodile (L4 Summ): Creates temporary shallow water
    and a lunging crocodile all at once to drag an enemy and the caster back.
  - Summon Seismosaurus Egg (L4 Summ / Earth): Creates an egg that will hatch
    into a mighty dinosaur if the caster stays next to it with visible enemies.
  - Detonation Catalyst (L5 Fire / Alch): Gain a buff that makes non-cleaving
    melee attacks explode for damage scaled to damage dealt, avoiding allies,
    and which lasts for very little time if the user stops attacking.
  - Sphinx Sisters (L7 Summ / Hexes) that summons a pair of riddling sphinxes,
    one guardian and one marauder, to debilitate the enemies with hexes and
    batter them with violent winds.
* Spell changes:
  * Awakened Armours now equip a replica of the body armour they're echoing.
  * Battlespheres last longer at lower spell power, are better at pathing
    towards their target, and will target the most proportionally damaged foe if
    possible.
  * Ensorcelled Hibernation's sleep no longer can be interrupted by noise or
    failing stealth checks, and has a slightly higher minimum duration.
  * Hellfire Mortar now scales heavily with spellpower, deals more damage,
    has longer mortar range, and pushes back singular flying foes.
  * Lightning Spires now target the furtherest-away foe, if possible.
  * Maxwell's Capacitive Coupling can no longer be started without a visible
    monster in sight of the caster.
  * Maxwell's Portable Piledriver can now be aimed and can push a connected
    line of lined-up enemies all at once.
  * Mephitic Cloud is now flavoured as throwing a non-damaging flask of fumes.
  * Mercury Vapours is now Poisonous Vapours, moved to level 1, no longer
    inflicts Weak, inflicts less poison status, and deals a small amount of flat
    AC-ignoring damage against targets without rPois.
  * Permafrost Eruption's damage has been lowered.
  * Rimeblight now chains to two other targets on cast and now reliably spreads
    on death instead of also spreading through its explosions.
  * Sculpt Simulacrum's simulacra now attack the turn they finish forming.
  * Sting is now Mercury Arrow, moved to level 2, no longer inflicts the poison
    status (but still partially checks rPois), and gains Mercury Vapours'
    previous HD-check area-of-effect Weak status.
  * Summon Horrible Things now has a chance to inflict a Will-lowering temporary
    mutation with each cast.
  * Teleport Other is now smite targetted.
* Spells that can't miss are no longer affected by player blindness debuffs.
* Monstrous Menagerie is removed as a player spell, but is still used by
  Kirke.

Tiles and Other Art
-------------------
* New tiles for existing game elements:
  * Abilities: Accepting Makhleb's infernal marks.
  * Features: altars to Fedhas, altars to Xom, caches of meat, granite statues
    in Depths and Zot.
  * Forms: Flux form tiles for humanoids, felids, and octopodes.
  * Items: all forms of leather armour, troll leather armour randarts,
    sacks of spiders (active and inert).
  * Monsters: apises, boggarts, brain worms, creeping infernos, culicivora,
    great orbs of eyes, living spells, ophanim, rakshasa, scrub nettles,
    shapeshifters and glowing shapeshifters, sky beasts, all tengu types.
  * Mutation icons: big wings, demonspawn demonic touch, mp-powered wands,
    screaming, stinger, subdued magic, tendrils, pseudopods, demonspawn
    weakness stinger, wild magic.
  * Plants, both regular and withered.
  * Player dolls: Coglins.
  * The prune curse from the glaive of Prune.
  * Ru sacrifices: sacrificed eye, sacrificed hand.
  * Species passives: barachi hops, demigod divine attributes, djinn flat hp,
    human explore regen, mertails.
  * Spell components: Hoarfrost Cannonade, Hellfire Mortar.
  * Spell icons: Blazeheart Golem, Dazzling Flash, Fulsome Fusillade, Hellfire
    Mortar, Hoarfrost Cannonade, Lightning Spire, Magnavolt, Permafrost
    Eruption, Spellspark Servitor, all remaining monster-only spells.
  * Starting screen icons: high scores.
  * Status effects: withering away.
  * Unrands: the robe of Augmentation, Brilliance and its brand, Firestarter,
    Punk's acid brand, the robe of Folly, the sword of the Doom Knight, and
    the toga "Victory".
  * Visual effects: airstrike, draining gaze, doom howl, entropic weave,
    fire storm, fulsome fusillade, ice blasts, ignite poison, magma,
    manifold assault, mephitic cloud, mystic blast, potion petition, sap magic,
    sentinel's mark, wand of warping.
  * Walls: Vaults and Trove rock.
* Pandemonium now has unique stone wall tiles for regular floors and unique wall
  tiles for each of the unrand Pan lord vaults.
* Gehenna now has unique stone wall tiles.
* Depths and Zot now have unique metal wall tiles.
* Webtiles now has the banishment animation offline tiles uses.
* New Oni splash screen by benadryl.

Stone Soup 0.32.1 (20240925)
----------------------------

Bugfix release
--------------
* Fix blockable beam attacks from monster spells being blocked 100% of the
  time.
* 40 other bug fixes, interface improvements, and documentation updates.

Stone Soup 0.32.0 (20240829)
----------------------------

Highlights
----------
* Beogh, Dithmenos, Yredelemnul, and Makhleb have been substantially revamped.
* Since everybody can become orcs, reworked Mountain Dwarves replace Hill Orcs.
* New species: Coglins, dual-wielding gizmo-inventing goblins in exosuits.
* More new spells, aimed at new school combinations and higher levels.
* Many more new and revamped monsters and decorations throughout the Dungeon.

Artefacts
---------
* New and returning unrands:
  - Returning: Brilliance, an eveningstar of foul flame, which inflicts
    reduced damage to unholy foes and extra damage to holy foes.
  - Returning: Sword of the Doom Knight, which loses pain brand to instead
    make its targets lose 10% of their maximum health on hit.
  - New: Charlatan's Orb, an orb which boosts your other skills by 20% of your
    base Evocations but has the translocations and stealth downside of the real
    Orb of Zot.
  - New: Gloves of the Gadgeteer, fragile gloves that boost evoker recharge
    rate, wand damage, and give a chance to save wand charges on use.
* The Cloak of the Thief is now +0, but gives noise suppression instead of
  random bursts of fog and no longer gives negative slaying.
* Randart MP bonuses and maluses now range from 4 to 12, instead of always
  being fixed at 9.

Branches, Environment
---------------------
* Crypt now contains more item rewards throughout its levels.
* Troves no longer ask Draconians to offer dragon scales.
* Ziggurats now scale up their enemy choices and counts up much faster
  if one dares to dive through multiple ziggurats on the same character.
* All bazaar portals are timed now.
* Quite a few new decorative features have been added to many a vault:
  - Several new types of decorative statue: silver statues,
    scintillating statues, mystic cages, and magic conduits.
  - A new decorative wall type: bedevilled crystal.
  - Completely-decorative caches of fruits and meat, which may occasionally
    be snacked upon when walked over.
  - Piles of debris, stony wreckage that crumbles away on a delay after
    being hit.
  - Sacred lotuses, extremely resilient but entirely harmless plants.
* Miasma clouds deal more damage to monsters and slow them for longer.
* Rain no longer can create deep water.
* Skeletons no longer decay.

Character
---------
* Only players without weapons can punch with their offhand.
* Player constriction no longer deals ramping-up damage.
* Removed mutations: noise dampening.
* Undead and demonic players can wield weapons of holy wrath, but the brand is
  disabled for them. The same applies to good god-worshipping players who wield
  weapons of foul flame.
* The player can now be Blinded, which gives them a flat chance to miss with
  any dodgeable effect that increases with their distance from the target they
  are aiming at.
  - Wands of Light now Blind the player instead of inflicting Confusion.
* The Frozen status now lasts a bit longer, inflicts a heavier movement penalty,
  and no longer prevents the player from being hit with Flash Freeze.
* Background changes:
  - Necromancers now start with Soul Splinter instead of Necrotise, as well as
    a dagger and knowledge of Grave Claw.
  - Hedge Wizards now know Grave Claw instead of Cigotuvi's Dreadful Rot and
    start with additional Conjurations and Necromancy skill.
  - Wanderers can now start with talismans and Shapeshifting skill, and those
    that start with throwing items will usually start with more of them. Logic
    for giving suitable skill levels and items has been improved in multiple
    cases.

Gods
----
* Beogh has been completely overhauled, becoming the god of collective
  pariahs and outcasts. All species may elect to worship Beogh and become orcs
  when at low HP in front of orc priests. Most abilities are also changed:
  - Orc apostles, scaling throughout the game, will challenge the player with
    their own followers, unalterable artefact equipment, and potent mystic
    might. Forfeiting their challenge by leaving the floor inflicts penance,
    which only dismisses worshippers' followers and disables their invocations.
  - Shortly after defeating apostles, worshippers can recruit up to three
    apostles to follow them at a time. Beogh now will automatically revive those
    apostles if they die, but only after the player gains sufficient piety.
  - Other encountered orcs are pacified instead of recruited.
  - Beogh gains a new 5* ability, Blood for Blood. This can only be invoked
    on top of an orc apostle's corpse, and summons a large amount of orcs both
    immediately around the player and around the edges of the screen over time.
* Dithmenos has been completely overhauled, becoming the god of actors,
  thieves, and everyone else who works in the shadows. They no longer count as
  evil, and have replaced nearly all of their active and passive abilities.
  - 1*: Passive noise dampening, halving all noise made around the player.
  - 2*: A passive shadow mimic, which now casts differing spells based on the
        spell schools of spells cast to now cover all spell types, deals more
        damage with weapons scaling to XL, and also lingers around afterwards.
  - 3*: Shadowslip, which instantly swaps worshippers' places with a lingering
        shadow and misleads foes into targeting the shadow for a while instead.
  - 4*: Aphotic Marionette, which forces an enemy with spells to instantly cast
        random conjurations at other enemies or give buffs & summons to the
        player.
  - 5*: Primordial Nightfall, which reduces one's line of sight to zero, with
        line of sight gradually coming back over the duration.
* Yredelemnul has been significantly overhauled.
  - Yred now uses a somewhat conventional piety system again, though followers
    have to obey the rules of raising the black torch.
  - Followers of Yred get an umbral aura around them that grows as they gain
    piety, and zombies are passively animated only in the umbra aura.
  - Yredelemnul grants the following active abilities:
      - 0*: Raise the Black Torch, which enables piety gain, but which can only
            be used once per floor and only lasts until the player leaves the
            floor. Starting at 1*, this ability also summons scaling undead
            allies.
      - 2*: Hurl Torchlight, which mights undead while damaging most others.
      - 4*: Bind Soul, which now temporarily flays the player until the
            binding is successful and heavily scales the soul's HP with invo.
      - 5*: Fathomless Shackles, which binds a large area centered on the
            player and damages over time while vampirically draining foes.
      - Removed abilities: Dark Bargain, Drain Life.
* Makhleb has been significantly revamped.
  - Minor and Major Destruction have been merged into a single ability: Unleash
    Destruction. Earned at 2*, it costs more HP than Major Destruction, but no
    piety.
  - At 4* the player will receive one of 4 random upgrades to their Unleash
    Destruction ability. These upgrades, themed after each of the 4 Hells, grant
    additional effects and elements to your Destruction as well as allow it to
    pierce enemies.
  - Lesser and Greater Servant have been merged into a single ability: Infernal
    Servant. Earned at 3*, this costs an amount of piety between Lesser and
    Greater Servant. Many more types of demons can be summoned by this ability
    and the quality of demon increases with Invocations skill. It is no longer
    possible to reduce the chance of a hostile demon, but the player will always
    receive a friendly one at the same time.
  - At 6*, the player is offered a one-time choice between 3 different Infernal
    Marks which they may brand themselves with. These Marks grant powerful
    effects so long as the player continues to worship Makhleb:
    - Mark of Haemoclasm: Gives all slain enemies a chance to explode in a
      shower of gore upon death. This explosion may cause a chain reaction if it
      kills something.
    - Mark of the Legion: Replaces Infernal Servant with Infernal Legion, which
      summons a swarm of lower-level demons over time. You may fire Unleash
      Destruction freely through these allies.
    - Mark of Carnage: Infernal Servants appear next to enemies instead of the
      player and arrive in a large explosion of Destruction.
    - Mark of Annihilation: Replaces Infernal Servant with Globe of
      Annihilation, which fires a slow-moving homing projectile that explodes
      in a massive blast of hellish Destruction.
    - Mark of the Tyrant: Infernal Servants last much longer and killing enemies
      will buff them with Haste, Might, Regeneration, or Brilliance. At high
      Invocations skill, it becomes possible to summon even Hell Sentinels.
    - Mark of the Celebrant: Unleash a flurry of blood arrows at nearby enemies
      whenever the player falls below 50% of their max HP, but does not recharge
      until they are fully healed once more.
    - Mark of Execution: Upon killing an enemy in melee, there is a chance to
      temporarily take on the appearance of an Executioner, gaining a strong
      auxiliary blade attack and rampage. This effect lasts indefinitely, so
      long as the player continues attacking.
    - Mark of Atrocity: Both the damage and HP cost of Unleash Destruction now
      increases with the number of times in a row it is used. Upon the 4th use
      in a row, a huge barrage of empowered Destruction will be fired at many
      enemies in sight.
    - Mark of the Fanatic: Gives the player the Vessel of Slaughter ability,
      temporarily transforming them into a demonic avatar of Makhleb and greatly
      increasing their power and durability. But when the form ends, they will
      be forced to fight their way out of the Crucible of Flesh as a cost!
* Xom has received significant adjustments and many new effects.
  - Summoned monsters (both friendly and hostile) now scale with the player's
    XL, resulting in fewer unfair encounters at low XL and fewer harmless ones
    at high XL. A much greater variety of creatures can now be summoned.
  - Xom can now transport sufficiently-wealthy players to a curious bazaar where
    an assortment of spells and consumables Xom finds amusing may be purchased
    (as well as occasionally a chaos-branded unrand weapon).
  - Many other new Xom effects have been added, such as planting a garden,
    creating a safe adventurer enclosure, teaching rats how to chant Word of
    Recall, and summoning a fleet of living Force Lance spells.
  - Xom wrath now causes hostile effects of much greater intensity than those
    experienced while worshipping.
* Both Beogh and Yred's recall abilities are now instant.
* Jiyva now prevents all harm players could do to all jellies and slimes,
  instead of punishing them whenever they did so. Fedhas now also prevents
  players from doing harm to friendly plants.
* Nemelex is now a chaotic (but not evil) god.
* Okawaru's Duel now heals the player for half their missing health when used,
  but resets their HP and MP back to whatever they were before entering, once
  the duel is complete. It costs half as much piety and is now usable in Sprint.
* Qazlal's Upheaval and Disaster Area no longer hit the player nor any of
  their elemental allies.
* Cheibriados' Step From Time ability is now significantly more likely to result
  in monsters wandering away from the player's location, and monsters can no
  longer act before the player takes a subsequent action.
* Kikubaaqudgha's Torment ability has been replaced with Sign of Ruin, which
  applies a temporary status effect to a group of enemies that causes them to
  suffer Draining and also one of Weak, Blind, or Slow whenever they take melee
  damage.
* Vehumet's range extension now applies to Hailstorm, Frozen Ramparts, Eringya's
  Toxic Bog, and any eligible spells cast by the player's Spellforged Servitor.
* Vehumet's second spell gift is now level 2-3 instead of 1-2.
* The Shining One's Divine Shield ability has been reworked. It now provides a
  100% block chance for the next several attacks after using it. Ranged
  projectiles will be reflected and melee attackers have a high chance to become
  blinded.
* Makhleb, Vehumet, and the Shining One are now much more likely to restore
  HP or MP on eligible kills made while at low piety.
* Trog's Brothers in Arms ability no longer costs extra piety in Sprint.
* Most gods now comment upon or otherwise influence the player's death.

Interface and Options
---------------------
* Examining a monster with 'xv' now displays more accurate and detailed
  information about a monster's damage (especially with weapons) and your chance
  to hit them.

Items
-----
* New evoker: Gell's Gravitambourine, which pulls all monsters in a large
  radius close together and then binds them in place for several turns.
* Dispersal darts are now much more likely to blink their targets away
  from the thrower.
* Condenser vanes now reroll misery clouds if the good gods would block
  their creation, rather than placing nothing as a result.
* Randart launchers can now generate with Chaos or Holy brands.

Lua
---
* A new crawl.stack() function that returns a backtrace string for either the
  current lua execution stack or that of a coroutine given as an argument.

Monsters
--------
* Uniques:
  - Revamped: Arachne has been exiled out of the Spider Nest, now appearing
    a bit later in games without Spider's Nest, with a Greater Ensnare spell
    and an orb spider band.
  - Revamped: Blork the orc is now Blorkula the Orcula, both vampire and orc.
    He now casts a wider spread of conjurations and can delay death by
    becoming a rainbow swarm of vampire bats.
  - Revamped: Wiglaf has returned, gaining a randart hat, and dropping Okawaru
    invocations of Haste for Hellfire Mortar.
  - New: Xak'krixis, a formicid Royal Expeditionary Alchemist, found solely in
    the Spider Nest. They have Ignite Poison and a version of Fulminant Prism
    that doesn't hurt allies.
  - Reflavoured: Nergalle is now an archivist, and Ijyb is now an ex-Coglin
    artificer.
* New monsters:
  - Marrowcudas, early-D skeleton fish that summon swarms of themselves
    whenever they hit foes.
  - Obsidian bats, Orcish Mines stone bats which summon demonic animals
    whenever they hit foes.
  - Polterguardians, Vaults geists that give their allies Repel Missiles.
  - Scrub nettles, which fire partially-irresistible poison stings.
  - Thermic dynamos, Elven Halls vortex-engines that wield both hits and
    rebounding bolts of fire and ice.
  - Undying armouries, late Vaults terrors that hurl dancing weapons and
    grant temporary copies of the same weapon to their allies.
* Other monster changes:
  - Arcanists now cast Searing Ray instead of Force Lance.
  - Crystal guardians and crystal echidnas no longer fire rebounding bolts of
    fire or ice, and instead have crystallizing shots that inflict Vitrify.
  - Deep elf elementalists cast Hoarfrost Cannonade instead of Freezing Cloud.
  - Deep elf high priests give a long duration brilliance buff to every ally
    in their sight, rather than using an aura of brilliance.
  - Demonspawn Black Suns have been renamed to Soul Scholars and their Black
    Mark spell has been replaced with Sign of Ruin (which functions like the new
    Kikubaaqudgha invocation).
  - Demonspawn corrupters now summon thunderhulks instead of vault sentinels.
  - Draconian monster adjustments: yellow draconians have acidic bites,
    white draconians have more damaging breath, and stormcallers no longer are
    hurt by their own Upheavals.
  - Glowing orange brains are now reluctant to move closer to their foes and
    having an innate aura of brilliance affecting their allies.
  - Guardian serpents and draconian shifters' Blink Allies Encircling now
    blinks over 3 to 6 allies as is possible, instead of always 8.
  - Hell beasts have become sin beasts, gaining HD and antimagic attacks.
    Geryon's (hell -> sin) beast summoning has been weakened in exchange.
  - Monster shadows are now called shadowghasts.
  - Necrophages are weaker and now only appear from Yred's summonings.
  - Norris now casts Draining Gaze instead of Brain Bite.
  - Ophanim now passively irresistibly inflict Mark on all those they see.
  - Worldbinders now summon ironbound frosthearts instead of thunderhulks and
    their summons have a longer duration.
  - The Serpent of Hell has been adjusted to have more appropriate breath
    attacks in Dis, Gehenna, and Tartarus.

* Monster constriction is now more difficult to escape via moving, but blinks
  now always work as an escape.
* Monster repel missiles now acts as a flat +15 effective EV against
  projectiles, rather than scaling heavily to the monster's own EV.
* Player ghosts now can cast many additional low-level and mid-level spells.
* Monsters put to sleep through effects like Ensorcelled Hibernation cannot be
  woken by any means until after the player's next action.
* Removed monsters: burning bushes, lorocyprocas.

Species
-------
* New species: Coglins, goblins in mechanical exoskeletons. Features:
  - Their exoskeletons allow them to dual wield, but innately take a few
    swings to rev up to normal damage.
  - They can't wear jewellery, but at XL 14 they can choose to invent one of
    three gizmos that passively provide resists and unique benefits.
* Returning species: Since all species can become orcs, Hill Orcs swap out with
  Mountain Dwarves, with similar but less skewed apts and stats. New features:
  - They ignore half of the spellcasting penalty heavy armour would inflict.
  - They can enchant randart equipment up to the base equipment's default
    enchantment maximum.
* Draconian breaths have been revamped: most effects have been replaced for
  much stronger and flashier effects, but now use a limited number of charges
  refilled by gaining experience instead of coming back on a breath timer.
  - Red draconians breathe penetrating bolts that explode on each hit.
  - White draconians breathe high-damage penetrating bolts that turn defeated
    foes into blocks of ice.
  - Black draconians breathe projectiles that chain in a connected group.
  - Grey draconians now have mud immunity and breathe large mud blasts.
  - Green breathe now get additional noxious clouds alongside the main path.
  - Yellow draconians breathe a penetrating bolt that leaves acidic clouds.
  - Purple draconians breathe an explosion of both dispelling and antimagic.
  - Pale draconians now deal fairly more impact damage with their steam breath.
* Deep Elves now regenerate MP more rapidly and their Air Magic apt has been
  raised from 0 to +1.
* Formicid Translocations apt raised from -1 to +2.
* New Demonspawn mutation: Foul Shadow, which wreathes the player in umbra to
  reduce monster accuracy and increases stealth, and also burns attackers in
  melee range with foul flame.

Spells
------
* New spells:
  - Soul Splinter (L1 Necro): Force a tiny fragment of an enemy's soul from
    their body, weakening them and creating a short-lived soul wisp ally.
  - Grave Claw (L2 Necro): Skewers an enemy on shards of bone, dealing
    unavoidable damage and briefly preventing them from moving. It uses the
    malice of the recently dead as ammunition and can only be recharged by
    slaying living beings.
  - Maxwell's Portable Piledriver (L3 Tloc): Grabs an adjacent foe and hurls
    both you and it forward, inflicting damage if they collide with something
    solid in the process.
  - Cigotuvi's Putrefaction (L4 Necro / Air): Causes a heavily wounded living
    monster to spew a large amount of miasma clouds over several turns, but
    drains the caster.
  - Hoarfrost Cannonade (L5 Ice / Alch): Summons two transient icy cannons
    that deal damage, slow down movement, and eventually (safely) explode.
  - Gell's Gavotte (L6 Tloc): Pulls the player and everybody else in sight
    four tiles in a chosen direction, damaging those flung into solid objects.
  - Permafrost Eruption (L6 Ice / Earth): Creates an explosion of rock and ice
    on top of the densest cluster of enemies in sight.
  - Hellfire Mortar (L7 Fire / Earth): Temporarily digs out a river of lava,
    then deploys an auto-firing magma cannon to float down that river.
  - Magnavolt (L7 Air / Earth): Magnetises enemies, making them lose all EV and
    drop magnetised vortices on death, then zaps every magnetised foe in sight.
  - Rimeblight (L7 Ice / Necro): Inflicts a plague on enemies that spreads
    through icy explosions, which can instantly kill foes at low health.
  - Fulsome Fusillade (L8 Conj / Alch): Rains reagent explosions of random
    elements on top of random foes, inflicting random debuffs if they overlap.
* Teleport Other now tries to teleport affected monsters out of the caster's
  sight.
* Players with Spellforged Servitor memorised now get an Imbue Servitor ability
  that allows you to choose which compatible spell the servitor will cast.
* Manifold Assault has moved from L4 to L7, no longer misses its strikes, and
  hits 4 to 12 foes at once instead of 2 to 4.
* Blazeheart Golem now scales properly with spellpower.
* Polar Vortex no longer damages enemies outside the player's line-of-sight.
* Animated Armours now gain the resists from their armour base type.
* The Dryad created by Summon Forest now avoids moving towards hostile
  monsters.
* Removed spells: Necrotise, Cigotuvi's Dreadful Rot, Gell's Gravitas.

Tiles and Other Art
-------------------
* New tiles for existing game elements:
  * Dozens of monster-only spells.
  * Dozens of mutation icons.
  * Several monster-specific metal spell effects.
  * The Alchemist starting screen icon.
  * Boulders from Brom's Barrelling Boulder.
  * Box of beasts & the tin of tremorstones (now with inert and usable splits).
  * Calcifying dust clouds.
  * Call Canine Familiar's spell icon.
  * Crystal walls in Zot.
  * Formless jellyfish.
  * Jiyva's altar.
  * Yred's Recall tile.

Stone Soup 0.31 (20240119)
--------------------------

Highlights
----------
* New skill and background: Shapeshifters, using Talismans to change forms.
* New skill and background: Alchemists, melding Poison Magic and Transmutation.
* A variety of exciting new spells for sorcerers and sword-slingers alike.
* Many dangerous new monsters, from the early Dungeon to the Realm of Zot.
* Major changes to many species.

Artefacts
---------
* New unrand: Mule, a +7 flaming hand cannon which sometimes knocks the
  user backwards when fired.
* The dreamshard necklace now has Acrobat, but only restores the player to 1 HP
  when they'd otherwise die, rather than healing 50-100% of their max HP.
* Artefact staves and orbs can now enhance other schools of magic, even those
  which don't have corresponding base enhancer staff types.
* Gyre & Gimble's enchantment is reduced from +12 to +8.
* The macabre finger necklace is now evil, and the amulet of Vitality
  no longer is.
* Glaive of the Guard no longer gives +5 AC.

Branches, Environment
---------------------
* The Slime Pits now have many new endings, instead of one fixed ending.
* Fast-moving adventurers can find gems at the bottom of many branches.
  These have no use, but are great for bragging rights.
* Negative energy clouds have been replaced with clouds of excruciating
  misery, which deal damage based on max HP %.
* The Ecumenical Temple is now fully mapped on entry.
* The lairs of the lords of Pandemonium have been reworked.
* Bazaars now have other (friendly!) patrons.
* Crypt now has a 1/3 chance of containing a talisman of death.
* The Hall of Blades in Elf:2 now holds weapon-enhancing scrolls, and sometimes
  has a blade talisman.
* 'Hard' ice caves are displayed pre-entry as "glacial chasms".

Character
---------
* New skill: Shapeshifting, used for talismans.
* New background: Shapeshifter, replacing Transmuter. Shapeshifters enter the
  dungeon with a beast talisman, a potion of lignification, and an animal skin.
* Merged skills: Poison Magic and Transmutations have been merged into Alchemy.
* Reworked background: Venom Mage has become Alchemist, which has the reworked
  spells Mercury Vapours and Sticky Flame, along with Sting, Mephitic Cloud,
  and Olgreb's Toxic Radiance.
* Reworked Hexslinger, which now starts with new spells Jinxbite, Sigil of
  Binding, and Dimensional Bullseye, along with Inner Flame and Cause Fear.
* Conjurers no longer start with Dazzling Flash.
* Shields no longer degrade in effectiveness with each hit taken per-turn.
  Instead, they now have a limit on per-turn blocks, based on shield type.
* New mutation: persistent drain, which makes HP drain take more XP to cure.
* Hunters and Chaos Knights now start with scrolls of butterflies instead
  of immolation and xom's chesspieces, respectively.

Gods
----
* Okawaru now gives exactly one weapon gift and one armour gift as a capstone
  (chosen by the player), rather than giving many random gifts.
* Ashenzari now gives perfect mapping, but only maps within LOS radius.
* Trog now disables pain brand instead of becoming angry at it.
* Nemelex:
  - The Swarm card can now summon higher level bees.
  - The Elements card has had its summon set adjusted.
  - The Cloud card now produces different types of cloud based on power.
  - The Deal Four ability now costs more piety.
* The Wu Jian Council now allows rampaging.
* Cheibriados piety gain now only depends on monsters' base speed.
* The good gods now hate distortion-branded weapons.
* Gozag no longer detects gold.
* Kikubaaqudgha's wrath has been overhauled to be much more dangerous.

Interface and Options
---------------------
* Monsters with unusual items (e.g. distortion) are now highlit in purple
  by default.
* Monster descriptions have been compacted and made more informative.
* Monster resists from equipment is now used for display and targeting.
* For many list options, commas can now be escaped with backslash.
* The ctrl-T "toggle travel speed" option has been removed.

Items
-----
* New item type: talismans.
  - When used, talismans transform the player into a corresponding form.
    This transformation lasts until the player chooses to end it.
    It takes five turns to use a talisman.
  - Shapeshifting skill increases the power of talismans' forms. Insufficient
    Shapeshifting skill reduces the player's maximum HP while in a form.
    Different forms have different min and max Shapeshifting skills.
  - Beast talisman: starting talisman for Shapeshifters. Gives +Slay
    but melds aux armour.
  - Flux talisman: starting talisman for Shapeshifters. Over multiple hits,
    contaminates enemies with magical radiation until they explode.
  - Serpent talisman: transforms the player into a big, constricting python.
  - Maw talisman: melds the body slot, transforming it into a devouring maw.
    Launches auxiliary chomp attacks and heals the player by devouring foes.
  - Blade talisman: gives the player blade hands and also a blade body,
    reducing AC from body armour at lower Shapeshifting skill.
  - Statue talisman: turns the player into a slow-moving, durable statue.
  - Dragon-blood talisman: turns the player into a fire-breathing dragon.
  - Storm talisman: turns the player into living lightning.
  - Talisman of death: turns the player into an undead abomination, blighting
    foes on hit and tormenting them to heal.
* New item: sack of spiders, an XP-charged evoker which webs foes and
  summons creepy-crawlies. Alternates with boxes of beasts.
* Potions of flight replaced with enlightenment, which also give Will+.
* Scrolls of magic mapping replaced with revelation, which also give X-ray
  vision and sInv for one turn.
* New weapon: orcbow, between a shortbow and an arbalest in strength.
* Hand crossbows are now hand cannons, alchemically belching smoke and death.
* Ranged weapons' damage, delay and accuracy have been adjusted.
* Quick blades now hit twice for every swing, with a higher attack delay.
* Boomerangs of dispersal have been replaced with darts.
* Condenser vanes are now more effective at low power.
* Spectral weapons now share 70% of damage taken (from 50%).
* Staves of earth now check only 1x AC, but deal 1/3rd damage to fliers.
* The 'chaos' brand has a new set of possible effects.
* Wands of light no longer affect undead, plant and nonliving monsters.
* Wands of quicksilver can no longer be self-targeted.
* Troll leather armour now has slightly less base AC.
* Removed books: Sky, Rime and Transfigurations.
* Removed: silver boomerangs and xom's chesspieces.

Monsters
--------
* Uniques:
  - New: Jeremiah, a peaceful barachi trapped between sleep and waking.
    Their dreams leak into reality in a stream of beautiful butterflies.
  - Returned and revamped: Norris, a death cultist who surfs into battle with a
    gang of skysharks.
  - Maurice is now a vine stalker, with high regen and antimagic bites.
  - Erica is now an octopode, with constriction and a more focused spell set.
  - Frederick holds an orb, has a new spell set, and is much stronger.
  - Boris now sprays clouds of misery instead of casting Invisibility.
  - Xtahua and Mnoleg are considerably stronger.
* Other new and returned monsters:
  - Arcanists, fairly dangerous vitrifying wizards.
  - Bombardier beetles, an early monster that shoots sticky flame.
  - Brain worms, which eat magic and minds alike.
  - Burial acolytes, masters of the Ossuary.
  - Crocodiles, which drag victims backward.
  - Formless jellyfish, which constrict and sting for single-turn paralysis.
  - Glass eyes, which vitrify victims to make them fragile as glass.
  - Kobold blastminers, who blast enemies with alchemical cannons and get sent
    flying backwards by the recoil.
  - Laughing skulls, whose painful laughter grows stronger in numbers.
  - Protean progenitors, which split into shapeshifting fragments when slain.
  - Weeping skulls, which spray clouds of misery.
* Other changes to individual monsters:
  - Alligators and reapers are a bit weaker, but drag victims backward.
  - Ufetubi, tengu warriors, and draconian monks now slip behind their foes
    before meleeing.
  - Tengu reavers now have rMsl.
  - 'Wizard' has been renamed to 'occultist' and has a new spell set.
  - Worms have turned into ribbon worms, doing less damage but ensnaring.
  - Great orbs of eyes have a new spell set, and are slightly stronger.
  - Cacodemons now Vitrify instead of casting Slow/Confuse.
  - Killer Klowns now Vitrify instead of Polymorphing.
  - Monsters which cast Energy Bolt now instead cast Bolt of Devastation,
    which applies Will/2 temporarily.
  - Concentrate Venom (from naga mages and Amaemon) is more effective.
  - Naga ritualists are much more powerful.
  - Nagas' spit is now more powerful.
  - Deep Elf Elementalists now cast LRD instead of Awaken Earth.
  - Deep Elf Death Mages are tougher and summon many more lost souls.
  - Red very ugly things now do direct fire damage instead of sticky flame.
  - Sun moths have a different spellset and melee attack effects.
  - Wargs are now notably stronger and faster.
  - Abominations' speed is no longer randomized.
* Attacks of opportunity have been reworked.
  - Monsters now have a chance to attack when moving into melee with a player
    who just moved away. Previously, this triggered immediately when the
    player moved away, didn't use any of the monster's time, and couldn't
    trigger for monsters slower than the player.
  - Monsters have a slight chance to fall behind or catch up while following
    the player.
* Other behavioral changes:
  - Giant monsters can now be ensnared by webs and nets.
  - Jellies can no longer be netted or constricted.
  - Allied undead no longer become angry when damaged.
  - Allies match your speed when no foes are nearby.
  - Polymorphing monsters no longer heals them.
  - Monsters no longer use up charges when zapping wands.
  - Monsters can no longer use scrolls or potions.
* Some monsters now have special dialogue after killing the player.
* Flying skulls have been removed.

Species
-------
* Ogres have been renamed to Oni.
  - They heal twice as much from potions, and launch a 'drunken brawling'
    melee attack against all adjacent foes when drinking healing potions.
  - Some apts have been improved or tweaked.
  - They now have Horns 1.
* Armataurs:
  - At XL7 and higher, armataurs now regenerate HP and MP when rampaging.
  - Their 'double potion' effect has been removed.
  - Their max HP is reduced.
* Felids now get an extra life at XL 1, and don't lose XLs on dying.
  They also have higher base health, but no longer have fast movement.
* Tengu now have inherent Acrobat (+15 EV after moving/waiting) at XL 1.
  They now gain +4 EV at XL7 instead of a 20% EV bonus and fast movement.
* Humans now heal while exploring, but their XP apt is now average.
* Mummies now get their first necromancy enhancer at XL 1, not 3.
* Vine Stalkers now get regeneration at XL 1, not 4.
* Djinn now use all magic skills, instead of only Spellcasting. Djinn can
  only choose to train all magic skills or none.
* Ghouls start with an additional +4 Int and +1 MP.
* Formicids can no longer be involuntarily shafted.
* Meteorans have been removed.

Spells
------
* Poison Magic and Transmutations have merged into a new Alchemy school.
  - Poisonous Vapours has been replaced by Mercury Vapours, which can now
    inflict Weak on the target and other creatures nearby, but has short range.
  - Sticky Flame is now L4 Fire/Alch (was L4 Fire/Conj), does much more
    damage, but can be shaken off by non-forced movement.
  - Ignite Poison is now L4 Fire/Alch (was L3 Fire/Poison/Tmut).
  - Leda's Liquefaction is now L4 Earth / Alch (was L4 Earth / Hexes)
  - Sting is now Conj/Alch (was Pois/Tmut), and has more range and damage.
  - Fulminant Prism is now Conj/Alch (was Conj/Hex).
* New spells:
  - Jinxbite (L2 Hex): deals additional Will-checking damage to foes attacked
    while its duration lasts, but also halves the caster's will.
  - Sigil of Binding (L3 Hex): creates two magical traps nearby, which
    temporarily bind hapless victims in place.
  - Brom's Barrelling Boulder (L4 Earth/Conj): creates a boulder, which crushes
    and knocks back foes and explodes when hitting walls.
  - Martyr's Knell: L4 Summ/Necro. Summons a shade that absorbs damage taken
    by other allies. Becomes a flayed ghost on death.
* Replaced spells:
  - Fugue of the Fallen (replacing Wereblood): Now L3 Necro (was L2 Tmut),
    triggers on ally kills as well as the player's, inflicts pain on nearby
    foes at max power, caps at +7 (was +9), and no longer gives minor healing.
  - Blazeheart Golem (replacing Guardian Golem): Now L4 Summ/Fire (was L3
    Summ/Hex). Now has slow, powerful, self-damaging melee, and blows up one
    turn after dying. Only functions when the player is adjacent.
  - Dimensional Bullseye (replacing Portal Projectile): targets a foe and
    teleports all shots fired at other foes to also hit the chosen unfortunate.
  - Curse of Agony (replacing Agony). Hexed foes have their health halved after
    each of the next two melee attacks the caster lands against them.
  - Bombard (replacing Iron Shot). Sometimes knocks back the caster.
  - Sculpt Simulacrum (replacing Simulacrum). L6 Ice/Alch (was L6 Ice/Necro).
    Creates simulacra of an adjacent foe after a few turns.
* Call Canine Familiar now summons inugami, dog spirits which scale with power.
  Recasting the spell heals the dogs and gives them a free cleaving attack, but
  if the inugami is defeated, it can't be resummoned for some time.
* Passwall is now L3 Earth (was L2 Earth/Tmut). It now has fixed range and gives
  temporary AC.
* Petrify can now chain its effect on up to two other adjacent foes, but has
  its range reduced to 6.
* Summon Ice Beast is now L3 (was L4).
* Plasma Beam no longer has limited range, but does 10% less damage.
* Arcjolt now initially arcs to foes within two tiles of the caster.
* Static Discharge now does more damage, but checks half AC instead of none.
* Hailstorm does more damage at low power and less at high power.
* Swiftness now works in water.
* Cigotuvi's Dreadful Rot now drains the user much less.
* Borgnjor's Vile Clutch (and Fastroot) now work on invisible enemies.
* Borgnjor's Vile Clutch does less damage.
* Blastmotes now explode when waited in.
* Spellforged Servitor requires conjurations to be <=20% fail (was 50%).
* Many summons now have a shorter duration.
* Removed: Beastly Appendage, Spider Form, Ice Form, Blade Hands, Statue
  Form, Dragon Form, Storm Form, Necromutation.

Tiles and Other Art
-------------------
* New art for existing game elements:
  - Monsters:
    * Ancient liches.
    * Blink frogs.
    * Deep elf death mages.
    * Dragons.
    * Rakshasas.
    * Shrike simulacrula.
    * Barachi and Oni (decorative).
  - Unrands: Eos, Sniper, Starlight, Dragonskin, Ratskin and the Thief.
  - Short sword and eveningstar artefacts.
  - All bardings.
  - Volatile Blastmotes (spell icon and clouds).
  - Dragon form.
  - Many mutation icons.
  - Stone walls and floors in the Depths.
  - Dithmenos's altar.
  - The Orb of Zot.
* New Eustachio splash screen.
* Player body variants are randomized at the start of each game.

Stone Soup 0.30.1 (20230630)
----------------------------

Bugfix release
--------------
* Fix zooming on local tiles
* Many other bug and documentation fixes

Stone Soup 0.30 (20230505)
--------------------------

Highlights
----------
* New background: Reavers, spellswords with powerful but situational
  Conjurations.
* Palentongas reworked into Armataurs, with innate rampage and an affinity
  for potions.
* A variety of exciting new spells for warriors and wizards alike.
* Many new and reworked artefacts, both random and fixed.
* Lugonu made more available and tempting to unfortunates cast into the Abyss.

Branches, Environment
---------------------
* It is now possible to enter the Vaults without holding a rune. However,
  a rune is still required to leave.
* Slime walls now apply corrosion to the player, rather than dealing damage.
  Jiyva's Oozemancy ability still deals damage as before.
* Thunderstorms now deal much more damage.

Character
---------
* New background: Reaver.
  - Reavers are warrior-mages, primarily focused on melee combat but with
    situational Conjurations for tough situations.
  - Reavers begin with two new spells, Kiss of Death and Momentum Strike,
    as well as a revised version of the Hailstorm spell.
* Species rework: Palentonga -> Armataur.
  - Like Palentongas, Armataurs are large, scaled mammals, wearing bardings
    instead of boots.
  - Armataurs lose the Rolling Charge and Curl abilities. They gain Rollpage
    (innate Rampage) and long tongues, which double the effects of potions but
    slow down scroll reading.
  - Armataurs' aptitudes have been adjusted.
* Background changes:
  - Monks now start with an orb of light.
  - Warpers replace Gell's Gravitas with Vhi's Electric Charge.
  - Hedge Wizards have Conjure Flame replaced by Cigotuvi's Dreadful Rot.
  - Fire Elementalists have Conjure Flame replaced by Volatile Blastmotes.
  - Ice Elementalists have Hailstorm replaced by Summon Ice Beast.
  - The 'Arcane Marksman' background has been renamed to 'Hexslinger'.
  - Removed the Abyssal Knight background.
* Miscellaneous species changes:
  - Mummies gain innate Faith, giving them extra piety gain.
  - Large species move at normal speed through shallow water.
  - Formicids can now shaft themselves in the Tomb of the Ancients.
  - Species size no longer affects SH.
  - Pale draconians' breath is no longer usable twice as often as others'.
* rF- and rC- are added to the 'bad mutations' pool.
* All players regenerate an extra 0.2 HP/turn.
* Will is now capped at `+++++`.
* It is now possible to stack two levels of Harm.
* Reaching the end of the Zot clock now causes a smaller amount of permanent
  max HP loss (similar to Borgnjor's Revivication), rather than temp HP drain.

Gods
----
* Lugonu:
  - Banishment is now available at ** piety (from ***), has a lower failure
    chance, and causes malmutation when resisted.
  - When the player suffers the wrath of another god, Lugonu now responds by
    banishing some number of hostile monsters nearby.
  - Lugonu's altars are more common in the Abyss, and the piety bonus for
    converting to Lugonu in the Abyss has been increased.
  - The Bend Space ability has been removed.
* Ashenzari:
  - Skill boost reduced.
  - Trap detection moved to 4* (was at 0*).
  - Removed Astral Vision (automatically seeing through walls).
* When worshipping at a faded altar, the player is given a preview of three
  gods the altar might belong to.
* Xom's mutation gifts are no longer limited to a small pool of options.
* Gozag's corpse-to-gold effect now blocks enemies from creating simulacra,
  and the duration of the distraction effect is no longer based on corpse size.
* Fedhas protects trees from being set on fire by the player.
* Okawaru's Heroism and Finesse abilities cost more piety.
* Hepliaklqana's Knight now attacks 50% more slowly.
* Good gods will now suppress evil clouds from Condenser Vanes.

Interface and Options
---------------------
* Two new menus that unify all equip and unequip actions:
  - The Equip menu (`e`) combines wield, wear, and put on commands for equipping
    weapons, armour, and jewellery, respectively.
  - The Unequip menu (`c`) allows to unwield, take off, or remove any equipped
    item.
  - Tab toggles between equip and unequip.
* Character overview ('%') screen:
  - Displays much more information about items, moving niche statuses downward.
  - No longer shows .s for low Stealth values.
* Damage ratings are now shown via @, including those for unarmed combat.
* An indicator is now displayed when movement would cause a Rampage.
* Bumping a foe while holding a ranged weapon shoots instead of bashing.
* The piety cost of divine invocations is now shown more clearly.
* Spells' maximum damage is now displayed in their descriptions.
* Unrands (pre-defined artefacts) have a distinct colour by default.
* Almost all unrands with special behavior now have a corresponding inscription.
* Many weapon brands now provide more quantitative damage information.
* Up to 100 waypoints can now be placed (up from 10).
* New show_blood option allows disabling blood spatters and bloody corpses.
* Webtiles muting commands are reworked into a block mechanism; see `/help` in
  webtiles chat for more details.

Items
-----
* New brand: Heavy.
  - Heavy weapons have +80% base damage and +50% attack delay.
  - Both melee and ranged weapons can be Heavy.
* Elemental evokers:
  * Lightning rods now do 50% more damage.
  * Elemental evokers now recharge faster in the early game and slower later.
  * Each elemental evoker can now generate at most once in a given game.
  * Jiyva jellies can no longer eat elemental evokers.
  * Condensation Vanes and Tremorstones can no longer both generate in one game.
  * Phials of floods have their range and effect duration reduced.
* Evocable invisibility and blink no longer have an MP cost.
* Spells have been reshuffled between books, and a new Maxwell's Memoranda book
  has been added.
* Shield penalties are now reduced by Str rather than by players' size.
* Orb, scarf, and magical staff artefacts can now appear.
* Orbs of energy now give -Wiz in exchange for a chance to refund MP when
  spells are cast, with no chance of backlash.
* Scrolls of butterflies now blow back nearby creatures and create many more
  butterflies. They now alternate with scrolls of summoning instead of fog.
* Rings of evasion are now +5 (were +4).
* All ranged weapons can now generate with electrocution, antimagic, and
  draining brands. Venom ranged weapons no longer appear.
* Ranged weapons are now quieter.
* Longbows, arbalests and hand crossbows have had their stats slightly tweaked.
* Throwing weapons now deal extra damage when they break.
* The spectral brand now matches the player's accuracy and damage, the latter
  reduced by 30% (ala cleaving).
* Short sword attack delay reduced.
* Removed the 'vorpal' brand.

Monsters
--------
* New monsters:
  - Sleepcap: native to the early Dungeon, sleepcaps may inflict sleep on hit,
    making the player take massive damage from whoever attacks next.
  - Skyshark: appearing in late Lair and early Shoals, skysharks become
    enraged on drawing blood - first becoming Mighty, then Berserk!
* Demonic Crawlers lose the Warning Cry ability and elemental resistances in
  exchange for higher damage and very fast regeneration.
* Doom Hounds' Howl is now resistible by Will.
* Many monsters do somewhat less damage.
* Walking Tomes are now unable to cast while silenced.
* Ironbound Frosthearts' Creeping Frost spell is now fully resistible by rC.
* Fleeing monsters will no longer avoid harmful clouds.
* Monsters, notably Asterion, can now use spectral weapons.

Spells
------
* New spells:
  - Kiss of Death (L1 Conj/Necro): does high draining damage to an adjacent
    enemy, at the cost of significant max HP drain to the caster.
  - Momentum Strike (L2 Conj/Tloc). Redirects the caster's momentum for a
    damaging attack that doesn't require line of fire, but locks the caster in
    place for some turns after a hit (and cannot be recast until this expires).
  - Cigotuvi's Dreadful Rot (L2 Necro/Air/Pois). Rots away the caster's flesh
    to create a cloud of deadly miasma on their tile.
  - Volatile Blastmotes (L3 Fire/Tloc). Creates an explosive cloud on the
    caster's tile, usable as a land mine or tricky tool.
  - Vhi's Electric Charge (L3 Tloc/Air). Launches the caster at a nearby foe
    and launches a crackling melee attack, phasing through creatures en route.
  - Arcjolt (L5 Air/Conj). Electrocutes everything adjacent to the caster,
    everything adjacent to those creatures, etc, etc, in a chain.
  - Plasma Beam (L6 Fire/Air): Fires a bolt of lightning and another bolt of
    fire, both at the most distant foe.
* Hailstorm moved to L3 (from L4) and can now miss.
* Call Imp now always and only calls a spear-wielding cerulean imp.
* Manifold Assault moved to L4 (from L5) and does half as many attacks with
  UC as with a weapon.
* Lesser Beckoning moved to L2 (from L3) and is now better at low power.
* Battlespheres now fire when any destructive spell is cast, not just Conj.
* Ozocubu's Refrigeration's damage has been increased.
* Slow no longer has bonus hex power.
* Irradiate now only has a 50% chance of malmutating affected creatures.
* The Scorch, Simulacrum and Static Discharge spells have been weakened.
* Removed: Conjure Flame, Corpse Rot and Lightning Bolt.

Tiles and Other Art
-------------------
* New tiles for player draconians.
* More icons for mutations.
* Several new splash screens.
* A new icon for Monstrous Menagerie.
* New art for many monsters, including Prince Ribbit and X-shaped simulacra.
* New art for many unrands, including the Elemental Staff and Wrath of Trog.
* New holiday-exclusive tiles for Sigmund, ogres and hats.

Unrands
-------
* New unrands:
  - The Hermit's Pendant, an amulet of faith that sets the wearer's Invocations
    skill to 14 and their Evocations skill to 0.
  - The Consecrated Labrys, a holy axe with sInv, Flight, and an enchantment
    that grows larger while more dangerous enemies are in view.
  - The Slick Slippers, which make all damaging melee attacks trample their
    wearer backward. They provide immunity to constriction, engulfing, etc.
  - The Force Lance, a Heavy +5 lance (ala Wyrmbane) which has a 1/3 chance of
    knocking back foes when landing a damaging blow.
  - The Storm Queen's Shield, a +5 kite shield of rElec and flight which
    fires electrical retaliation at those it blocks.
  - The toga "Victory", a robe which gains AC, Int and Slay as the wearer
    slays dangerous foes, but loses everything if they drink or read near foes.
* Orbs:
  - The Staff of Dispater is now an orb with +AC and *Corrode.
  - The Staff of Battle is now an orb. It now enhances all destructive spells
    (matching Vehumet's categorization), but de-enhances other spells.
  - The Staff of Wucad Mu is now an orb, with double the MP refund chance of a
    normal orb of energy.
* Devorpalization:
  - Sniper is now +27 and Heavy (was +9 and Vorpal).
  - The Dark Maul is now Heavy (was Vorpal), and has its base stats adjusted.
  - Other formerly Vorpal unrands have been adjusted individually.
- The Mad Mage's Maulers lose Int-3 and RegenMP, gain -Cast and MPVamp (gain
  MP from damage dealt), and deal twice as much damage when spending MP.
- The Ring of the Hare is now +10 (was +8).
- Majin-Bo is now one-handed and deals much more damage in melee.
- The sceptre of Asmodeus is now an eveningstar that summons demons on-hit.
- The Elemental Staff now provides weaker resistances.
- The Lochaber Axe now causes HP Drain on unequip.
- Removed Morg.

Stone Soup 0.29.1 (20220911)
---------------------------------------------------

Bugfix release
--------------
* 20+ bug and documentation fixes
* Improvements to linux packaging support infrastructure

Stone Soup 0.29.0 (20220825)
----------------------------

Highlights
----------
* New Meteoran species - powerful, but with heavy time pressure.
* Ranged weapons have been extensively redesigned and streamlined.
* Necromancy and Kikubaaqudgha have been overhauled and powered up.
* Many backgrounds have extra consumables to handle early tricky situations.
* The Abyss is deeper and more rewarding.

Branches, Environment
---------------------
* The Abyss has been reworked.
  - Piety and experience are once again awarded in the Abyss.
  - When the abyssal rune generates, it's announced and appears on the map.
  - New decorative 'runelight' features now indicate the rune is close by.
  - The Abyss is now 7 levels deep, with the depths beyond A:5 continuously
    swarming the player with dangerous foes.
  - When entering the abyss by any means, the player is sent at least as deep
    as their previous deepest abyss depth.
* Dungeon shafts try not to send the player directly into monsters' sight.
* All descents of new stairs and hatches are now fast, not just one per floor.
* The Lair is now 5 levels long (was 6).
* Zombies and skeletons are removed from normal Dungeon spawns.
* Temple sizes now range from 6 to 21 altars, with a small chance of rare
  temples with 0, 1, or 22 temple-god altars.
* The Zot clock now only instantly kills the player if they're extremely badly
  drained. Otherwise, it applies very heavy draining and refreshes the clock.
* 'Hell effect' events fire on entering floors, instead of on a timer.

Character
---------
* New species: Meteoran, stars fallen to earth in human form. Features:
  - Strong attributes and very strong skill aptitudes.
  - Exploration healing, regaining HP and MP when viewing new territory.
  - Passive mapping of the dungeon around them.
  - Hunted by darkness: only 600 turns per floor until Zot catches them
    (instead of the usual 6,000).
* Many backgrounds start with new consumable items:
  - All 'mage' backgrounds now start with a potion of magic.
  - Gladiators add a single throwing weapon (javelin, large rock, or boomerang)
    to their starting kit.
  - Monks start with a potion of ambrosia.
  - Hunters gain a scroll of immolation.
  - Brigands get an additional poisoned & curare dart.
  - Chaos Knights start with a piece from Xom's chessboard.
  - Artificers trade their chesspiece for five iceblast charges.
  - Wanderers get an additional random potion or scroll.
  - Abyssal Knights start with more piety and standing on the abyss exit.
  - Transmuters start with a potion of lignification.
  - Warpers start with two more dispersal boomerangs (a total of 7).
  - Enchanters start with a second potion of invisibility.
* Ranged weapon skills and starts are streamlined (see also "Items" below):
  - The Bows, Crossbows, and Slings skills are combined into a single Ranged
    Combat skill. Most species have aptitudes equal to their best previous
    ranged aptitude.
  - Hunters always start with a shortbow, and no longer have a short sword.
    They have higher dexterity and lower strength and intelligence.
  - Arcane Marksmen always start with a +1 sling.
* Necromancers start with the new spell Necrotize instead of Animate Skeleton
  and Pain.
* Some species were tweaked:
  - Merfolk polearms aptitude is decreased to +3, and long blades aptitude
    increased to +2.
  - Mummy necromancy enhancers now arrive at XL 3 and 13.
  - Demonspawn demonic touch damage is doubled.
  - Formicids' base dexterity is increased by 3.
  - Formicids can again wield giant (spiked) clubs.
  - Palentongas' base strength is increased by 2, and their roll attack noise
    is reduced by two-thirds.
  - Spriggans can no longer wield triple crossbows.
 - Some mutations were tweaked:
   - Positive stat mutations now give +4 to the primary stat and -1 to the
     other two, instead of only giving +2 to the primary.
   - The -Scroll and -Potion mutations are now regular 2-tier mutations in
     the bad mutation pool. The Ru sacrifice corresponds to the 2nd tier.
   - Teleportitis and Berserkitis are reduced to 2-tier mutations
 - Deep Dwarves are removed.

Gods
----
* Kikubaaqudgha is overhauled:
  - Corpse Delivery is removed and replaced with Unearth Wretches, which
    summons paralysed, 1 HP, 0 Will monsters that die in a few turns.
    Necromantic fodder...
  - Torment no longer requires a corpse sacrifice.
  - The pain brand can be applied to ranged weapons.
* Lugonu's Bend Space is adjusted. It no longer does damage, and makes a better
  effort to blink monsters away from the destination.
* Uskayaw grants piety for damaging enemy summons.
* Ru's Sacrifice Experience now only takes one XL (was two).
* Various Ru sacrifices (including Experience) have their piety values tweaked.

Interface and Options
---------------------
* Common menu navigation commands are mapped via `CMD_MENU_...` commands, and
  can be rebound by `bindkey` options (local tiles/console only)
* Keycodes for rebinding keys are now the same across all builds.
* Keybinds, macros, and keymaps now accept human-readable key names for many
  special keys (e.g. "F1", "NP." for numpad `.`, etc.)
* Numpad keys can now be bound separately in all builds.
* Improvements to specific menus:
  - The `F`ire menu now allows selecting any item with a targeter. This includes
    items that don't show the targeter by default but do have a useful targeter,
    such as scrolls of fear.
  - In menus for equipping and using items, a toggle allows switching between
    item type.
  - In most menus that list items, or allow describing a menu entry, entries can
    be described without changing the menu mode by using the `'` key, or by
    right clicking (tiles only).
  - Item type hotkeys in the inventory now scroll, instead of select.
  - The `*` menu for Firing is now used to select items to toss away.
* The branch overview menu now shows zot clock values when they are low.
* `tile_sidebar_pixels` option: allows resizing local tiles sidebar icons.

Items
-----
* Ranged weapons are streamlined (see also "Character" above):
  - Launchers no longer use ammunition.
  - Launcher attack delay is increased by armour penalties.
  - Fustibali are removed. Hunting slings are renamed to slings.
  - Launchers have had their stats adjusted across the board. In particular,
    hand crossbows are made much rarer and more powerful.
  - Launchers all use the Ranged Weapons skill.
* Launcher, long blade, and short blade damage scale with Dex instead of Str.
* New concept: "alternate items". Some item types are grouped into 'sets',
  and only one type from each 'set' can generate in a game. Background
  starting items ignore this.
  - New item: scroll of butterflies, which summons a large cloud of
    butterflies. Alternates with scrolls of fog.
  - New wand: Light. Fires a damaging bolt of blinding light, blinding on hit.
    Alternates with acid and quicksilver.
  - New wand: Quicksilver: Fires a quicksilver bolt, dispelling magical effects
    from targets it hits. Alternates with acid and light.
  - New wand: Roots: Fires a 3x3 ball of roots, constricting enemies in the
    radius. Alternates with iceblast.
  - Wands of paralysis now alternate with wands of charming.
* New item: scroll of poison. When read the scroll of poison fills every
  unoccupied space on the screen with poison clouds for 10-20 turns.
* New unrands:
  - The +8 trishula "Condemnation" {holy, Anguish Fly rN+}. Inflicts 4-8 turns
    of Anguish on those hit, making them take damage when dealing it.
  - The +3 mountain boots {steadfast, rC+}. Prevents the player from being
    involuntarily moved by physical means (trampling, shafts, harpoons, etc.).
  - New unrand: the +5 lochaber axe, which cleaves through all foes in reaching
    range. Uses the higher of the player's Polearms and Axes skill.
* Items can have vault-redefined skins. Yuif now has hammers again (renamed
  maces). Sigmund and Reapers' scythes are now renamed halberds.
* +MP items remove MP when they are taken off.
* Stones always mulch when thrown.
* Unrandart tweaks:
  - the Glaive of the Guard is reduced to +5.
  - the arbalest "Damnation"'s explosions now do 2d14 damage (was 3d14).
  - Gyre & Gimble are increased to +12.
  - The Woodcutter's axe is now a battleaxe.
  - the amulet of Vitality now gives two pips each of Regen and RegenMP, and is
    now evil.
* Scrolls of holy word are removed.

Monsters
--------
* New uniques:
  - Amaemon the Diabolical Poisoner, a poison-themed demonspawn unique
    appearing with a band of orange demons in mid-D, early Lair, and Orc:1.
  - Lodul the Thundrous, an ironbound thunderhulk sent to patrol outside the
    Vaults. Appears in late D with a band of fellow ogres.
  - Zenata, Seeker of Sheza. Summons dancing weapons and casts Resonance
    Strike, doing extra damage when constructs are adjacent to the target.
    Wields a valuable weapon. Appears searching Vaults:1-4, Elf, and Crypt.
  - Parghit the Mighty, an "alt-timeline" version of Pargi with extremely high
    regeneration and enchanted golden dragon scales. Appears in late Depths and
    Zot.
  - Josephina the Ice-Lich, an "alt-timeline" version of Josephine with
    Seracfall and a band of simulacra along side Ghostly Fireball. Appears in
    Depths, Zot, and Crypt.
  - Grunn the Punished, an "alt-timeline" undead version of Grum, with a pack
    of doom hounds. Appears in Depths, Crypt, and Zot.
  - Vv the Exile, an fire/ice spellcaster with Creeping Frost, Eruption, and
    Pyroclastic Surge. Appears in Depths, Crypt, and Zot.
* Monster move energy is no longer randomized.
* Monsters gain a 1/3 chance to gain a free attack on a player moving away from
  them. Wu Jian martial attacks & rampaging give immunity, and monsters that
  don't move fast enough to follow you can't attack.
* New monster: starflower, a stationary plant with harpoon shot and reaching
  distortion melee. Found guarding valuable places in the abyss.
* Gnoll shamans are renamed gnoll bouda, and have a new spell set.
* Animated Armour now flies.
* Monster wand power is reduced.

Spells
------
* Necromancy reworked:
  - New Spell: Necrotize (L1 Necromancy). Necrotize deals damage identically to
    the old Pain spell, but additionally gives the monster a short-lived status
    that causes it to animate as a skeleton on death (if it has a skeleton).
  - Animate Dead reworked: for a duration after being cast, the dead have a
    power-dependent chance of rising as allied zombies. The zombies are
    permanent until the player leaves the level or re-casts Animate Dead.
  - Simulacrum is now a smite-targeted spell that gives an irresistible status.
    Monsters that die with this status spawn a power-dependent number of
    simulacra.
  - Corpse Rot is now Level 4 Necromancy/Poison/Air. For a duration after being
    cast, dead monsters have a chance of producing deadly miasma.
  - Death Channel cannot be re-cast while active.
* Sandblast no longer uses stones as ammo. Instead, it takes half again as long
  to cast as a normal spell. Its range and accuracy are increased.
* Airstrike's damage bonus from empty space around the target is doubled.
* Irradiate now causes dangerous contamination in 3-4 casts (was 4-5).
* Flame Wave and Sticky Flame now do roughly 25% more damage.
* Ozocubu's Refrigeration and Freezing Ramparts now check AC, but do more
  damage. Refrigeration also now does reduced damage to creatures adjacent to
  others, but no longer applies -Potion to the caster.
* Hex miscasts now only slow the player, instead of also cancelling effects.
* Removed: Animate Skeleton, Pain, Excruciating Wounds.

Tiles
-----
* Some mutations now have associated art.
* Many more status effects (e.g. Dazed, rF-) now have associated icons.
* Monsters with Reflect (e.g. from a shield) now display an icon.
* All species now have new statue form tiles.
* Many new alternate tiles for Djinni and Nagas.
* The Lernaean Hydra now has unique tiles when skeletonized.
* Borgnjor's Mausoleum and Tukima's Studio have new environmental art.
* Runed door tiles have been reworked for greater visibility.

Stone Soup 0.28.0 (20220203)
----------------------------

Highlights
----------
* New Cinder Acolyte background, followers of the dying god Ignis.
* The Hells burn with new fury, filled with new monsters and effects.
* Yredelemnul completely redesigned; Okawaru and Jiyva significantly changed.
* The Spider's Nest respun - many new monsters and maps lurk within.
* Magical orbs added as a new category of off-hand equipment.

Branches, Environment
---------------------
* You will learn to fear the Hells!
  - Branch-wide persistent effects:
    + Dis: ongoing -8 Corrosion.
    + Cocytus: potions cannot be used.
    + Gehenna: scrolls cannot be used.
    + Tartarus: willpower halved.
  - Timed effects are now the same for all Hells: temporary mutation, hp
    drain, attribute drain, and noise.
  - Floors 1-6 of each hell sub-branch are considerably smaller, and place
    only one pair of stairs.
  - Each hell subbranch's spawn tables are adjusted to produce more depth
    appropriate monsters and less chaff. (See also 'Monsters'.)
* Six new Wizard's Laboratories are added: Eringya's Formal Garden, Tukima's
  Studio, Yara's Duelist Academy, Borgnjor's Mausoleum, Maxwell's Workshop, and
  Alistair's Party Mansion.
* Abyss:
  - The Abyss no longer generates random items, and kills in the abyss grant no
    experience or conventional piety. (Uskayaw and Yredelemnul continue to
    grant their special kinds of piety).
  - Collecting the abyssal rune of zot grants two XP potions worth of
    experience.
  - The chance of an Abyss teleport sending the player deeper is increased, as
    are the rune, stair, and exit generation rates.
* Sewer maps have been re-balanced and randomized, and two new sewers added.
* Bailey maps have been re-balanced and randomized, and three new baileys added.
* Spider has two new end maps, an "Endless Swarm" map featuring broodmothers
  and a "Bug Friends" map featuring all non-spider insects.
* Spider is a normal noise level again.
* Artefacts can now generate on D:2-3.
* Ziggurats no longer require runes of zot to enter.
* Exploration-based shaft traps can now happen a maximum of once per branch.

Character
---------
* Backgrounds:
  - New background: Cinder Acolyte, an Ignis zealot. Starts worshipping Ignis,
    along with Scorch and a -1 flame branded weapon of choice.
  - Fire Elementalist's starting spells are revised, and are now: Foxfire,
    Scorch, Conjure Flame, Inner Flame, and Flame Wave. (See 'Spells'.)
  - The Enchanter background no longer starts with the Corona spell, and instead
    starts with a potion of invisibility.
  - The Fighter background now starts with a buckler instead of a kite shield.
  - The Abyssal Knight background now starts with 5/2/5 Str/Int/Dex (was 4/4/4).
* Player-chosen attribute increases now happen every 6 XLs, starting at XL 3,
  and increase a stat by 2. Demigods are unchanged.
* The experience cost of high-level skills is reduced.
* Late game XP gains are reduced.
* Formicids now dig at normal movement speed. Each cell dug causes HP drain.
* Each level of the evolution mutation now provides exactly two 'good' random
  mutation, activating once per XL.
* New bad mutation: devolution. Mechanically similar to evolution but dispenses
  bad mutations and activates once every 1/4th of an XL.
* New Demonspawn Mutations:
  - Weakening Stinger: gives a tail aux attack. Level 3 blocks the cloak slot
    and applies Weak on hit.
  - Demonic Touch: adds AC-ignoring damage to off-hand punch attacks. Level 3
    blocks the glove slot and applies Vuln (halved Will) on hit.
* Aux attacks now trigger with a chance based on XL.
* The chance to offhand punch now starts at 5% and increases to 50% with
  Unarmed Combat skill.
* Strength 0's regeneration reduction is replaced with -Regen in monster LOS.
* Intelligence 0's 4/5 chance to fail scroll reading is replaced with -Scroll.
* Wanderers have more useful starting skills and new item possibilities.

Gods
----
* New (non-temple) God: Ignis, the Dying Flame.
  - Ignis altars do not generate normally, Ignis can only be worshipped from a
    faded altar or from the new Cinder Acolyte zealot start.
  - Ignis worshippers normally start at 5* piety.
  - Ignis has no piety gain and no piety decay.
  - Ignis grants the following:
    - Passive rF+ (fire resistance).
    - 'Fiery Armour': +7AC and fire damage to melee attackers for its duration.
    - 'Foxfire Swarm': Conjures foxfires on every open space in radius 2, which
      launch one-shot fire attacks ala the 'Foxfire' spell.
    - 'Rising Flame': After 2-4 turns, sends the player through the ceiling (up
      one floor). Can only be used once.
* Yredelemnul:
  - Piety now solely based on the number and strength of allied zombies in
    sight.
  - Passive reaping: slain living, demonic, and holy monsters have a chance to
    automatically rise from the dead as undead allies.
  - Zombies cannot leave the level and expire when the player leaves the level.
  - Yredelemnul grants the following active abilities:
      - 0*: Recall Undead Harvest: recalls undead allies to you.
      - 2*: Dark Bargain. Trade 2 zombies for a long-duration undead summon.
            Scales with invocations.
      - 4*: Drain Life. Same as previous drain life, but also costs 3 zombies.
      - 5*: Bind Soul. Formerly known as 'Enslave Soul', but also costs 4
            zombies. A bound soul is permanent and can follow the player
            between floors.
  - Removed animate remains/dead and injury mirror abilities.
  - Kills by Yredremnul allies now grant full experience.
* Okawaru becomes the god of single combat.
  - New ability: Duel, granted at 5*. The Duel ability smite-targets a single
    non-summoned enemy in LOS (which must be threat level "tough" or higher),
    and transports them and the player to an Arena portal vault. Winning the
    duel opens a gate to return from the portal vault, and the player will be
    forcibly teleported back after a short duration.
  - Finesse is moved to 4* (from 5*).
  - Worshippers may no longer have allies of any kind.
* Jiyva:
  - New active 'Oozemancy' 3* ability. Temporarily turns nearby walls within
    radius 4 into slime-covered walls that do acid damage to adjacent monsters.
  - Mutations now changed in bursts: existing mutations decay, then new ones
    are added several levels at once.
  - Piety now granted solely for exploring, and only outside the Slime Pits.
  - Now grants passive regeneration of HP and MP at a high rate.
  - Passive rCorr is now granted at 2*, and jelly spawning on hit at 5*.
  - Removed: attribute shuffling, the 'cure mutation' ability, and healing/mp
    restoration from jelly item eating.
* Elyvilon:
  - Pacification grants full XP and works on intelligent plants.
  - Lifesaving is now completely passive, with an extra piety gated chance on
    top of the basic good god lifesaving chance and a cooldown.
  - Purification is moved to 1* and reduced in cost.
  - Greater Healing is renamed to Heal Self and moved to 3*.
  - Lesser Healing is removed.
* Cheibriados permits berserk while suppressing the extra speed.
* Cheibriados now slows poison on worship and grants bend time at 1*.
* Ashenzari's passive trap protection and item identification is moved to 1*.
* The Shining One now gives Divine Shield at 1* and Cleansing Flame at 3*.

Interface and Options
---------------------
* WebTiles now has a clickable action panel, similar to the local tiles
  inventory panel. This UI element by default shows tactically-relevant
  consumables, and comes with a number of configuration options (see the
  various `action_panel...` options, or right-click on the X).
* Mutation descriptions can now be inspected in the mut(A)tion menu.
* Most abilities now have targeters (similar to spell targeters). These are
  configurable via the `force_ability_targeter` option, and spell targeter
  configuration is moved to `force_spell_targeter`.
* Many improvements to menus and popups:
  - Arrow key navigation and selection is available in many more menus. This
    can be disabled with the new option `menu_arrow_control` for the classic
    roguelike experience. Shift-arrows replace arrows as the binding to scroll
    by a single line. (Console users: not all terminals support these keycodes
    on default settings.)
  - The quiver menu has a mode that uses hotkeys from the items/spells/abilities
    it is showing.
  - The stash search menu more clearly differentiates items that can be
    traveled to, and has a number of interface improvements. The closest
    (travelable) search result is always available via the enter key.
  - Description popups have been improved and actions in these popups are
    now activatable using the mouse on webtiles.
  - Improvements and bugfixes to many other menus.
* WebTiles mouse support is expanded.
* WebTiles supports virtual keyboards on touch devices, configurable via the
  `tile_web_mobile_input_helper` option. There have also been a number of
  improvements to rendering on touch devices. (Caveat: these changes are aimed
  at tablets, not phones.)
* Console:
  - A new console option `bold_brightens_foreground=force` lets bold be applied
    to bright foreground colors even in 16-color mode.
  - A popup accessible via ! in the help screen shows current terminal and
    console settings, and attempts to indicate misconfiguration. (PuTTY users
    may find this particularly helpful.)
* A small number of options are automatically saved across games based on their
  value in the relevant in-game user interface. These include
  `default_manual_training`, `quiver_menu_focus` (for the new quiver menu
  modes), and several of the action panel settings, which can be edited by
  right-clicking on the panel close button.
* On MacOS local games, a game menu option will reveal the rc file in the
  Finder.
* The inventory-full autopickup prompt now has an "(A)lways ignore" choice.
* Webtiles chat can be closed, as well as opened, via F12.

Items
-----
* New item type: orbs, occupying the shield slot.
  - Orbs give no SH and impose no shield penalty, but always come with an ego.
  - Orb egos are all new:
    * Light: a radius 3 halo.
    * Wrath: *Rage (20% chance to berserk on melee hit).
    * Mayhem: chance to frenzy a monster in sight after a kill, causing them
      to wildly attack friends and foes alike ala the Discord spell.
    * Guile: reduces Will by ++ for both the wearer and those they try to hex.
    * energy: gives a source of passive channelling, which gives a chance to
      refund the MP of a cast spell and a chance to backfire. Backfires cause
      confusion or Int drain. Scales with Evocations.
* New glove ego: infusion, spending 1 MP per melee hit to add extra damage.
* New unrand: the +3 Mad Mage's Maulers {Infuse+∞ RegenMP Int-3}. These use all
  available MP to give proportional bonus damage to a melee hit.
* New unrand: the dreamshard necklace {*Dream}. On receiving a lethal or
  near-lethal hit, the dreamshard necklace shatters, averting the blow, healing
  the player, releasing dream allies, and fog. Otherwise does nothing.
* New "early-game" unrandarts, unlikely to appear after the early game:
  - Delatra's gloves. These gloves heal the wearer for drinking unknown potions
    and give the wearer MP for reading unknown scrolls.
  - The woodcutter's axe is a vorpal +8 war axe that always swings at 10 aut
    regardless of skill and speed modifiers.
  - The staff of the Meek is a +7 quarterstaff of protection that gives extra
    AC when below 55 HP.
  - Throatcutter is a +7 long sword of draining with a 1/3 chance to instantly
    kill foes that are below 21 HP.
* Shields and armour:
  - Shield penalties scale linearly with skill, completely disappearing at skill
    27. The size of the penalty depends on the shield's encumbrance rating and
    species size factors.
  - Shields are no longer affected by Str, only Dex.
  - Armour and shields no longer impose to-hit penalties.
* Riposte is removed from long blades and base damage is increased.
* The skill requirements for minimum delay for executioner's axes and bardiches
  are reduced to 24; for triple swords the requirement is reduced to 22.
* *Rage now causes berserk on 20% of hits. This chance stacks linearly among
  items and with the berserkitis mutation. Certain unrands grant a higher
  chance.
* Evokable berserk is removed as an artefact property.
* The generation of throwing ammunition is reduced.
* Wand generation is reduced.
* The electrocution brand triggers 25% less often.
* One '+' of regen is reduced to 0.8 HP/turn (was 1.0 HP/turn).
* MPRegen amulets are buffed to 0.4 MP/turn (was 0.25 MP/turn).
* The archery ego is renamed to 'hurling' and now only applies to throwing.
* Unrandart tweaks:
  - The staff of Battle now triggers the battlesphere on melee hits (in addition
    to the usual spell trigger).
  - The robe of Clouds' thunder cloud ability is now passive, placing storm
    clouds on enemies within range 2 each turn.
  - Leech no longer has *Rage, and now has Harm and Drain.
  - The necklace of bloodlust now gives a 50% chance to go berserk on hit.
  - The Zealot's sword now gives a 20% chance to go berserk on hit (up from
    5%).
  - The hat of the bear spirit gives a 20% chance to go berserk on hit,
    increases the bonus HP from going berserk, and reduces the slow duration
    after. It no longer has rN+.
  - The ring of the Mage is now a ring of Wizardry and Archmagi.
  - The autumn katana loses Clarity and gains a chance to manifold assault on
    hit.
  - The glaive of Prune turns the wielder into a prune when paralysed,
    petrified, or asleep, halving the damage received for the duration.
  - Lear's Hauberk is reduced to +18 (was +27).
  - The trident of the Octopus King loses +Will.
  - Wucad Mu now counts as 1.5 sources of channelling. This means it is 1.5x as
    likely to refund MP, and the probability of backfiring is reduced.
  - The robe of Misfortune loses Contam and Drain.

Monsters
--------
* New unique: Mlioglotl. A unique horror with the power to corrupt the level,
  changing terrain and summoning other abyssal horrors, as well as cause fear.
  Appears in the S-branches and rarely in the abyssal lair end.
* New Hell monsters (with subbranch):
  - Wendigo, collapses simulacra into painful iceblasts (Coc)
  - Nargun, hits hard and petrify (Coc)
  - Quicksilver elemental, with antimagic and quicksilver bolts (Dis)
  - Crystal echidna, throws barbs and crystal bolts (Dis)
  - Creeping inferno, which explodes into a Fire Storm (Geh)
  - Stoker, keeps at range and calls creeping infernos (Geh)
  - Searing wretch, a hard hitting fighter that strips fire resistance (Geh)
  - Tainted leviathan, a giant with a ring of miasma and mesmerise (Tar)
  - Putrid mouth, a ghost with poisonous melee and miasma breath (Tar)
* New Spider monsters:
  - Pharaoh ants are undead that drain and bind souls on death.
  - Steelbarb worms are fast, regenerate, resist fire and apply barbs in melee.
  - Jorogumo are tough, ensnare, cast bolt of draining and have hornet poison
    melee.
  - Broodmothers summon spiders and bite to summon spiders.
  - Culicivora join spider packs with a vampiric bite and heal other.
  - Sun moths are holy with a single tile halo, sticky flame, and energy bolt.
  - Radroaches are armoured roaches that cast irradiate, greatly contaminating
    the player.
* New monsters: walking tomes, which summon living spells that cast themselves
  at the player. Appear in Depths and the Tukima's Studio wizlab.
* Demonspawn warmongers' Sap Magic effect now causes a short term -Cast after
  casting a spell.
* All derived undead retain their reach, constriction, and trample attacks.
* Red Devils now apply barbs on hit, instead of hopping back.
* Wretched Stars only apply one temporary mutation per use of corrupting pulse,
  and use the spell less often.
* Demonic and holy monsters are now susceptible to fear, berserk, alistairs
  intoxication, and ballistomycete spores.
* Monsters have a chance to break a door permanently when opening it. This
  chance is higher if the monster is berserk.
* Classed draconians have a fixed colour per job.
* When Dowan dies Duvessa goes berserk permanently; when Duvessa dies Dowan
  gains haste permanently.
* If Jiyva dies Dissolution's summon eyeballs is replaced with a cantrip.
* Kills by and of player-frenzied monsters now grant XP.
* Ironbound Beastmasters are removed.

Spells
------
* Kills by summoned allies now grant full experience.
* Spell summon caps are reduced:
  - Summon Small Mammal, Summon Hydra, and Monstrous Menagerie are capped at 2.
  - Haunt is capped at 8.
  - All other summon spells except Summon Horrible Things and Dragon's Call are
    capped at 1.
* New spell: Summon Cactus Giant (L6 Summonings). Summons a giant which attacks
  very slowly but has enormous spines, impaling melee attackers.
* New spell: Scorch (L2 Fire). Hits a random enemy within 3 tiles, dealing fire
  damage and (if damage is dealt) applying short term rF- to the foe.
* New spell: Flame Wave (L4 Conjuration/Fire). Burns adjacent creatures, then
  when channeled by hitting '.' (like Searing Ray), repeatedly hits enemies in
  an increasing radius.
* New spell: Enfeeble (L7 Hexes). Enfeeble irresistibly applies weakness and
  antimagic to a single foe. Targets that fail a Willpower check are also dazed
  and blinded.
* New spell: Anguish (L4 Hexes/Necromancy). All enemies in sight must pass a
  Will check or gain the new Anguished status effect. Whenever Anguished
  monsters deal damage, they take the same amount of damage right back.
* Yara's Violent Unravelling can now unravel summons, killing them immediately
  and turning them into explosions. It is now smite targeted.
* Inner Flame is now smite targeted.
* Corpse Rot now scales with spell power, placing more clouds per corpse and
  reaching up to range 2 with sufficient clouds.
* Death Channel now works on demonic and holy creatures. It also now works on
  corpseless living creatures.
* Metabolic Englaciation has a minimum slow duration when successful.
* Eringya's Noxious Bog now places a bog under the caster, as well as on cells
  with only one adjacent wall. The caster is now immune to their own bog.
* Slow is now level 1 with a lower power cap.
* Searing Ray and Storm Form have reduced power scaling.
* Storm Form's blinkbolt ability is now always LOS range.
* Passage of Golubria now has a range that scales with spell power.
* Blink now has a cooldown that scales with spell power.
* Lesser Beckoning's power cap is reduced to 100 and range reduced to 5.
* Bolt of Magma, Corona, Shadow Creatures, and Invisibility are now monster
  only.

Stone Soup 0.27.1 (20210820)
----------------------------

Bugfix and balance release
--------------------------
* The frequency of D:1 jackals is reduced.
* Sigmund and Robin are nerfed gently.
* Maxwell's Capacitative Coupling now has LOS range.
* 80 other fixes, tweaks, copy-edits, and interface improvements.

Stone Soup 0.27.0 (20210730)
----------------------------

Highlights
----------
* New species: Djinni.
* Many new spells and spellbooks.
* New monster sets and end maps for many branches.
* Ashenzari completely redesigned and reworked.
* Cursed items removed.

Branches, Environment
---------------------
* Altar changes:
  - A faded altar places with a very high chance on D:1-3.
  - A single random altar to a Temple god places with low chance on D:2.
  - Other guaranteed Temple god altars have been shifted to D:3-10, from D:2-9.
* Shops can now place on D:1-3.
* Dungeon, Depths, Vaults, and the Vestibule of Hell spawn tables are adjusted
  to produce more depth appropriate monsters and less chaff.
* Branch ending maps:
  - New "Abyssal Woods" Lair ending featuring demonic trees and abyss-themed
    monsters.
  - The "Jungle Book" Lair ending has been redesigned to have an undead theme
    featuring necromancers and undead animals.
  - New "Lost City" Shoals ending featuring a ruined temple theme with
    minotaurs and sphinxes.
  - New "Storm Temple" Shoals ending featuring electricity-themed monsters and
    many possible layouts.
  - New "Quicksilver Temple" Snake ending featuring quicksilver dragons.
* All Ice Cave maps have been rebalanced to have more varied layouts,
  monsters, and loot.
* Many new vaults featuring unrand items, shops, and ecumenical altars, as
  well new monster and decorative vaults for many branches.
* New terrain: demonic trees. Demonic trees appear in the Abyss and Pan and
  can be placed by vaults. They behave like trees, but when burned produce a
  single cloud of chaos instead of a spreading forest fire.
* Net traps trigger less often.
* Storm clouds no longer make noise.
* After completing one Ziggurat, the player is immune to the malevolence of Zot.
* Swamp is now loud, so noise travels less far.
* Guaranteed demonic rune vaults announce the presence of the demonic rune.
* Gadget shops are removed.
* Ossuaries no longer have dart and spear traps.

Character
---------
* New species: Djinni, floating spirits formed from smokeless fire.
  - Djinni have no MP; their spells cost HP instead.
  - Djinni cannot learn spells from books; they learn spells as they level up.
  - Diinni cannot train spell schools; they use the Spellcasting skill alone.
* Demonspawn mutation changes:
  - New facet: malevolent magic. This facet gives a chance to paralyse enemies
      in a radius around the player equal to the mutation rank whenever a spell
      is cast. At the highest rank, this also applies to wands.
  - New facet: corrupting presence. The first two ranks of this facet give a
      chance to corrode, and then malmutate when the player damages a monster.
      The third rank gives an active ability Word of Chaos that blinks away
      every monster in los and may also disable them.
  - The Black Mark facet is revised to a disabling facet, offering a hex
      enhancer at rank 1, followed by black mark at rank 2, then a permanent
      radius 1 silence annulus around the player at rank 3.
  - The Hurl Damnation facet now gives "Demonic Will" at rank 1, providing
      Will+ and dealing damnation damage to monsters that try but fail to hex
      the player, and torment resistance at rank 2.
  - Mana link is re-ordered, providing MP Regen in the first rank, and spirit
    shield in the second. The third rank, mana link itself, is unchanged.
  - Foul stench provides stench at every rank as well as miasma immunity.
  - Later ranks of the spiny facet are now much more impactful.
  - Ignite blood ignites blood at every rank, with power scaling with rank.
  - Demonic Guardian now summons a guardian when the player takes damage. The
    tier of the guardian scales partially with experience level.
  - Icemail provides a condensation shield worth 4SH at the first rank, and
    ice mail AC spread over the next two.
  - Most types of scales mutations are now Demonspawn only.
  - Iridescent scales and passive freeze are removed from the Demonspawn pool
    and are available as random mutations for both demonspawn and other species.
* Poison damage applies much more quickly.
* Strength now gives a simple, linear bonus to damage.
* Hidden stepdowns on dexterity and evasion are removed, making characters with
  large amounts of dexterity and dodging skill more effective. As a result,
  Spriggans' dodging apt is reduced to +3 and base dexterity reduced by one.
* New good mutation: noise dampening, which halves noise in the players LOS.
* Bone plates, thin skeletal structure, and sturdy frame no longer conflict.
* The blurry vision mutation is removed; Ru's -Scroll mutation can occur as a
  random mutation in its place.
* Shoutitis and No Potion Heal are reduced to 2 levels from 3.
* Wisp form no longer blinks randomly.
* Guaranteed damage reduction is now a property derived from AC, with
  higher AC values from any source guaranteeing a certain base amount of
  protection from melee damage and mundane projectiles.
* Most sources of flight (including species, transformations, and equipment)
  are permanent and neither expire nor can be cancelled; reasons to land have
  also been removed.
* Berserk ending no longer causes paralysis.
* The blink mutation is removed.
* Other species changes:
  - Demigods' stat gains on level-up are doubled. Their base stats are reduced.
  - Gnoll base stats are reduced to 7/7/7.
  - Palentonga HP apt is reduced to +0.
* Mage and Warrior-Mage starting spell changes:
  - Air elementalists no longer start with Lightning Bolt.
  - Arcane Marksmen no longer start with Leda's Liquefaction.
  - Earth Elementalists no longer start with Lee's Rapid Deconstruction.
  - Summoners and Ice Elementalists no longer start with Summon Ice beast.
  - Venom Mages no longer start with Ignite Poison.
* Halflings are removed.

Gods
----
* Ashenzari is completely overhauled.
  - At regular intervals, Ashenzari provides the player with a choice of curses
    to apply to their equipment. These grant a skill boost based on the type of
    curse accepted, increase the player's piety, and prevent the player from
    un-equipping the cursed item.
  - At any time, the player can choose to shatter a cursed item, destroying it
    and losing associated piety and skill boosts.
  - Ashenzari grants the following benefits:
    - Scaling with piety: skill boosts from curses, item and monster detection,
      passive mapping.
    - 0* Item identification, portal detection, and exploration trap protection.
    - 2* See Invisible
    - 3* Clarity
    - 4* Seeing through walls within a size-2 radius, scaling to radius 4 at 6*.
* Ru sacrifice changes:
  - Several piety values are rebalanced.
  - Sacrifice Experience, in addition to removing one XL, now causes future XLs
    to be more expensive as if the player was still at their old XL.
  - Sacrifice words & drink now give bonus piety when taken together.
* The player and Hepliaklqana ancestors can fire through one-another.
* Hepliaklqana only grants an ancestor once the player reaches 1* piety. The HP
  penalty for worship is also delayed until 1*.
* A new Jiyva mutation allows players to engulf foes in ooze in melee.
* Makhleb's Major Destruction now fires all bolt-type spells and is stronger.
* Makhleb's passive heal on kill is reduced in strength.
* The Elixir card no longer heals allies and always regenerates both health and
  magic, with duration scaling with power.
* The Foxfire card is renamed to the Swarm and now summons bees.
* Okawaru no longer punishes betraying allies.
* Trog's Berserk ability has a piety-scaled chance to fail.
* Heavenly Storm grants bonus EV and is a bit quieter.
* Yredelemnul accepts nonliving worshippers again, and permits the use of
  statue form.
* Cheibriados no longer hates quick blades.
* Zin's Sanctuary no longer applies holy word.

Monsters
--------
* New Slime monsters:
  - rockslime, a high-AC, flame-resistant slime that tramples and hits hard.
  - quicksilver ooze, a magic-immune ooze with engulfing and antimagic attacks.
* New Vaults monsters:
  - ironbound frostheart, which freeze enemies that are adjacent to walls.
  - ironbound thunderhulk, which blast distant enemies with lightning from
    above. (They can't hit nearby enemies, however.)
  - ironbound beastmaster, which speed up their lindwurm and dire elephant
    companions.
* Snake monster changes:
  - New monster: salamander tyrant, a volcano-stoking spellcaster with a
    weakening gaze.
  - Naga mages cast 'concentrate venom' (allowing venomous allies to inflict
    asphyxiating curare) instead of Force Lance.
  - Naga and naga warriors have increased base damage.
  - Naga warriors cast battlecry.
  - Nagaraja cast Dimension Anchor instead of Teleport Other.
* Oozes are renamed endoplasms, and cast freeze (but are weaker).
* Phantoms now blink their attack victims with them on hit, and have less HP.
  They no longer blink randomly.
* Ancient Liches have been split: they now focus on conjurations, while new
  Dread Liches specialize in demon summoning and paralysis.
* Deep elf mages have likewise been split into pyromancers and zephyrmancers.
* Every other spellcasting monster now uses just a single set of spells.
* Psyche has a new spellbook with Polymorph, Chain of Chaos, Invisibility, and
  Cantrip.
* Air elementals no longer have a tornado, instead gaining Stunning Blast. This
  inflicts 1 turn of paralysis on hit, though rElec makes this less likely.
* Big kobolds are re-named kobold brigands. Kobold brigands always spawn with
  darts, either poison or curare.
* Monsters' melee attack speed is no longer slowed by the weapons they wield.
  Many early-game monsters have had their base damage lowered to compensate.
* Monsters with ranged attacks now have unlimited ammunition. (Except nets.)
* Dancing ranged weapons can now appear (in specific circumstances).
* When Boris spawns on the orb run, he comes hasted and with a brilliance aura.
* Draconian knights and Fannar no longer cast Ozocubu's Armour and have
  higher base AC.
* Worker ants, soldier ants, queen ants, leopard geckos, eyes of draining,
  and death oozes are removed.

Interface and options
---------------------
* Ranged targeters now display accuracy.
* Monster to-hit chance is now shown in xv.
* The in-game macro creation and editing interfaces have been greatly improved:
  - The old interface has now been fully menuized, so editing all happens within
    the menu, and is designed for a smoother process.
  - A new quick-entry menu for macros is available, bound to ctrl-e.
* An in-game menu is available on the F1 key for access to saving, help, and
  macros.
* Form information is shown in the `A` view.
* The shopping list can now be opened by a range of currency symbols.
* Wait-to-cast spells (Searing Ray, and the new Maxwell's Capacitive Coupling)
  now fully work with autofire when quivered; autofire will trigger the wait
  command as appropriate.
* Spells and potions can be quivered and have informative targeters where
  relevant.
* Other miscellaneous quiver UI improvements:
  - Two new options for controlling the quiver: `fire_order_ability` and
    `fire_order_spell`. These give you full control over non-items when cycling
    the quiver.
  - Berserk is now excluded from the fire order by default, and won't autoquiver
    on Berserker starts.
  - Changing a quivered item's letter will not remove it from the quiver.
  - Improvements to inscriptions: @Qn inscriptions on items are supported at
    the Q menu. Behaviour of !Q, =f, and =F has been improved.
* Portal and zot alerts are now included by default in `runrest_stop`, and zot
  clock alerts force-interrupt all delays.
* The "allow_extended_colours" console option now defaults to true, since
  modern terminals uniformly support more than 8 terminal colors.
* New local tiles option, `tile_window_ratio`. This lets the initial window
  size be constrained by an x:y ratio, providing better defaults for ultra-wide
  monitors.

Items
-----
* Spellbook changes:
  - Spellbooks generate more frequently and are always identified.
  - 30 new types of fixed book are added.
  - Fixed books now only have 2-4 spells each (down from 4-6 each.)
  - Randomly generated spellbooks also have fewer spells.
  - Mage and Warrior-Mage classes no longer start with a specific spellbook.
    Their starting spell sets are based on the book they previously started
    with, but with changes as described above in the "Characters" section.
* Cursed items no longer generate. Ashenzari is the only source of curses.
  - The *Curse property on unrands is removed. the Scythe of Curses and obsidian
    axe now have *Drain. The property is removed from the Necklace of Bloodlust.
  - The obsidian axe can no longer be unwielded while mesmerised.
  - Mundane negative-enchant items no longer generate. (Negative enchants are
    still possible on randarts, or in certain vaults.)
* Wand changes:
  - Wands of random effects are replaced with pieces from Xom's chessboard,
    which apply a random effect to a random visible enemy when evoked. They
    recharge with XP.
  - Wands of disintegrate are renamed to wands of mindburst. They no longer
    affect mindless creatures.
  - Wands of enslavement are now called wands of charming.
* Equipment is identified once the player is in reach, without needing to be
  worn.
* All sources of regeneration now heal 1 HP per normal turn (formerly 0.4).
  - Trolls now have slightly more inherent regen and slightly less AC.
  - Vine Stalkers gain their full innate regeneration earlier.
* The spectral brand has been redesigned. It now triggers on every attack,
  creating a spectral copy of the weapon which makes an additional attack (if
  there's open space next to the wielder and in reach of their target). The
  copy vanishes once the player does anything other than attack. This effect no
  longer depends on Evocations skill.
* Shields slow melee attacks much more at low Shields skill levels.
* Other unrand changes:
  - Vampire's Tooth's enchantment is reduced to +8 (from +11).
  - The amulet of the Air loses EV+5 and gains an Air magic enhancer.
  - Bolts fired by Damnation only explode and mulch on hit.
  - The staff of Wucad-Mu refunds MP more often, and refunds MP even when it
    backfires.
  - The Wrath of Trog now extends berserk and gains Rampage.
  - The Robe of Folly now provides permanent brilliance, but sets Will to 0.
    It also gets +8 Int (from +4) and +4 enchant (from +3).
* Manuals, like spellbooks and runes, no longer take up an inventory slot.
* Broad axe's base delay is returned to 1.6, from 1.7.
* Rare scrolls, books, manuals, and enhancer staves can now spawn early.
* Hats and gloves can now get the stealth ego.
* Archmagi can now appear as an artefact property on randart robes.
* The *Slow artefact property now stacks.
* Scarves of shadows are no longer spell de-enhancers.
* Rings of attention, rings of stealth, rings of teleportation, amulets of
  inaccuracy, scrolls of remove curse, scrolls of random uselessness, and
  boots of running are removed.

Spells
------
* New Spell: Storm Form, a level 7 Transmutations/Air spell that transforms
  the player into a raging, lightning-filled tempest:
  - Melee attacks are electrified and strike all adjacent foes. Damage
    increases with spellpower and unarmed combat skill.
  - Grants the ability to Blinkbolt: launch yourself towards a foe to inflict
    heavy damage, also damaging any monsters along the way.
  - Grants increased evasion, rElec, and poison immunity. The evasion
    increases with spellpower.
  - Melds all equipment except jewellery.
* New spell: Animate Armour, a level 4 Summon/Earth spell which draws out the
  spirit of the caster's armour to fight alongside them. The heavier the
  armour, the more powerful the spirit.
* New spell: Manifold Assault, a level 5 translocations spell which attacks
  random foes in sight with the attacker's wielded weapon. Spellpower increases
  the number of foes that can be struck with one cast.
* Absolute Zero has been redesigned. It's now called Maxwell's Capacitive
  Coupling, a level 8 Air spell. When cast, the player must wait in place for
  a random number of turns (reduced by spellpower) until the capacitor
  finishes charging, which instantly vaporizes the nearest monster.
* Chain Lighting has been redesigned. It is now level 9 and is dramatically
  more powerful, arcing between visible foes for massive damage that partially
  ignores AC and rElec.
* Tornado has been renamed to Polar Vortex. It is now a Level 9 Ice spell, and
  its damage has been increased by 33% but is partially resistible by rC.
* Other spell level adjustments:
  - Ozocubu's Refrigeration is now level 7 (from 6).
  - Freezing Cloud is now level 5 (from 6).
  - Static Discharge is now level 2 (from 3).
  - Swiftness is now level 3 (from 2).
* Airstrike no longer gets bonus damage against flying creatures (including
  the player). Instead, it deals bonus damage based on the number of empty
  spaces next to the target.
* Stone arrow damage is increased.
* Wereblood now heals 1d3 when an adjacent monster is killed.
* Tukima's Dance can now be used on monsters wielding ranged weapons.
* Poisonous Vapours now directly poisons the target, rather than making a cloud.
* Hailstorm now affects icy creatures.
* Monstrous Menagerie no longer summons harpies.
* Ozocubu's Armour and Frozen Ramparts now end under any location change.
* Blade Hands' stealth penalty for Felids is removed.
* Hydra Form, Summon Demon, and Summon Greater Demon are removed.

Stone Soup 0.26.1 (20210203)
----------------------------

Bugfix Release
--------------

* ctrl-attack again no longer works while confused.
* Console display flickering is reduced.
* It is no longer possible to obtain infinite nets from net traps.
* Various vault placement balance adjustments and teleport closet fixes.
* 95 other fixes, tweaks, copy-edits, and interface improvements.

Stone Soup 0.26.0 (20210108)
----------------------------

Highlights
----------
* New species: Palentonga.
* New background: Delver.
* Food and hunger are removed.
* Swamp has many new monsters and other changes.
* Spells, wands, and abilities can be quivered, fired, and autotargeted with an
  extension of the ranged quiver/autofight interface.

Monsters
--------
* New Swamp monsters:
  - Will-o-the-wisps, unearthly gases that launches powerful Foxfires.
  - Goliath frogs, licking foes from afar with their acidic tongues.
  - Eleionomae, swamp nymphs that travel through and heal from trees.
  - Bloated husks, filled to explosively bursting with putrescent gas.
  - Bunyips, fast-moving, hard-hitting, screaming mysteries.
  - Fenstrider witches, terrifying hex-hurling toxic sorceresses.
* Bog bodies cast much more powerfully and have a stronger cold attack.
* New (?) monster: boulder beetle, rolling quickly to deliver huge hits.
* Insect glyphs have been reorganized.
* Pikel's slaves have been rethemed to lemures. They now disappear upon
  Pikel's death.
* Spiny Frogs are renamed Cane Toads, for a more authentic Australian
  experience.
* Pandemonium lords' possible spells and melee flavours have been expanded.
  They can now sometimes generate a ring of dangerous clouds.
* Monsters' blood scent and web sense have been removed.
* Crocodiles, porcupines, hippogriffs, and hungry ghosts are removed.
* Monsters don't forget about the player while the player is off level.
* Most plants, fungi, and other plant like things that don't attack now wither
  in 3-5 turns after they're hit. The exceptions are bushes and briars.
* Monsters that formerly had rot-inducing melee attacks now have drain attacks.

Character
---------
* Hunger (and eating) are removed.
* Drain now temporarily reduces max HP instead of skills. Rot no longer exists
  as a mechanic.
* New species: Palentonga, six-limbed scaled mammals with a rolling charge.
* Deep Elves' Bows aptitude is increased to +3.
* Kobolds now have the Nightstalker 3 mutation, reducing LOS and providing
  bonus stealth. (Demonspawn can no longer gain Nightstalker.)
* Ghouls heal on kill instead of by eating chunks. They also no longer rot
  over time.
* Centaurs are removed.
* The Charms skill (and the Skald background) are removed.
* New demonspawn mutations: sharp scales & big brain.
* Transmuters no longer start with arrows, and Wereblood replaces Sticks to
  Snakes in the starting book.
* The Wizard background is renamed "Hedge Wizard", gaining a dagger and a
  less int-focused set of starting attributes. The Conjurer background takes
  Wizards' old attributes.
* The Assassin background is renamed "Brigand".
* New background: Delver, starting on D:5 with a variety of escape tools.
* Artificers now start with better defensive skills, no weapon skill, and a
  club in place of the short sword and short blade skill.
* Banishing monsters grants full XP.
* Contamination decays three times faster.
* Wanderers have a chance to start with any of the misc evokers.
* Evocations skill no longer grants MaxMP.

Items
-----
* New scarf ego: Shadows. Scarves of shadows reduce line of sight by 1; this
  stacks with other LOS altering effects; as well as act as a negative spell
  enhancer.
* New weapon ego: Spectral. The spectral ego appears on [giant [spiked]] clubs,
  quarterstaffs, lajatangs, and two-handed randarts of any base type. On hit
  the ego spawns a spectral weapon to fight along side the user whose strength
  scales with Evocations skill.
* New boots ego: Rampaging. Boots of rampaging cause the wearer to take an
  extra step for no cost---only when moving in the direction of a foe. The
  rampaging ego can also appear on any kind of artefact armour.
* New misc evocable: Condenser Vane. A condenser vane is an XP-charged evoker
  that creates clouds around hostile monsters (skipping allies). The cloud
  quality scales with evocations.
* New item: potion of attraction, which pulls nearby enemies closer.
* Unrandart Changes:
  - The Salamander Hide Armour no longer gives *Rage, it now is a fire spell
    enhancer with rF++, rC--, flame cloud immunity, and a ring of flame clouds
    effect.
  - The ratskin cloak is changed from +Rats to *Rats, spawning rats when the
    player is hit.
  - Wucad Mu no longer provides evocable channelling. Instead, with a chance
    depending on evocations, it refunds the MP cost of the spell. There is a
    chance of confusion or intelligence drain (which scales on spell cost and
    evocations skill) when a spell is refunded.
  - The cloak of the Thief is changed from +Fog to *Fog, creating fog when the
    player is hit.
  - The Majin-Bo loses Archmagi, and instead gives a chance for any cast spell
    to be vampiric, healing the caster for damage done to living creatures.
  - The shield of Resistance is now a +2 kite shield {rF++ rC++ MR++}.
  - Glaive of the Guard now has both the spectral weapon and electricity egos.
    It no longer has sInv nor +Rage.
  - Cloak of Starlight gains *Dazzle, which sometimes dazzles foes like the
    Dazzling Flash spell on successful dodge. It no longer has rElec and rC+.
  - The Sword of Power is now +5, vorpal, and sometimes fires a powerful but
    low-accuracy damage beam with a chance based on the player's current HP.
* Phantom mirrors and boxes of beasts now recharge with XP.
* Wands of polymorph now show what monsters might become when targeted.
* Amulets are now slow to equip (like armour), and many amulets no longer have
  attunement logic. Faith, Regen, and MPRegen retain their swap drawbacks.
* Bardings are merged into a single item type.
* Staves of earth deal higher damage, but with the shrapnel effect of being
  affected 3 times by AC.
* Staves of conjuration deal bonus irresistible damage that checks AC.
* The full contents of item piles are revealed on sight.
* Potions of stabbing, wands of clouds, and staves of energy, summoning, and
  wizardry are removed.

Branches, Environment
---------------------
* Swamp's levels are now smaller, and many weak monsters no longer appear.
* Crimson and shadow imps are now much less common in the Dungeon. White imps
  and ufetubi take their place.
* Shadows and wights no longer appear in the Crypt spawn list, replaced with
  flying skulls, necromancers, and wraiths.
* Spider is now quiet.
* The malevolent force of Zot will find players that tarry far too long in one
  place.
* Gauntlet monsters now generate awake, and those other than the minotaur
  don't pick up loot.
* Net traps are now permanent and the nets always mulch.

Spells
------
* The Charms skill and school have been removed.
  - Ozocubu's Armour is now Ice only, Swiftness is now Air only, Death's Door
    is now Necromancy only and Level 9.
  - Excruciating Wounds is now Necromancy only, prevents unwielding your weapon
    for the duration, and applies a Wizardry penalty as well as noise.
  - Battlesphere is now Conjurations only, and its targeting has been adjusted
    to work with all Conjurations school spells other than Servitor.
  - Song of Slaying is now Transmutations and renamed Wereblood; the noise is
    reduced somewhat.
* Animate Skeleton and Animate Dead creations now have strength scaling with
  spellpower; Animate Skeleton has a power cap. Both creations have a shorter
  lifespan. Additionally, these spells can't be cast if corpses are not nearby.
* Animate Skeleton now animates the nearest skeleton, and does not require you
  to stand on the corpse.
* Frozen Ramparts has its effect end upon player movement.
* Death Channel spectral things have a shorter duration and fade if Death
  Channel expires.
* Infestation scarabs have a shorter duration.
* Vampiric Draining's damage is no longer limited by how much it heals.
* Eringya's Toxic Bog now places bogs in all squares within a range of 4 where
  there is no adjacent solid feature.
* Beastly Appendage now melds helmets and boots, and gives two levels of both
  Horns and Talons (octopodes keep their tentacle spike) instead of randomly
  choosing.
* Irradiate now checks monster AC but does slightly more damage.
* Alistair's Intoxication prompts when nothing in view can be affected, always
  applies Vertigo when successful, and has a higher power cap.
* Conjure Ball Lightning's scaling with spellpower has been simplified.
* Beam spells and wands no longer have their range reduced by hitting things.
* All temporary allies dismiss when you leave the level.
* Translocations miscasts now inflict -Move which prevents walking in addition
  to translocating.
* Aura of Abjuration, Darkness, Infusion, Recall, Ring of Flames, Shroud of
  Golubria, Spectral Weapon, Sticks to Snakes, and Summon Butterflies are
  removed.

Gods
----
* Gozag no longer gives a free potion petition on worship.
* Nemelex's deck gifting begins at higher piety.
* Nemelex' Shaft card is removed, and the Exile card no longer has a chance
  to self banish.

Interface
---------
* The "quiver" feature is generalized and can now hold spells, evokables, and
  abilities. The `f`ire interface can be used to target any quiverable
  action, and quiverable actions can be autofired via shift+tab/`p`. Existing
  autofight ranged settings such as autofight_throw are generalized to handle
  new quiverables. The `]` key swaps between the two most recent quivered
  actions. See the options guide for more information on new and updated
  options: autofight_throw, autofight_stop, automagic_stop,
  fail_severity_to_quiver, launcher_autoquiver, fire_order. See the manual
  section 4, subsection "Attacking and firing" for a summary of the relevant
  key bindings.
* Launchers can now be fired independently of the quiver; use `v` to target
  (like reaching weapons) or regular autofight commands to autotarget.
* Static targeters are added for spells and abilities that indicate which cells
  will be affected, along with a new option to configure which of these are
  shown while casting, force_targeter.
* Player wand damage, spell damage, and spell accuracy is now displayed in the
  UI.
* Viewing a monster with `xv` now shows to-hit chance with your current weapon.
* Monsters' spell damage is shown in `xv`.
* Examining cells with multiple interesting things now gives a selection menu.
* The "view stack/pickup key" `;` can be pressed twice to force autopickup even
  in unsafe situations.
* The `^x` view description is now available from all targeting prompts, and
  when used while targeting lists valid targets in range.
* Any floor can be annotated from anywhere in the `!` interface.
* Spellpower is now displayed as a percentage of max spellpower.
* Macro updates: Macros/keybinds can be viewed via the `~` menu in-game. RC file
  keybind settings support escape codes.
* Updated uption: travel_open_doors now has a setting that tries to avoid
  opening doors during autotravel.
* New option: travel_one_unsafe_move. Setting this option to true causes
  auto-travel to make one move towards its goal before conducting the usual
  safety checks.
* New option: monster_item_view_features. This is a regex list option, features
  that match patterns on this list will be displayed in the `^x` view
  description.
* New option: always_show_zot. When enabled, the remaining time until Zot finds
  the player is always shown, rather than when there are only 1000 turns left.
* New options: tile_overlay_col and tile_overlay_alpha_percent control the
  appearance of the message window in local tiles.

Lua
---
* Three new hooks, chk_ability_choice, chk_spell_choice, and c_message can be
  used to answer the ability and spell menu prompts and to react to messages.
* A new api is introduced for targeted fire of spells, items, and abilities as
  a less brittle alternative to sending keys. See lua functions:
  crawl.do_targeted_command, spells.cast, item.fire, you.activate_ability,
  you.quiver_valid, and you.quiver_enabled.
* Other new functions: you.memorise (memorise a spell by name),
  spells.power_perc (get spellpower for a spell as a percentage)

Stone Soup 0.25.1 (20200717)
----------------------------

Bugfix Release
--------------
* Artefacts from acquirement now leave a note in morgues.
* Scarf of harm is fixed.
* Foxfire will no longer attack out of LoS.
* Stacking from empty Nemelex decks is no longer possible.
* Wizlab entry now generates a milestone / note again.
* Fix a bug where cloud generators triggered on load when no time had passed,
  leading to a different cloud arrangement from saving + reloading.
* Seeded play fixes for seed instability in a few cases, as well as crashes
  related to seed stability and pregeneration code.
* Several speedups for dungeon rendering, especially in zigs.
* Sprint 3 cloud generators have been retuned.
* Improvements to the behavior of restart_after_save (on by default in 0.25.0).
* Using [] in map view from stairs to view other levels now correctly finds the
  matching stairs.
* Crashes to do with annotation, off-level map view, and custom flashes have
  been fixed.
* It is no longer possible for a bug to cause the player to drown or fall into
  lava, emergency flight will be activated instead.

Stone Soup 0.25.0 (20200612)
----------------------------

Highlights
----------
* Spells in many schools have been redesigned to make the schools more
  distinct.
* Acquirement scrolls have been despoilered, offering the player a choice of
  generated items.
* Effects from spell miscasts, god wrath, death curses, and Zot traps have
  been overhauled for consistency and simplicity.

Branches, Environment
---------------------
* Potions of cancellation now appear as loot in Ziggurats.
* Boris can now spawn after the player picks up the Orb of Zot.
* Forest fires and the Tornado spell can no longer destroy temporary trees
  made by Summon Forest.
* D:1 Level spawns can no longer generate within LOS distance of the player's
  starting position.
* Many arrival vaults have been reworked to allow better player tactics.
* A new Swamp ending themed as a conflict between Yred and Fedhas that
  includes an undead version of the Lernaean Hydra.
* Ziggurats now have level set featuring many player ghosts.
* Zot traps have had their effect flowchart simplified and focused.
* Abyss exits that spawn from earning xp can spawn after the initial spawn,
  instead of every subsequent spawn being a downstair.
* Troves can now ask for scrolls of fog or scrolls of fear.

Character
---------
* Monsters summoned by the player now dismiss when they become hostile.
* Players can now renounce their religion while silenced.
* All Evocable items can no longer be used by the player while confused.
* Formicids can no longer cast Swiftness.

Gods
----
* Trog no longer gifts ranged weapons nor ammunition, gifting only melee
  weapons. These weapons can only have egos of plain, vorpal, flaming, and
  anti-magic.
* Trog now hates use of all magical staves and pain weapons.
* Elyvilon's Divine Protection now always protects exactly at 5* piety instead
  of protecting at a value between 5* and 6*.
* Fedhas now protects plant allies from collisions and from ranged attacks by
  other allies.
* God conducts for harming allies now apply to spells and items that place
  harmful clouds.
* Nemelex abilities can no longer be used while silenced.
* Nemelex card revisions:
  - The pain card no longer summons a flayed ghost, instead it torments at high
    power (the card user is spared).
  - The cloud card now produces black smoke around enemies in sight, to better
    fir with the deck of escape.
* Wu Jian has been tweaked:
  - Wall jumps are now only activated via the 'a'bility menu.
  - Whirlwind attacks no longer pin
  - Heavenly Storm now starts with a slaying bonus of 5, capped at 15, and
    increases by 1 for each martial attack.
* Xom no longer inflicts miscast effects.
* Xom demon summoning is increased in power.
* Wrath changes
  - Trog's "firey rage" is now a fireball, instead of a fire miscast. Trog no
    longer uses rot as retribution.
  - Lugonu's "translocation wrath" no longer uses translocations miscast.
    Instead, the player is either teleported to monsters, banished, or set upon
    by Abyss summons.
  - Cheibriados' wrath no longer uses miscasts. At very high tension, in
    addition to sleeping and slowing the player, Chei makes a lot of noise. At
    low tension, miscasts are replaced by stat damage.
  - Fedhas' wrath no longer uses elemental miscasts. These are replaced by a
    choice of corrosive bolt, primal wave, or thorn volley.
  - Yredelemnul's wrath no longer uses necromancy miscasts, in their place Yred
    fires a bolt of draining.
  - Kikubaaqudgha's wrath uses death curses in place of necromancy miscasts.
* Vehumet is less likely to give duplicate gifts.
* Xom is stimulated upon worship at a faded altar.

Items
-----
* Scroll of Acquirement rework:
  - Offers players a choice of five fully generated items.
  - Three of the item categories are randomly chosen and the other two are
    always gold and food (for species that eat).
  - Generated items are always useable and not hated by the player's current
    god.
  - The Miscellaneous category for evocable items is no longer available.
* New Potion of Stabbing that gives a 50% chance to upgrade weak stabs (e.g.
  distracted monsters) to strong ones (e.g. sleeping monsters).
* Tin of Tremorstones, a new multiuse evocable. Tremorstones have 3 charges
  which recover over time with XP. When used, it creates a number of radius 2
  explosions (the number scales with evocations skill) near the center
  of present monster that are triple-affected by AC (like LRD). The explosions
  are randomly skewed and may hit the user. Most useful for players with good
  armour.
* The chaos brand now has might and agility effects, no longer causes miscast
  effects, and its cloning effect can create friendly and neutral monsters.
* Potions of Brilliance now provide a stronger universal spell enhancer and
  remove spell hunger. They no longer provide an Int bonus nor wizardry.
* Potions of Might no longer provide a bonus to strength.
* Scrolls of Magic Mapping now reveal any floor traps on the level.
* The -Tele property no longer appears on artefact weapons and jewellery.
* Ordinary shields have been renamed to kite shields and large shields have
  been renamed to tower shields. This helps make equipment descriptions less
  ambiguous.
* The vorpal weapon ego no longer has distinct adjectives for each weapon
  class. Now all such weapons are described as 'vorpal'.
* Unrandart changes:
  - New unrand: Cigotuvi's Embrace, a +4 leather armour with rN+, rRot and
    *Drain that automatically gathers corpses to increase AC. The AC decays
    slowly over time but decays more quickly as more corpses are added.
  - Boots of the Assassin are now called the hood of the Assassin and use the
    headgear slot.
  - The demon blade Leech gains *Rage/+Rage and loses its AC-3 and EV-3
    properties.
  - The Elemental Staff now acts as an enhancer for all elemental schools,
    with enhancement applying independently for each school.
  - Warlock's Mirror can now reflect piercing ranged weapons.
  - The Staff of Olgreb now has a chance to deal poison-arrow flavored damage
    on hit, based on evocations skill. It no longer has an additional chance to
    cast Venom Bolt on top of casting OTR when evoked. It now grants poison
    immunity to monsters wielding it.
  - The Dragonskin Cloak now provides rCorr instead of sticky flame
    resistance.
  - The scythe of Curses no longer curses items in inventory, and now applies
    death curses instead of necromancy miscasts.
  - The plutonium sword still applies transmutations miscasts, but gains a
    chance to polymorph the target on hit (since this is no longer a miscast
    effect for monsters).
  - The brooch of Shielding is now a guardian spirit amulet with SH+8.
  - Bloodbane has been removed, having been merged into Leech.
  - Maxwell's Etheric Cage has been removed.
* Phial of floods now applies a silencing "waterlogged" debuff to all monsters
  in the flooded area and no longer summons water elementals.
* Staves of poison now do resistible poison damage on hit like other staves
  instead of just having a chance to poison.
* Distortion branded weapons no longer teleport foes.
* Distortion unwield effects no longer cause a translocations miscast. Instead,
  they either teleport the player to monsters, banish the player, or cause
  severe contamination.
* Regeneration items only activate after attuning to the player at full HP,
  identical to the amulet.
* Scarf egos are revised: cloud immunity and spirit shield are removed, harm
  and invisibility are added. Harm scarves do not drain the player when
  removed.
* Amulets of reflection now always give +5 SH and must attune to the player at
  full HP. Reflected missiles, poison, and banishments now correctly award
  piety.
* Cloak egos are revised: invisibility is removed, preservation (providing
  corrosion resistance) and stealth are added.
* The Harm property can now appear on randart armour, and does not incur a
  drain penalty on removal.
* Stat rings are now always either +6 or -4. AC, EV, and Slay rings are now
  always either +4 or -4.
* Removed: potion of agility, staff of power, crystal ball of energy, sack of
  spiders, lamp of fire, fan of gales, wand of scattershot, amulets of the
  gourmand, amulets of harm, amulets of rage.

Interface
---------
* The seed selection dialogue has been ported to webtiles and is enabled on
  select servers.
* auto_butcher has been changed to default to `always` (from the previous value
  of `very hungry`).
* A new option, auto_butcher_max_chunks, prevents automatic butchering with more
  than that many chunks in inventory. Its default value is 10 for non-ghoul
  characters.
* explore_auto_rest now defaults to true.
* New morgue section: screenshots. When notes are taken with : an ascii
  screenshot is additionally saved and can be added to morgues.
* The console monster list now displays monster status information and whether
  or not the monster is wielding a launcher or polearm, or has a wand
* The ^x summary display now shows monster status information
* A new option, monster_item_view_coordinates, can be set to true to display
  player-relative coordinates in the ^x display.
* The auto-travel trail displayed with show_travel_trail can now be customised
  in console (both for glyph and colour).
* The "visited status" of stairs and transporters can now be indicated both by
  glyph and by colour in console.
* Allies now show sleep and confusion status tiles.
* A new option, game_scale, allows for global pixel scaling to make dcss more
  usable on large and/or high-resolution monitors. (Values in the range of 2-4
  will be helpful for upscaling for 2k-4k monitors.)
* The behavior of `tile_filter_scaling=false` has been improved to work on all
  tiles in the game, for better pixelated effects.
* Webtiles now supports showing save info in the lobby; see CAO for this feature
  in action.

Monsters
--------
* New unique: Maggie, a younger version of the unique Margery, who appears
  just before and in Lair. She has a steam, acid, or swamp dragon scales, Bolt
  of Fire, and Mesmerize. Only one of Maggie or Margery will place in a game.
* Margery now always gets Fire, Shadow, or Storm dragon scales as a
  counterpart to Maggie's armour.
* Both Maggie and Margery have a small extra chance of spawning with a
  pre-enchanted Wyrmbane (1 or 2 points of enchantment, respectively).
* Monsters such as spiders no longer have a clinging ability.
* Mummy death curses are no longer necromancy miscasts, and instead have their
  own effect table.
* New monster: nameless horror. Nameless horrors are produced by summoning
  miscasts. They are giant, tanky, have an antimagic attack and abjuration as a
  natural ability.
* Hepliaklqana ancestors and demonic guardians can no longer be enslaved or
  frenzied.
* Summoned monsters can now get the inner flame status, both from the spell and
  the scroll.
* Monsters now try to avoid blocking the line of fire of monsters behind them.

Spells
------
* Spell in many schools have been redesigned to make the schools have better
  differentiation, more positional considerations, and better UI. The
  descriptions below describe the schools' individual focus and any new,
  changed, and removed spells in each school:
  - Fire spells have directed explosions or set things on fire:
    + New L1 Conjurations/Fire spell Foxfire that conjures two foxfire
      projectiles that quickly hone in on their target, each doing a bit more
      than half the damage of Flame Tongue.
    + Conjure Flame now creates embers on the player's position that turn into
      a flame cloud a turn later. The embers smother if a monster steps on them.
    + Inner Flame now creates a flame cloud under the affected monster
      whenever it takes damage in addition to the usual explosion it makes
      when the monster dies.
    + New L6 Conjurations/Fire spell Starburst that fires 8 range 5 bolts in
      the principle directions.
    + Removed spells: Flame Tongue, Throw Flame, Bolt of Fire.
  - Air school spells bounce, are pointy, or are hard to direct:
    + Airstrike damage now scales so it's greater the more unoccupied squares
      there are surrounding the target.
    + Summon Lightning Spire now places the spire randomly.
  - Earth spells are directed:
    + Borgnjor's Vile Clutch now is a range 6 always-penetrating beam instead
      of a smite-targeted 3x3 explosion.
  - Ice spells are diffuse and subtle:
    + New L3 Ice spell Frozen Ramparts that makes all walls within radius 2
      become covered in ice, damaging monsters that walk by. Damage bypasses AC
      and slows cold-blooded animals.
    + New L4 Conjurations/Ice spell Hailstorm that fires a ring of ice beams
      from radius 2 to radius 3, not affecting radius 1 squares. Monsters with
      rC+++ such as ice beasts are immune to this effect.
    + Ozocubu's Refrigeration does 33% more damage on-average and no longer
      harms the caster.
    + New L9 Ice spell Absolute Zero that instantly freezes to death the
      closest monster in range, leaving an ice block. A random closest monster
      is chosen as the target when there are ties. The spell is range 5 and
      very loud, with noise attenuated by power.
    + Removed spells: Throw Frost, Throw Icicle, Bolt of Cold, Glaciate.
    + As a result of these changes, Ice Elementalists no longer put starting
      skill in Conjurations.
  - Conjurations are pure magic with good accuracy in some way:
    + Iskenderun's mystic blast now makes a range 5 explosion around the
      player that damages and pushes back monsters, potentially colliding them
      with features and other monsters.
    + Dazzling Flash replaces Dazzling Spray. Makes a flash centered on the
      player of up to radius 3 that can blind monsters in the affected area.
    + Searing Ray now fires all its rays at the chosen target, adjusting
      the rays as the target moves. If no target is chosen, the spell
      repeatedly fires in the chosen direction. The rays all penetrate and
      each has the same damage and to-hit. The ray damage is adjusted to have
      the same overall damage distribution as before this change.
    + Spellforged Servitor now gives only one spell to the servitor. This is
      the highest level servitor-compatible spell the player has from the
      following sets, in order of preference: L4 and higher ranged damage
      spells, cloud spells, and low-level or short-range spells.
    + Force Lance is removed.
  - Poison spells poison things or perform some kind of alchemy
    + Sting is now a range 3 Poison/Transmutations spell using the same
      partly-resistible beam type previously used by Poison Arrow.
    + New L6 Poison/Transmutations spell Eringya's Noxious Bog that creates a
      temporary toxic bog trail as the player moves. The bog terrain applies
      the same partly-resistible damage flavor as Sting as well as the
      movement and combat penalties of shallow water.
    + Removed spells: Venom Bolt, Poison Arrow
    + As a result of these changes, Venom Mages now put starting skill in
      Transmutations instead of Conjurations.
  - Necromancy has balance adjustments to make the school not so strong and
    to begin to move it closer to a melee support school:
    + Corpse Rot now creates miasma clouds in a ring around the player, making
      one cloud for each corpse in LOS, but with lower duration.
    + Agony and Dispel Undead are now range 1, and Dispel Undead is now L4.
    + Regeneration and Bolt of Draining are removed.
* The Young Poisoner's Handbook now contains Ignite Poison.
* Confusing Touch is now level 3 and checks MR instead of monster hit dice.
* The player is now immune to the melee-fumbling effects of liquefied ground
  made by casting Leda's Liquefaction. The slow movement applies regardless of
  flight status and the spell can be used while flying.
* Firestorm and Ignition now can burn trees, and Fireball burns trees in all
  squares of its explosion.
* Call Imp no longer bases the type of imp summoned on spellpower.
* The Confuse spell has been removed.
* Spell miscast effects have been simplified to give contamination and a single
  per-school effect, scaling with spell risk and level. The new effects by
  school are:
  - Charms and Hexes: debuff and slow.
  - Summoning: durably summon a nameless horror (new monster).
  - Translocation: dimension anchor.
  - Transmutation: extra contamination for the player, malmutate a monster.
  - Conjuration: irresistible AC-ignoring damage.
  - Elemental schools: school flavored damage (Earth uses fragmentation
    damage).
* The Deflect Missiles spell has been removed.
* Tukima's Dance can no longer be used if the player sacrificed Love.
* Lesser Beckoning and Teleport Other now turn allies hostile.
* Eldritch Tentacles from malign gateway can no longer attack out of LOS of the
  player, and arrive sooner after the gateway is opened.

Development
-----------
* The WebTiles server has seen a major overhaul and now supports python 3 as
  well as Tornado 5+, as well as numerous other backend/technical improvements.
* The catch2 testing framework is now integrated into the project and is
  enabled in our CI testing.
* GitHub actions have been configured to replace Travis CI testing.

Stone Soup 0.24.1 (20200322)
--------------------------------

Bugfix Release
--------------
* A remote code execution vulnerability has been patched.
* The UI has received some bug fixes and improvements.
* Pinned monsters can no longer trample.
* Some vaults have been tweaked.
* Fedhas protection is now extended to piercing attacks done by all allies.
* Fedhas summons' duration is now correctly capped.

Stone Soup 0.24 (20191024)
--------------------------

Highlights
----------
* Vampire species simplified
* Thrown weapons streamlined
* Fedhas reimagined
* Sif Muna reworked

Branches, Environment
---------------------
* Incremental pregeneration:
  - This mode generates the dungeon in a stable order for all games regardless
    of the path taken by the player, meaning that the behaviour of seeds for
    online and offline games should now be the same.
  - Games using the same seed will see the same dungeon if they are
    incrementally pregenerated without requiring the long initial generation
    time of full pregeneration as introduced in 0.23.
  - Incremental pregeneration is the default mode for new games.
  - Servers can now enable seed selection without heavy CPU cost.
* A Trove map requiring many uses of digging has been removed.
* Identification scrolls are no longer used as a potential Trove cost.
* Transporters in vaults now correctly place in the Abyss.
* Fog generation in the Desolation of Salt portal now happens far less often
  per turn, greatly reducing slowdown from high CPU usage.
* Random traps no longer place under items placed by vaults.

Character
---------
* Formicids can now use their dig ability on diggable statues.
* Manticore barbs now can only be picked out if the player can move, isn't
  confused, and isn't asleep.
* Net traps now always trigger when the player steps on them.
* Vampiric weapons no longer have a hunger cost upon wield.
* Vampire simplification: Player vampires no longer eat or drink blood, and
  have exactly two blood states.
  - Alive: Regenerates quickly, normal HP modifier, no undead bonuses, no
    batform, can transform and berserk normally.
  - Bloodless: No regeneration with monsters in sight, -20% HP, stealth bonus,
    undead resistances, batform, no other transformations or berserk.
  - Blood states are transitioned by an ability which costs delay; becoming
    bloodless incurs no penalty, becoming alive causes a temporary frail
    mutation.
  - Bat form causes stat drain.

Gods
----
* Fedhas reimagined:
  - Piety is gained exclusively from kills instead of through corpse decay.
  - Fedhas abilities now create plant allies directly as temporary summons
    instead of creating permanent allies using plants. All abilities cost
    piety instead of food.
  - New abilities:
    * 2*: Active 'Wall of Briars' ability to surround the player with briar
          patches. Hostile monsters will attack briars to reach you, taking
          damage.
    * 3*: Active 'Grow Ballistomycete' ability to place a ballistomycete at
          any location within radius 2. The ballistomycete will fire spores
          that seek out foes and make a 1-radius damaging explosion that
          additionally confuses living creatures.
    * 4*: Active 'Overgrow' ability to destroy any non-permarock walls in a
          3x3 area, replacing them with plant allies, mostly wandering
          mushrooms or burning bushes and sometimes ballistomycetes or oklob
          plants.
    * 5*: Active 'Grow Oklob' ability to place an oklob plant at any location
          within radius 2.
  - Fedhas no longer hates any necromancy spells, and allows worship by undead
    species.
  - Removed abilities: Fungal Bloom, Reproduction, Growth, Evolution, Rain.
* Sif Muna reworked:
  - Piety gain is exclusively from kills.
  - 'Channel Energy' is available at 1* piety instead of 3*.
  - 'Forget Spell' is available at 3* piety instead of 4*.
  - New 4* 'Divine Exegesis' ability to cast any spell in your library
    regardless of skill training. Receives a spell-power bonus based on
    Invocations skill of 1.5 times the spell-power received from equivalent
    levels of training in the spell's schools.
  - The Divine Energy ability and Sif's miscast protection are removed.
* Trog and Okawaru now can gift unbranded boomerangs and javelins.
* Jiyva's Slimify ability now works properly on skeletons, zombies and
   simulacra.
* Torment can now trigger Jiyva jelly spawns and Xom butterfly spawns.

Interface
---------
* The 'X' key map mode has zoom support, defaulting to 60% zoom.
* Sealed off clinging and sensed monsters no longer stop autoexplore.
* Equipment melding no longer stops autoexplore and autotravel.
* Armour, jewellery, and weapons can be worn/wielded from the floor.
* Summoner monsters are now highlighted when the cursor is over one of its
  summons.
* Traps are now shown in the ctrl-x listing and are indexed in the stash
  tracker.
* Scarves are now properly shown on player tiles.
* Species and background selection menus now have tiles.
* Updated visual theme for main menu, high scores, and related screens.

Items
-----
* New unrand: Staff of Battle, a staff of conjuration that spawns a
  battlesphere when a hostile monster is in view.
* Unrandart changes:
  - The Storm Bow now has a penetration effect.
  - Gyre and Gimble now has the protection brand, enchantment of +7, and no
    longer has Dex-3.
  - Piercer has been removed, its effect having been merged into Storm Bow.
* Weapons with the holy wrath ego can now be cursed.
* Randart rings no longer generate with both rCorr and *Corrode.
* Throwing weapons have been streamlined.
  - Blowguns are removed, needles are replaced with throwing darts.
  - Dart effects scale with Throwing and Stealth skill.
  - Darts of sleep, paralysis, confusion are removed.
  - Darts of frenzy are renamed datura-tipped darts.
  - A new dart brand, atropa is added. Atropa-tipped darts cause brief
    confusion and longer-lasting blindness in the target.
  - Tomahawks are renamed to boomerangs and always return.
  - Javelins always penetrate.
  - Steel and silver are merged into a single brand, called silver. Silver
    ammunition applies the maximum of vorpal bonus damage and the old silver
    damage bonus.
  - Poison, returning, penetration, and exploding are no longer available
    brands for tomahawks and javelins.

Lua
---
* Monster AC, EV, MR, MaxHP, and descriptions are now exposed in the CLua
  monster.info class.
* A new function 'defeat_mr()' to determine the chance that a given spell
  defeats a monster's magic resistance.
* There is a basic seed explorer available in scripts/seed_explorer.lua.

Monsters
--------
* Monsters can now use wands of clouds, iceblast, and scattershot.
* Monsters clones created by Mara and rakshasa have the intended reduced HP of
  the original monster instead of several times that value.
* A monster having the Dig spell no longer allows it to cast spells out of
  LOS.
* Azrael and draconian scorchers can use Call Down Damnation when not at
  low HP.
* Player ghosts can be shafted.
* Golden Eyes no longer have randomized spellpower for their gaze.
* Monster airstrike uses the same formula as the player, reducing damage
  variance.
* Pikel's slaves no longer drop corpses nor items.

Spells
------
* The HP from Death's Door is fixed at time of casting rather than being
  updated continuously, hence being subject to changes in spellpower.
* Olgreb's Toxic Radiance now properly triggers ally conducts when cast.
* Olgreb's Toxic Radiance now applies direct damage and poison status in a way
  that considers the time of each turn.
* Shroud of Golubria's spellpower is now capped at 50.


Stone Soup 0.23.2 (20190330)
----------------------------

Bugfix Release
--------------
* Various seed-related bugfixes and improvements:
  - Seed input now supports pasting, and is autofilled from the last game.
  - The seed input box now has an extra digit.
  - The game seed is saved correctly and will no longer show as 0 for games
    started after this fix.
  - Seed stability for floating point calculations: for most configuration the
    main dungeon should remain unchanged, but 32 bit systems (and 32-bit builds)
    should now be much more stable, among others. Slime will likely differ.
  - Seed stability for rc options: certain rc options affected the generation
    of some layouts, leading to divergent seeds.
* AK starts will no longer crash when exiting the abyss in pregen games.
* Gozag bribe branch in pregen games now works correctly when entering a
  previously unvisited level.
* Meatsprint is now difficult again.
* 37 other bugfixes and improvements in total.

Stone Soup 0.23.1 (20190228)
----------------------------

Bugfix Release
--------------
* Vampiric attacks by the player against allies created from Sticks to Snakes
  and the Ratskin Cloak no longer restore HP or give vampires satiation.
* Damage from Ozocubu's Refrigeration has been increased to the correct
  amount.
* Placement for the uniques Aizul, Bai Suzhen, Donald, Jorgrun, and Mara has
  been fixed so they can place throughout their intended level ranges.
* The chance of Boris to respawn has been lowered to match previous rates.
* Yellow draconians now correctly receive their rCorr mutation at XL 7.
* 45 bugfixes, adjustments, and cleanups in total.

Stone Soup 0.23 (20190207)
--------------------------

Highlights
----------
* Trap system overhaul
* New Gauntlet portal to replace Labyrinths
* Nemelex Xobeh rework
* Nine unrandarts reworked and the new "Rift" unrandart added
* Support for seeded dungeon play

Branches, Environment
---------------------
* Trap system overhaul:
  - Traps that generate on the ground are always revealed.
  - Exploration has a chance to trigger a "trap effect" independent from
    terrain traps. The possible effects are alarm, shaft, and teleport near
    monsters.
  - Monsters only trigger traps in sight of the player.
  - Alarm traps now always Mark the player whenever they are triggered in LOS.
  - Net traps now try to net the player whenever they are triggered in LOS.
  - New trap: dispersal trap. When triggered, every actor in sight of the trap
    is blinked.
  - Trap placement in Ossuaries, Zot:5, and Tomb has been overhauled. In Zot:5
    and Tomb, all mechanical traps save for net traps have been removed.
  - Grate traps (triggered by pressure plates) have been removed.
* New Gauntlet portal to replace Labyrinths:
  - Gauntlets have the player choose a path through several combat arenas,
    each of which contains (sometimes exotic) monsters and loot.
  - Access to each arena is one-way using transporters. Teleports and Passage
    of Golubria are disabled.
  - All paths lead to a minotaur who guards a pile of treasure and the exit.
  - Gauntlets are found where Labyrinths previously generated.
* Support for seeded play:
  - A new option for pregenerating the entire connected dungeon based on a fixed
    seed has been added. This takes a bit of time, but ensures that any
    playthroughs of a particular seed will use the same dungeon.
  - This option is not yet available for online play, but can be used offline.
    See the manual section "Seeded play" for details.
  - The dungeon RNG has been separated from the gameplay RNG to allow this
    feature to work.
  - Each game seed generates a unique dungeon (including layout and
    monster and item placement) that is always the same for the same version
    of crawl, as long as levels are generated in the same order.
  - If you see that two games with the same seed generate a different dungeon,
    please report this as a bug!
* New vaults: early thematic item shops and monsters guarding manuals, as well
  as new ghost vaults for many branches.
* Translucent doors that can be seen through when closed have been added.
  These are used in most runed door vaults and in some Elf layouts.
* Two new dungeon layouts enabled, one for Dungeon and one for Lair.

Character
---------
* The player can no longer be put to sleep when paralysed or petrified.
* Tengu Permanent Flight becomes immediately available at XL 5.
* Tengu EV bonuses are no longer applied to +EV from equipment.
* Wanderer starting spell libraries are announced along with equipment.
* Wanderers that start with exactly one level 1 spell start with it memorised.

Gods
----
* Nemelex Xobeh rework:
  - Decks are are accessed through abilities and no longer exist as items.
  - Nemelex offers three abilities: "Draw Escape", "Draw Destruction", and
    "Draw Summoning", which provide card effects.
  - The deck abilities do not have rarities; card power levels are determined
    by invocations and piety alone.
  - Nemelex periodically adds cards to the three abstract decks.
  - Triple Draw works on the three decks as before, offering a choice of three
    cards. The piety cost is increased.
  - Deal Four deals four cards from a deck and has a reduced piety cost.
  - Stack Five constructs a player-ordered stack of five cards drawn from any
    of the three decks to be drawn later. Creating a new stack discards the
    old. The piety cost is the same as old stack five.
  - The Velocity card no longer hastes enemies, instead always slowing them
    with a chance proportional to power.
  - The Storm card has been revised. It now performs a wind blast followed by
    one to nine electrical explosions.
* Elyvilon's Heal Other's is adjusted:
  - The formula depends only on monster type, not specific monster maxhp.
  - Player Ghosts and Pandemonium Lords are now immune.
  - The targeter displays the pacification chance.
* Ashenzari protects followers from exploration-based trap effects.
* Qazlal's cloud immunity is extended to elementals created with Elemental
  Force.
* Fedhas' protection of plants from player spells is extended to LOS-wide
  attack spells.
* The acid damage from Makhleb's Minor Destruction has been reduced.
* Exploration-based piety is no longer granted for the Temple, deep water, or
  lava.
* Monster conversion for Beogh, Gozag's Bribe, and Jiyva is attempted upon
  sight instead of on the turn after the monster enters LOS.

Interface
---------
* Spell damage message punctuation has been adjusted to reflect damage done
  using the same scale as melee damage.
* Damage brand message punctuation has been similarly adjusted.
* Monster descriptions in 'xv' display spell ranges.
* The Religion screen '^' gains a fourth pane for gods that need Extra
  information:
  - Ashenzari displays information about bondage status.
  - Beogh displays a list of named followers, with gifts.
  - Gozag displays bribe information.
  - Hepliaklqana displays ancestor upgrades.
  - Nemelex Xobeh displays deck information.
  - Wu Jian displays information about martial attacks.
* The Hepliakqana ancestor reaching full health interrupts resting. The exact
  behaviour of this interrupt can be configured by rest_wait_ancestor.
* The new display_chars cloud_weak, cloud_fading, and cloud_terminal indicate
  remaining cloud duration in console.
* WebTiles users can use a "Forgot Password" link to reset their password
  via a link sent to their registration email address. This feature is not yet
  enabled on most official servers.

Items
-----
* Unrandart changes:
  - New Unrand: the +8 demon trident "Rift" {distort, reach+}. A distortion
    demon trident with a reaching range of 3 and smite-targeted attack.
  - The Singing Sword's sonic damage effect is stronger, can trigger at low
    tension, and triggers only on-hit. It also gains the vorpal brand.
  - The Spriggan's Knife converts all stabs to sleep-tier stabs and loses
    Dex+4 and MR+.
  - The Robe of Misfortune is +5 {*Contam *Corrode *Drain Harm *Slow EV+5} and
    is now always identified.
  - The Sceptre of Torment is now a +7 eveningstar of pain, and its torment
    does not affect the wielder.
  - The Arc Blade's effect now casts static discharge only once at very high
    spellpower. The weapon's enchantment is now +8.
  - Finisher gains a chance to instant-explode the target and loses Str+3.
  - The Robe of Clouds is now +3 {+Thunder rCloud rElec}, providing evocable
    storm clouds in place of its old mist.
  - The Skin of Zhor gains a passive Metabolic Englaciation effect and SInv.
  - The Storm Bow no longer occasionally creates rain clouds.
  - Unrandarts with melee effects that could anger nearby allies give a proper
    warning.
* Wand charges for wands of digging, enslavement, flame, paralysis, polymorph,
  and random effects have been reduced.
* Butchering a corpse always leaves a skeleton.
* The blowgun targeter now displays the chance to affect the target.
* Stash search can now search by handedness.

Lua
---
* The custom `require` used in clua and dlua has been renamed `crawl_require`.
* A new function `spells.path` has been added to the `spells` module to provide
  access to the targeter from clua.

Monsters
--------
* Monster weapons, armour, and wands are identified and revealed to the player
  when the monster is first seen.
* The shambling mangrove Grasping Roots ability now performs smite-targeted
  constriction instead of applying a 'Roots' status.
* Jorgrun gains the Grasping Roots spell and can now spawn in Swamp.
* Killer Klowns now have a pie throwing ability that damages the player and
  effects them with one of Vertigo, Silence, -Potions, Stat drain, rF-, or
  polymorph to bat, pig, or wisp form.
* Killer Klowns have highly enchanted, branded clubs instead of the Klown
  melee flavor, and no longer have fast regen.
* Orb run spawns are more frequently near the player and more dangerous.
* Pandemonium lords' spell sets and attack brands are revealed.
* Monster summons disappear whenever the summoner changes alignment from being
  charmed/uncharmed, pacified, or slimified.
* Confused monsters now get a 1 in 3 chance to move normally, like players do.
* Giant monsters no longer tear through webs.

Spells
------
* Confusing touch works with a weapon wielded

Stone Soup 0.22.2 (20190327)
----------------------------

Bugfix Release
--------------
* Fix a crash on startup when there are seeded games (from 0.23) in a shared
  save directory.
* Let Barachim telefrag at their full range.
* Don't let ball lightnings climb stairs.
* 52 other bugfixes and cleanups in total.

Stone Soup 0.22.1 (20180916)
----------------------------

Bugfix Release
--------------
* Support for distributing player ghosts files with releases. Now local games
  will have a starting set of ghosts available for ghost vaults.
* New tiles for Azrael, shock serpents, dream sheep, mana vipers, and the Robe
  of Vines.
* An additional set of Gnoll player dolls tiles.
* Fix WebTiles menus for older versions of Firefox.
* 81 bugfixes, adjustments, and cleanups in total.

Stone Soup 0.22 (20180810)
--------------------------

Highlights
----------
* Player ghosts now only appear in sealed ghost vaults
* New spell library interface
* User interface revamp for Tiles and WebTiles

Branches, Environment
---------------------
* Player ghost vaults:
  - Ghosts now only appear in vaults sealed by runed doors or transporters.
  - The ghost is always visible from outside the vault through clear walls.
  - Dozens of new ghost vaults with a variety of themes. All contain loot, and
    many place other monsters with extra loot.
  - Each level from Dungeon:3 onwards has a fixed chance of placing a ghost
    vault in most connected branches.
* Players on Abyss:1-4 will sometimes be drawn a level deeper, with the chance
  increasing based on XL and decreasing based on current depth.
* The Hall of the Hellbinder WizLab has fewer higher-tier demons.
* Two-headed ogres are less common in earlier dungeon levels.

Character
---------
* The player can use wands in all forms.
* The player can't order allies while confused.
* The MP-powered wand mutation allows use of wands at 0 MP and is now
  considered a good mutation.

Gods
----
* Dithmenos revamp:
  - Dithmenos's Shadow Step ability no longer requires the target monster to
    be 'still' and has an HP cost of 8% max HP.
  - Dithmenos no longer has an anti-fire conduct and allows use of fire-themed
    spells, items, and abilities.
  - Dithmenos is now an evil god, hence is hated by the good gods and holy
    monsters.
* Fedhas' Sunlight is now the 1* ability and Evolution is now the 2* ability.
* Makhleb's Major Destruction has its range increased to 7 and Minor
  Destruction has its range reduced to 5.
* Yredelemnul's Enslave Soul ability is now smite-targeted.
* Trog no longer has a Burn Spellbook ability.

Interface
---------
* In the Tiles minimap, the exploration horizon has a distinct colour.
* WebTiles chat improvements (server support may vary):
  - The player can use `/mute' and `/unmute' commands on chatters.
  - The `/mutelist' command shows the current mute list.
  - The chat window has a minimize button that removes message notification.
  - The `/hide' and `/hide forever` commands minimize/remove the chat window.
* Wands of digging now have a targeter showing the dig range.
* Updated visual theme for Tiles and WebTiles.
* Tiles and WebTiles informational screens now show tiles where appropriate.

Items
-----
* New Amulet: the Amulet of the Acrobat, which boosts the wearer's EV by 15
  for non-attacking movement and rest actions.
* The Mace of Variability is reworked to sometimes create arcs of chaos that
  harm nearby monsters, but not the wielder. The enchantment is now a fixed +7.
* The Vampire's Tooth is now a +12 quick blade instead of a +4 dagger.
* Maxwell's Thermic Engine no longer has rC- and rF-.
* All fog types from Scrolls of Fog now spread like grey and black fog.

Monsters
--------
* Player ghosts can now follow the player through stairs.
* Minotaur monsters have increased health, defenses, and HD. They also spawn
  with armour and either tomahawks or javelins.
* Swamp worms and Iron Giants now have Harpoon Shot: a range 6 ability
  that fires a shot which pulls the player adjacent.
* Harold has better melee damage and armour, and he places earlier. His Bolt
  of Fire and Blink spells are replaced with Harpoon Shot and Sentinel's Mark.
* Jorgrun has Iron Shot instead of Shatter and places earlier.
* Ilsuiw spawns on Shoals:2-4 instead of nearly always spawning on Shoals:4.
* Engulf status from Water Elementals now blocks god abilities but no longer
  slows movement.
* The Barb status from manticore barbs now counts any non-movement actions
  towards removing the status.
* Swamp worms no longer spawn submerged in water.
* Sojobo, air elementals, ball lightnings, and twisters have resistance to
  Tornado instead of resistance to all wind attacks.
* Shock serpent retaliation now properly checks rElec.

Spells
------
* Spell Library:
  - Spells from books are automatically added to a global library upon pickup.
  - Library spells can be memorised from anywhere through the 'M' screen.
  - Spellbooks are destroyed after their spells are added to the library.
  - Vehumet won't offer you a spell you already have in your library.
* Borgnjor's Vile Clutch constriction damage is reduced by 25% and the spell
  is no longer in the Necromancer starting book (the Book of Necromancy).
* Lee's Rapid Deconstruction can no longer destroy walls.
* Ozocubu's Armour now expires immediately upon movement.
* Spellcasting success rates no longer use a step-down, making L9 spells
  slightly easier to cast.
* Passwall now has better range scaling, a lower max spellpower and a targeter
  to show its range.

Stone Soup 0.21.2 (20180805)
----------------------------

Bugfix Release
--------------

* Shock serpent retaliation now properly checks rElec.
* No more errors on autofight commands when using ranged weapons or polearms.
* Fix a bug that led to Ru sacrifices not consistently giving promised piety.
* Fix many cases of "mid cache bogosity" errors involving Beogh followers.
* Training xl estimates in item descriptions are now more accurate.
* Compilation under Msys2 is now *really* fixed.
* Autotravel will no longer try to take shortcuts through hell.
* 70 other bugfixes and cleanups.

Stone Soup 0.21.1 (20180201)
----------------------------

Bugfix Release
--------------
* Dith shadow mimic of launcher attacks no longer copies the enchant and ego
  of the launcher.
* Monsters lose constriction by Borgnjor's Vile Clutch when they are moved by
  any means.
* Formicids can now manually cancel digging, allowing them to use Wu Jian's
  Wall Jump ability after digging.
* Wu Jian's Wall Jump ability now works under silence.
* New splash screen art.
* Numlock on Windows systems no longer causes unpredictable repeating
  movement.
* Alt-F4 no longer causes freezing in Tiles on Windows systems.
* Resizing the local Tiles window during prompts no longer causes crashes.
* SDL 2 contrib updated to 2.0.7, which fixes compilation under Msys2.

Stone Soup 0.21 (20180105)
--------------------------

Highlights
----------
* New species: Gnolls
* New god: Wu Jian Council
* New spell: Borgnjor's Vile Clutch

Branches, Environment
---------------------
* The rate at which unique Pan lord levels appear in Pandemonium is increased.
* Transporters now have a 'landing site' that indicates their destination.
* The Hellbinder and Cloud Mage Wizlabs have been revamped to give greater and
  more varied challenges as well as improved loot.

Character
---------
* New species: Gnolls, with extremely high aptitudes for all skills, but
  an inability to focus: Gnolls always train all skills equally, regardless
  of whether they have the requisite items or spells.
* Ogres now have better aptitudes in shortblades, longblades, and axes.

Gods
----
* New (temple) god: Wu Jian Council
  - Grants free 'martial' attacks from certain movement actions:
    * 0*: Moving toward an enemy triggers 'Lunge', which attacks the enemy and
      does extra damage.
    * 1*: Moving between tiles adjacent to a monster triggers 'Whirlwind',
      which attacks all adjacent foes and 'pins' them, preventing one turn of
      movement.
    * 2*: Moving against solid obstacles triggers a two-turn Wall Jump, moving
      two tiles in the opposite direction and attacking any adjacent enemies.
      This ability can also be triggered via an (a)bility, and the movement-
      based mode can be disabled using `wall_jump_move = false` in your rc
      file for more careful play.
  - 3*: Active 'Serpent's Lash' ability, granting two free movement actions,
    of which any martial actions will never miss.
  - 5*: Active 'Heavenly Storm' ability, creating opaque clouds and increasing
    your martial prowess while you continue to use 'martial' attacks.
  - Piety is gained through defeating foes.
* Gozag Potion Petition no longer offers haste/berserk potions for species
  that can't haste/berserk.
* Zin blocks 100% of mutations at 6* piety. At that piety level, potions of
  mutation now only remove mutations and don't cause piety loss.
* Zin no longer has a mutation removal one-time ability at 6* piety.
* Makhleb's Minor Destruction has slightly lowered range, and Makhleb's Major
  Destruction has slightly increased range.

Interface
---------
* Players can now set training targets for skills.
  - Press = on the skill screen, select a skill, and enter a skill level.
  - Training of that skill is disabled when it reaches the specified level.
* Water species except for merfolk autoexplore/travel through shallow water.
* Diagonal shift-running now stops properly at doors.
* Draconian players now show their hat tiles in Tiles/WebTiles.
* New 'tc_forbidden' RC option to set colour of squares forbidden by travel.
* New xp_by_level morgue table to track XP sources on a per-level basis.
* New -force-map objstat/mapstat option to always place a given map on each
  level.
* New objstat fields for tracking monster numbers/XP from vaults.
* Many new tiles for artefact weapons and monsters.

Items
-----
* Wands of the same type merge charges upon pickup and wands have no cap on
  charges.
* Wands identify charges upon pickup and are destroyed when their last charge
  is used.
* Items in a doorways no longer prevent closing doors in most instances.
  - Items get pushed out of the doorway when the player closes the door.
  - Doors refuse to close only if the items would fall into deep water or lava.
* Potions of mutations remove fewer mutations on average and are a bit rarer.
* Fan of Gales now disperses clouds at the user's location.
* Un-equipping an item currently giving you invisibility now gives extra
  contamination.
* Rods of lightning XP-recharge even when only partially used and only grant a
  power bonus for shots over consecutive turns.
* Scarves are never made as artefacts.
* Wands of random effects include malmutate in the set of possible effects.
* Permanent food has been simplified.
  - Rations are now the only type of permanent food, replacing bread and meat
    rations, fruit, and royal jelly.
  - Ration item generation and well as the herbivore and carnivore mutations
    have been balanced to keep available nutrition the same as before.
  - Fedhas abilities that formerly required a piece of fruit instead require
    two rations.
* Removed:
  - Wands of confusion and lightning.
  - Scrolls of recharging.
  - Mutagenic chunks.

Monsters
--------
* Monsters no longer spawn after level-generation in most places.
  - This also eliminates the "super OOD" timer that could generate
    exceptionally hard monsters after a long time on the level.
  - The number of monsters created during level generation is increased
    slightly to compensate.
  - Pandemonium and Abyss are unaffected by this change.
* A fraction of the monsters generated with a level are created awake,
  but never near stairs.
* Air elementals now have a Vortex ability, which creates a short-range,
  short-duration tornado effect.
* Player ghosts have normal speed regardless of species, never have a chaos
  ego on their melee attack, and no longer generate in portal branches.
* Pandemonium lords can no longer have the Shatter spell.

Spells
------
* New spell: Borgnjor's Vile Clutch (L5 Necromancy/Earth); calls forth undead
  hands from the earth over a smite-targeted area to constrict hostile monsters.
  Appears in the Necromancer starting book, the book of Unlife, and the book of
  Dreams.
* Shatter's damage has been simplified to use one of three dice values for
  susceptibility, and can now slightly damage insubstantial monsters. Intrinsic
  player/monster susceptibility takes precedence for damage over flight status.
* Lee's Rapid Deconstruction now gives each material type a fixed explosion
  damage and size that doesn't increase when a wall is destroyed.
* Removed:
  - Control Undead.
  - Cigotuvi's Embrace.

Stone Soup 0.20.1 (20170701)
----------------------------

Bugfix Release
--------------

* Restore 5 base damage to kick aux attacks, which had been missing since
  0.16.0.
* Don't let equipped weapon accuracy affect throwing accuracy.
* Ignore negative relative window sizes in fullscreen mode. Not ignoring these
  settings caused fullscreen issues on Windows platforms in particular.
* 41 other bugfixes and cleanups.

Stone Soup 0.20 (20170525)
--------------------------

Highlights
----------
* New species: Barachim
* New spells: Poisonous Vapours and Ignition
* New scarf items: Armour for the cloak slot with new egos
* New evocations: Wands and an evocable based on spells formerly found on rods

Branches, Environment
---------------------
* The Slime Pits treasure vault walls are breached when the Royal Jelly dies.
* Web traps created in play (by e.g. jumping spiders) are destroyed on
  escape.
* The Tomb of Ancients now has one-way escape hatches with return hatches
  nearby instead of stairs.
* New transporter dungeon feature: a one-way portal to elsewhere on the level.
  Currently used in a number of new loot vaults.
* The last levels of Cocytus and Gehenna never require flight to reach the
  rune.

Character
---------
* New species: Barachim, with an powerful innate Hop ability and good
  aptitudes balanced by slow movement and an increased base LOS radius.
* Ogre aptitudes have been adjusted, trading M&F skill for spells.
* Mummies' spellcasting aptitude has been increased to +2, from -1.
* Deep dwarves have an innate ability that heals them and has a chance of
  permanently reducing their MP. Their old recharge ability has been removed.
* Loud noises no longer break mesmerization or fear.
* Various 'badform' (e.g. wispform) special cases have been removed.
* Several abilities that triggered exhaustion now have their own cooldown
  timers.
* Removed:
  - High elves.
  - Mottled draconians.
  - Vestigial Lava Orcs/Djinni. Saves will load, but (after a prompt) will be
    converted to Hill Orcs/Vinestalkers.

Gods
----
* The Shining One:
  - Cleansing Flame is more effective against non-evil enemies.
  - All bonus-damage 'stab' attacks are prevented.
  - Poison is no longer forbidden.
* Minor Elyvilon wrath effects removed; enemy lifesaving strengthened.
* Nemelex's wrath reclaims all decks, rather than sabotaging them.

Interface
---------
* The species selection menu has been reworked to have a more useful
  conceptual organization, with species grouped into "simple", "intermediate",
  and "advanced" categories.
* Noise from the last turn is displayed in the top-right, replacing gold.
  (Gold can still be seen with % and $.)
* Terminal colours now work properly on a wider range of terminals by default.
  However, as a consequence the default background map colour is dark blue.
  To get dark grey, depending on your terminal you can set
  `bold_brightens_foreground=true` or `allow_extended_colours=true` in
  your rc file.
* New equip_bar option that replaces the noise display with a display of the
  glyphs of your equipped items (console only).
* Monsters' melee attacks, including estimates of potential damage, are
  now included in their descriptions.
* The player's odds of succeeding with melee confusion attacks is displayed.
* auto_butcher can be configured to trigger on different hunger levels.
* Stash searches now hide distant duplicate matches of more vanilla
  weapons, armour, and ammo by default. Searches results are now first
  ordered by items' descriptive names, rather than by the whole string
  including determiners.
* Red draining is now divided into red and magenta; magenta is the worst.
* The mouse can be used in webtiles (now enabled by default, previously a
  secret option).
* Local versions have much-improved support for custom sounds; see
  https://github.com/crawl/crawl/commit/4270d38ebf63 for details.
* SDL Tiles now no longer disables screen savers.

Items
-----
* New item type: scarves, occupying the cloak slot.
  - Scarves give 0 AC and cannot be enchanted, but always have an ego.
  - Scarf egos: Cloud Immunity, Spirit Shield, Resistance, rMsl.
* Evocations:
  - New wand types: Clouds and Scattershot.
  - New misc item: the Lightning Rod, a 4-charge XP evocable.
  - Wands scale better with Evocations.
  - Wands can no longer be zapped while confused.
  - Wands of disintegration no longer destroy terrain.
  - Wands of digging can now destroy statues.
  - Wand and miscellaneous acquirement merged into 'evocations'.
* Unrandarts:
  - New unrand: Maxwell's Thermic Engine, a freezing/flaming double sword that
    increases in power with each swing taken.
  - The Ratskin Cloak's stats have been tweaked, and it can now summon rats.
  - Amulet of Bloodlust: Slay+6 (was +3), MR++ (was MR+).
  - Shield of Ignorance: Now +10 {Int-4, rN+}. *Curse, AC+4 removed.
  - Sword of Jihad: renamed to Zealot's Sword.
  - Sceptre of Torment only torments on-hit, rather than randomly.
  - The Captain's Cutlass no longer chops off hydra heads.
  - The Ring of Shaolin is renamed to the Ring of Phasing, and the bow of
    Krishna "Sharnga" is renamed to the longbow "Zephyr".
* Potions of cure mutation, beneficial mutation, and mutation have been merged.
* All types of food take one turn to eat.
* All types of manuals are pre-identified.
* Weapons:
  - Giant Spiked Clubs have had their base delay lowered slightly.
* Removed:
  - Wands of heal wounds, haste, teleportation, and slowing.
  - Rods.
  - Discs of Storms.
  - The Hat of the High Council, the Scimitar of Flaming Death, and the Dagger
    of Chilly Death.
  - Beef jerky and pizza.

Monsters
--------
* Draconian callers -> stormcallers, which Smite, Summon Drakes, and Upheaval.
* Mottled dragons -> acid dragons.
* Two-headed ogres are significantly stronger.
* The 'draining' effect once again lowers monsters' MR.
* Various unique monsters give better rewards for defeating them.
* Monsters such as alligators get a larger movement speed increase when using
  their Sprint ability.
* Maurice and Ijyb now always have wands, and Ijyb first appears a bit deeper
  in the Dungeon.
* Draconian ghosts will no longer have negative energy breath.
* Removed:
  - Mottled draconians.
  - Draconian zealots.
  - Hill giants.

Spells
------
* New spell: Poisonous Vapours (L2 Poison/Air); creates an extremely short-
  duration poison cloud on a targeted creature. Appears in the VM book.
* New spell: Ignition (L8 Fire). Drops a weakened Fireball on every monster in
  line of sight. The caster and their allies are unaffected.
* Gell's Gravitas is now Translocations only (was Tloc/Hex).
* Portal Projectile is now Tloc/Hex (was Translocations only).
* Swapped Portal Projectile and Gell's Gravitas in the Wr/AM starting books.
* Book of Conjurations: Battlesphere replaced with Force Lance.
* Book of Air: Repel Missiles replaced with Airstrike.
* Confusing Touch is less effective, especially against high-HD enemies.
* Sandblast consumes stones directly from inventory, but no longer functions
  without ammo, and cannot consume large rocks.
* Removed:
    - Delayed Fireball.
    - Poisonous Cloud
    - Repel Missiles.

Modding/contribution support
----------------------------
* A number of guides from contributor Cerol on how to change key components
  of the game (first debuted in r/dcss and r/roguelikes) have been added to
  the documentation. These can be found at:
    - crawl-ref/docs/develop/background_creation.txt
    - crawl-ref/docs/develop/god_creation.txt
    - crawl-ref/docs/develop/mutation_creation.txt
    - crawl-ref/docs/develop/species_creation.txt

Stone Soup 0.19.5 (20170228)
--------------------------------------------

Bugfix Release
--------------

* Fix save compatibility when loading games from version 0.18.
* Macros now work in map mode in Tiles.
* Autopickup is now smarter about whether items are permanently or temporarily
  useless.
* 22 other bug-fixes and cleanups.

Stone Soup 0.19.4 (20170130)
--------------------------------------------

Bugfix Release
--------------

* Fix mouse lag experienced by trackpad users on Mac systems.
* Fix to allow the Temple entrance to place as part of a vault instead of
  always by itself.

Stone Soup 0.19.3 (20170121)
--------------------------------------------

Bugfix Release
--------------

* Work around an AMD driver bug where the game crashes when loading 512x512
  images.

Stone Soup 0.19.2 (20170120)
--------------------------------------------

Bugfix Release
--------------

* Fix a long-standing Tiles mouse lag bug. Now there is no lag when updating
  cursor information upon mouse movement to a new tile.
* Fix to allow helmets as armour acquirement gifts.
* Fix to prevent Infestation death scarabs becoming hostile when killing their
  host in an explosion.
* 24 other bug-fixes and cleanups.

Stone Soup 0.19.1 (20161123)
--------------------------------------------

Bugfix Release
--------------

* Demon tridents are two-handed for small races, as intended.
* Allow Dith shadow to attack diagonally and to reach.
* Many other bug-fixes and cleanups.


Stone Soup 0.19 (20161031)
--------------------------------------------

Highlights
----------
* New gods: Uskayaw the Reveler and Hepliaklqana the Forgotten.
* New portal: the Desolation of Salt.
* Sif Muna and Nemelex Xobeh have been dramatically reworked.
* Long blades have a new passive effect, 'riposte'.

Branches, Environment
---------------------
* New timed portal vault: the Desolation of Salt, appearing in Elf and Vaults.
  - Six new enemies, including swarms of fragile golems with supporting allies.
  - Open terrain layout with large, opaque clouds to use as cover.
  - Many powerful artefacts resting within ancient ruins.
* Volcanoes are now much more dangerous, but offer better rewards.
* Lair is now six floors (formerly eight).
* Slime is now five floors (formerly six).
* The Slime treasure vault's walls disappear entirely on their master's death.
* Webs are no longer destroyed after creatures escape from them.
* Beogh will no longer smite creatures that destroy orcish idols.
* Lair and Orc no longer have ambient noise.
* Storm cloud damage is more common and much less severe.
* Non-opaque clouds created by the player vanish instantly when out of LOS.
* The Orb's translocation restrictions now apply throughout the Zot branch.

Character
---------
* Flight or transformations expiring over deep water or lava no longer causes
  instant death. Instead, they cause heavy drain over time until reaching land.
* Potions, scrolls and books can be used while still on the floor.
* Resistances granted by rN (to e.g. Pain effects) now scale with rN, only
  reaching full immunity at rN+++ (instead of at rN+).
* Monks can now choose a weapon to start with.
* Corrosion slaying penalties now affect unarmed & auxiliary attacks.
* Spriggans can wield any weapons that kobolds and halflings can.
* Kobolds and halflings rebalanced toward & away from casting, respectively.
* Hidden "stealth factors" for species and forms are gone.
* Vampire blood level effects have been simplified and reworked.
* Bat form can quaff potions and open doors.
* The undead always take stat damage if mutated, instead of sometimes rotting.
* Temporary mutations only have a 50% chance of affecting the undead.
* Mummy self-restoration has been removed.
* The 'sustain abilities' effect has been removed.
* Sickness no longer has a chance of damaging stats.
* Issuing orders to allies no longer makes noise.
* Climbing stairs takes slightly longer, but doesn't penalize EV.
* Clarity provides immunity to sleep and fear.

Gods
----
* New temple god: Uskayaw the Reveler.
  - Piety gained by dealing damage to enemies.
  - Piety decays extremely rapidly over time.
  - 1*: Stomp: deals damage to all adjacent enemies.
  - 2*: Line Pass: instantly travel through a line of enemies, confusing some.
  - Solo Time: on reaching 3*, briefly paralyse all visible enemies.
  - Pain Bond: on reaching 4*, all visible enemies begin sharing damage
    taken with each-other.
  - 5*: Grand Finale: blink into and instantly kill target monster.
* New temple god: Hepliaklqana the Forgotten.
  - Grants a permanent customizeable ally, respawning on a delay after death.
    The ally automatically grows in strength as you level up.
  - Piety granted for exploration.
  - 0*: Recall: interlevel recall for your ally.
  - 2*: Remember Life: permanently make your ancestor a Hexer, Knight or
        Battlemage.
  - 3*: Transference: swap your ancestor with any creature in LOS, or yourself.
  - 4*: Idealise: heal your ancestor & temporarily increase their AC, damage
        and spellpower dramatically.
  - 5*: Transference drains enemies adjacent to the target.
* Sif Muna changes:
  - The 1* Channel Energy ability is replaced with Divine Energy, which allows
    the player to cast with insufficient mp, causing temporary -Cast.
  - At 3*, grants "Channel Magic", trading piety for a fast MP regen status.
  - Book gifts now begin at 5*, instead of 6*.
  - Sif grants piety for both learning magic and killing enemies.
* Nemelex Xobeh changes:
  - Now gifts decks of escape, destruction and summoning.
  - Drawing from decks and using Nemelex abilities now uses invocations,
    not evocations.
  - Identify scrolls can no longer be used on decks.
* Beogh's water-walking always lasts until the player is on land.
* Beogh no longer increases the benefits of armour and shields.
* Dithmenos's Shadow Step can no longer be used on allies or while immobile.
* Fedhas appreciates all corpse decay, and rots all corpses when the player
  leaves a level. Toadstool generation is an ability, instead of a 'p' effect.
* Qazlal's cloud immunity applies to all clouds, not just the player's.
* Jiyva's jelly paralyse ability has been removed.
* Many divine abilities have had their hunger costs removed or increased.
* Most gods that like killing are less particular about what you kill.
* Piety decay over time has been streamlined and adjusted for most gods.
* Gods that hate specific monsters no longer prevent you from enslaving them.
* Pakellas has been removed.

Interface
---------
* Most targeters will be more intelligent when trying to maximize enemies hit.
* In tiles, monster attitude is indicated with coloured auras instead of icons.
* The (p)rayer command is gone; pray at altars with > or <, as with shops.
* Descriptions of monsters with multiple spellsets show which spells you've
  seen them cast.
* Monster descriptions list their average max HP.
* New auto_butcher option, which butchers edible corpses during autoexplore.

Items
-----
* Fixed artefacts:
  - Firestarter and Frostbite now provide immunity to their cloud types.
  - The Octopus King trident's enchantment bonus for wearing Octopus King rings
    is now +2 (prev. +1).
  - The Staff of Olgreb now has a fixed +9 enchantment.
  - The Sword of Zonguldrok no longer creates hostile dead or curses itself.
  - The arbalest 'Damnation' doesn't provides resistances, and does more damage.
  - The morningstar Eos takes Brilliance's halo, and no longer has -Tele.
  - Fencer's Gloves no longer increase Sbl/Lbl skill or provide +EV/AC, but let
    the player riposte with any weapon (details below).
  - Wyrmbane now has rC+ instead of +Rage.
  - The greatsling Punk has a unique 'acid' brand, instead of freezing.
* Evocations:
  - Wands of random effects can no longer produce digging or disintegration.
  - Boxes of beasts and sacks of spiders have a fixed chance of destruction
    per-use, instead of a hidden charge count. They now stack.
  - Fans of gales & lamps of fire no longer summon elemental allies.
  - Phials of floods impact damage significantly reduced.
* Players using long blades sometimes riposte when dodging attacks, launching
  instant, automatic counterattacks.
* Weapons of protection give a temporary +7 AC on hit, replacing a passive +5.
* Creatures that could be butchered for enchantable hides instead, with the
  same chance, leave behind the corresponding armour when killed.
* Amulets of harm now increase damage dealt more than damage taken, and are no
  longer evil.
* Elemental enhancers no longer penalise spells of the opposite element.
* Jewellery acquirement creates twice as many randarts.
* The *Confuse randart property is now *Slow.
* Books can no longer be destroyed to forget spells.
* Rods are created through misc. acquirement instead of staff acquirement.
* It's no longer possible to acquire ammunition.
* Renamed:
  - dragon armour -> dragon scales.
  - greatsling -> fustibalus.
* Removed:
  - All decks and their cards, except for those gifted by Nemelex Xobeh.
  - Dragon and troll hides.
  - Sword of the Doom Knight, Amulet of Cekugob, and "Brilliance".
  - Amulets of dismissal.
  - Rings of sustain abilities.
  - Stones of tremors.
  - The evasion weapon ego.
  - The Akashic Record.
  - Artefact blowguns.

Monsters
--------
* New monsters
  - Bai Suzhen, a late-game draconian unique that casts Summon Hydra. When
    severely injured, she becomes a dragon ringed by storm clouds.
  - Meliai, bee priestesses that sting and smite in trios.
  - Dream sheep, pack monsters that put their enemies to sleep.
  - ...and the residents of the Desolation of Salt.
* Uniques:
  - Urug and Jory's weapons are now much nastier for their depth.
  - Mennas always spawns with a sacred weapon.
  - Donald can now cast Haste and Might.
  - Asterion's Spectral Weapon has been replaced by Greater Servant of Makhleb.
  - Xtahua can now roar to cast Paralyse.
  - Nergalle can no longer enter Death's Door.
  - Gloorx Vloq can no longer cast Black Mark.
  - Various uniques have had their genders changed.
* Zombies, skeletons, and simulacra no longer hide damage taken, and display
  the full names of the monster they were created from.
* Battlecry has been simplified, affecting all monsters of the same genus.
* Blood Saints's Legendary Destruction now casts two spells at a time.
* Necromancers gain Bind Soul, reviving slain monsters as simulacra.
* Ghostly Fireball is now completely resistible by rN and causes draining.
* Obsidian statues can Mesmerise.
* Wizards and Ogre Mages have split up and re-arranged their many spell sets
  to arrive at three sets each, with minimal overlap.
* Spriggan air mages can no longer cast Control Winds.
* Hellions no longer have fire resistance or cold vulnerability.
* Deep elf archers no longer fire their bows in melee.
* Death scarabs no longer trail miasma, but are somewhat tougher.
* Tzitzimitl melee slows and rots victims, instead of creating miasma.
* Ushabti gain Dispel Undead and Warning Cry, and their clouds are now miasma.
* Friendly monsters will no longer open doors.
* Jellies no longer eat unseen items for non-Jiyva worshippers.
* Turtles no longer withdraw into their shells when injured.
* Giant eyeballs charge up their paralysis-stare 50% faster.
* Statues are now stabbable; obsidian & orange crystal statues gain sInv.
* Renamed monsters:
  - Giant newt -> frilled lizard.
  - Giant frog -> bullfrog.
  - Giant gecko -> leopard gecko.
  - Giant leech -> tyrant leech.
  - Giant eyeball -> floating eye.
  - Giant spore -> ballistomycete spore.
  - Giant orange brain -> glowing orange brain.
  - Greater naga -> nagaraja.
* Removed monsters:
  - Anubis guards.
  - Boulder beetles.
  - Chaos champions.
  - Griffons.
  - Putrid demonspawn.
  - Salamander stormcallers.
  - Sheep.
  - Wasps.
  - Norris.
  - Maud.
  - Wiglaf.

Spells
------
* New spell: Infestation (L8 Necromancy), appearing in the Necronomicon.
  Applies 'infested' to monsters in a large, smite-targeted area; a friendly
  death scarab erupts out of the victims when they die.
* New spell: Lesser Beckoning (L3 Translocation), which pulls a single target
  adjacent to the caster.
* All temporary allies are incapable of attacking out of LOS, not just summons.
* Confusing Touch is level 1 (was level 2).
* Cigotuvi's Embrace only degrades over time, not on-hit.
* Irradiate causes significantly less contamination when cast.
* Olgreb's Toxic Radiance causes less damage, but doesn't poison the caster.
* Simulacrum's duration is significantly shorter.
* Spells formerly in the Akashic Record have been redistributed elsewhere.
* Various other spellbooks have had minor adjustments.
* Removed: Cure Poison, Haste, and Warp Weapon.

Stone Soup 0.18 (20160504)
--------------------------------------------

Highlights
----------
* New god: Pakellas the Inventive.

Branches, Environment
---------------------
* Killing monsters in the Abyss eventually spawns exits and down-stairs.
* Ziggurat portals no longer appear in Pan.
* After clearing multiple ziggurats, enemies found in later ziggurats will be
  considerably more dangerous.
* The Orcish Mines are now two levels, and generate fewer plain orcs. Gold
  generation is doubled to account for the shorter branch.
* The Elven Halls now contains elementals and dancing weapons (in addition to
  the ones normally found in the Hall of Blades).

Character
---------
* A new mutation: Sturdy Frame, reducing base ER by 2/4/6 and thus making
  heavy armour easier to wear. Can be a demonspawn mutation.
* Formicids now have 0 Throwing aptitude (was -2).
* Taking a known shaft now has a 2/3 chance of shafting one floor and 1/3 of
  two floors.
* Breath abilities are no longer mutations and are now unique to draconians
  and nagas.
* Throwing speed now works like weapons do, making it somewhat slower.
* Weapon types no longer have distinct strength weights. Strength now only
  gives a bonus to damage, and dexterity only gives a bonus to accuracy.
* Formicids can no longer dig while in most non-Formicid forms.
* Statue Form now gives somewhat more AC.
* Early-game attribute loss is recovered significantly more quickly.
* rElec now reduces damage by two-thirds, rather than three-quarters.

Gods
----
* New temple god: Pakellas the Inventive.
  - Grants MP on kills and passive wand charge identification. MP gained while
    full will eventually be turned into potions of magic.
  - Blocks MP regeneration and hates channelling.
  - Gifts wands, rods and miscellaneous evokables.
  - 1*: Quick Charge: uses a portion of current MP to recharge a wand or rod.
  - 3*: Device Surge: spends variable MP to apply power enhancers to your next
    use of an evocable item.
  - 6* capstone: Supercharge: sets a rod to +10 (18/18), or sets a wand's
    capacity to 50% above normal for that wand type.
* Ashenzari now allows followers to curse items with an ability that consumes
  a scroll of remove curse, instead of using prayer to create curse scrolls.
* Beogh no longer allows corpse sacrifice.
* New Beogh 6* ability: Resurrection, reviving & converting dead orcs.
* Followers of Elyvilon can pacify insects (again).
* Monsters buffed by Gozag's wrath now remain buffed as long as they live.
* Jiyva altars in Dungeon no longer appear as early.
* Okawaru's abilities now cost less piety, but don't last as long at low
  Invocations skill.
* Finesse is no longer blocked by stasis.
* Piety given for a Ru sacrifice is more explicitly stated.
* Sif Muna now grants miscast protection at 2* and amnesia at 4*, rather than
  the other way around.
* Xom now chaos brands more weapon gifts, and can chaos brand ranged weapons
  again.
* Yredremnul's Enslave Soul can now affect demons & holy beings.
* Abandoning Yredelemnul now destroys your zombie minions.
* Zin's Recite is now only interrupted if the player is silenced or
  incapacitated (or goes berserk).

Items
-----
* New items:
  - The amulet of dismissal, which may teleport away enemies that damage the
    player, but causes a brief combat penalty when equipped.
  - The amulet of reflection, which grants a few points of shielding that
    act as a shield of reflection.
  - The amulet of harm, which increases damage dealt to and by the wearer by
    25%.
  - The amulet of magic regeneration, which increases MP regeneration after a
    warmup period.
  - The ring of resist corrosion, replacing the amulet.
  - Wands of acid, which cause significant damage and corrosion.
  - Wands of iceblast, which cause a partially irresistible explosion of cold.
  - A figurine of a ziggurat, which can be evoked to create a ziggurat portal.
    Appears on Zig:27 of all ziggurats and in the Tomb:3 loot.
  - Unrand: The +8 frozen axe "Frostbite" {freezing cloud, *Noise +Fly rC+}, an
    executioner's axe that may create freezing clouds on those it strikes.
  - Unrand: The +3 Warlock's Mirror {reflection}, a buckler that allows
    reflection of piercing effects and enchantments, among other things.
* The Etheric Cage now multiplies gained contam, instead of generating it.
* Sniper can no longer miss, and is now +9 (formerly +15).
* The robe of vines now grants slightly less regeneration.
* The Majin-Bo now speaks occasionally.
* The captain's cutlass now causes bonus damage when disarming.
* The amulet of Cekugob is now an amulet of dismissal.
* The brooch of Shielding is now a +8 amulet of reflection with no AC or EV
  bonus.
* Wearing an amulet of regeneration has no effect until the next time you are
  at full health.
* A new property can now generate on random artefacts: Fragile, which destroys
  the item when it is removed.
* Amulets of faith now grant a 25% bonus to piety, not a 33% bonus.
* Scrolls of enchant armour & enchant weapon no longer remove curses.
* Potions of ambrosia now bypass clarity.
* The evocable teleport property +Tele is removed. Rings of teleportation now
  only have the *Tele teleportitis effect.
* Potions of cure mutation are slightly more common.
* Potions of degeneration now cause 1-3 damage to every stat.
* The Damnation card has been renamed to Exile.
* Poison needles' effects scale with Throwing skill and weapon enchantment.
* Arrows, bolts and sling bullets no longer have brands.
* Removed items:
  - Amulets of resist mutation, stasis, warding, and corrosion.
  - Wands of cold, fire, frost, magic darts, invisibility, draining, and
    fireball.
  - Rods of destruction and of the swarm.
  - Ring of invisibility.
  - Potions of poison.
  - Needles of slowing.
  - Lanterns of shadows.

Monsters
--------
* New monsters:
  - Spark wasps, electric swarming insects appearing in Spider and Depths.
  - Iron giants, with the ability to throw you towards their pack of allies.
  - Doom hounds, who can howl to create a pack of dangerous creatures.
  - Deep elf archers, with skill in archery and hexes.
  - Deep elf elementalists, with mastery of elemental magic and the ability to
    turn rock into earth elementals to dig out entrenched foes.
  - Dart slugs, slow-moving, squishy gastropods with a ranged dart attack.
  - Howler monkeys, fast and extremely loud creatures, often found in packs.
  - Rime drakes, small flying lizards which breathe Flash Freeze.
* Shadow Fiends are now Tzitzimimeh, made somewhat stronger and given attacks
  that surround their targets in a ring of miasma clouds.
* Hellfire has been renamed to Damnation, and no longer melts ice.
* Chaos champions lose Chaotic Mirror and instead gain Call of Chaos, an
  ability which applies (usually) positive status effects to nearby allies.
* Mnoleg gains Call of Chaos (as above), Random Bolt, and Dig.
* Gloorx Vloq gains Summon Executioners and Black Mark.
* Liches and Ancient Liches no longer have a long list of random spells,
  and return to a new set of fixed spellbooks.
* Salamander stormcallers' chant does not need to be continuous; they now
  only need to try to cast Fire Storm at their target three times for it to
  trigger.
* Entropy weavers' corrosion is now instant and smite-targeted, but only
  applies one level of corrosion.
* Ice devils are now tier 4 demons, and are weakened slightly.
* Hellwings now have the swoop attack formerly possessed by blue devils.
* Shock serpents' discharge now only strikes whatever hit it.
* Salamander mystics lose Localised Ignite Poison.
* Deep elf high priests & sorcerers can no longer cast Summon Demon.
* Natasha, deep elf knights, and salamander stormcallers can no longer cast
  Conjure Flame.
* Banishment from powerful monsters can now send you deeper into the Abyss
  than Abyss:1.
* Deep elf mages are now stronger and have new spell sets, including spells
  previously cast by deep elf conjurers and summoners.
* The Sap Magic effect from demonspawn warmongers now has three fixed levels of
  success rate penalty, rather than scaling continuously. Each spell cast while
  under the Sap effect has a fixed chance to increase the penalty level.
* Demonspawn corruptors' Corrupt Body spell is now a single-target version of
  the same spell used by wretched stars. These spells both now try to apply
  multiple levels of a single random temporary mutation instead of giving many
  different kinds.
* Ancient champions and death knights no longer have the Haunt spell.
* Swamp worms are now amphibious and generate submerged, emerging to attack the
  player and never resubmerging.
* Deep elf high priests now have an Aura of Brilliance spell that affects all
  allies in their view, making them cast spells more frequently and with more
  spell power.
* Hell hogs now have Fireball, replacing Sticky Flame.
* Giant eyeballs are now normal speed, but must stare thrice to paralyse.
* Maurice can now steal from the floor as well as your inventory.
* Natasha no longer becomes weaker upon revival.
* Death cobs now drain speed, rather than causing hunger.
* Monsters that drain speed can now do so even to creatures with rN.
* Corroding monsters now reduces their AC by 8, rather than halving it.
* Needles no longer strike unaware monsters more powerfully.
* Removed monsters:
  - Octopode crushers.
  - (Plain) spiders.
  - Salamander firebrands.
  - Blue devils.
  - Brain worms.
  - Deep elf fighters, conjurers, priests, and summoners.
  - Trapdoor spiders.
  - Fire drakes.

Spells
------
* New spell: Yara's Violent Unravelling (L5 Hexes/Transmutations). Dispels
  all cancellable effects on the target and, if any were dispelled, causes
  a damaging explosion of mutagenic energy around the victim.
* Hydra Form now has a fixed number of heads.
* The Infusion spell has a lower power cap, scaling more quickly to the same
  damage bonus as before.
* Song of Slaying now increases its slaying bonus with every kill, but caps at
  +9 total.
* Tukima's Dance's power multiplier has been reduced.
* Spectral Weapon now bases the strength of the summoned weapon on spell power
  instead of weapon skill.
* Alistair's Intoxication is now level 5 and gives Vertigo status instead of
  confusing the player or draining Int, and can sometimes affect rPois
  monsters.
* Monstrous Menagerie is now level 7 (was 6).
* Shadow creatures is now level 6 (was 5).
* Passwall is now level 2 (was 3).
* Ozocubu's Armour now slows movement slightly while active.
* Removed spells: Stoneskin, Condensation Shield, Mass Confusion, and
  Phase Shift.

Interface
---------
* Earth elementalists now have their stones start on b.
* Characters starting with a primary ranged weapon now have their melee weapon
  on b by default.
* New autofight_warning option, to combat accidentally holding down tab.
* An option is added to the butchering prompt to allow butchering only
  (e)dible corpses.
* Auto-eat now triggers for ghouls if they are rotted.
* The religion screen now shows all god powers, with currently accessible
  powers (per level of piety) being highlighted.
* Many previously hardcoded forced mores are now optional and present in the
  default init.txt.
* New character dump option: skill_gains, which shows when skills were gained.
* A s(T)atus effect lookup has been added to ?/.

Stone Soup 0.17.1 (20151210)
----------------------------
* Fix insect monsters never berserking. This bug prevented queen bees from
  berserking their hive bees and moths of wrath berserking insects in Spider.
* Prevent the Gell's Gravitas spell from moving monsters into deep water or
  lava.
* Fix resting to stop properly when MP don't regenerate.
* Properly warn when a beam might poison a monster while worshiping the Shining
  One.
* Put hunter's swords in slot 'a' or 'b' at game start to allow easier
  switching between ranged and melee weapons.
* Put EE starting stones on the 'b' slot.
* Update the manual for 0.17.
* Many other bug fixes for game crashes, to vaults, and to in-game text.

Stone Soup 0.17 (20151106)
--------------------------

Highlights
----------
* Square line of sight.
* Shorter Lair rune branches.
* New rune vaults for many branches.

Branches, Environment
---------------------
* Snake, Shoals, Swamp and Spider are now all 4 levels long, down from 5.
* Levels no longer have -cTele.
* Shadow Traps have been removed.
* Slime wall damage no longer varies by depth.
* AC now applies before resists for cloud damage.
* Ghostly flame clouds have been renamed to spectral mist clouds.
* Troves no longer ask for items that the player character's species cannot
  use.
* Pandemonium now spawns primarily tier 3 and above demons.
* New altar type: 'ecumenical altars', which allow the player to worship a
  random god.
* New WizLab: Lehudib's Moon Base, where the player can fight the legendary
  Moon Troll.
* Tukima's Studio and Eringya's Formal Garden WizLabs have been removed.

Character
---------
* All races have had their evocations aptitudes reduced by one point.
* MP scaling has been reworked & simplified; MP aptitudes have been adjusted.
* Heavy armour no longer penalizes unarmed combat & throwing speeds.
* Rot is now healed first, instead of last; effectively, rotting reduces the
  effectiveness of healing until cured. The Rot status is also gone, with rot
  taking place immediately.
* Stat loss is no longer regenerated over time; instead, it's restored by XP.
* The deterioration mutation is now only 2 levels, and has a chance of causing
  stat loss whenever the player takes damage, rather than over time.
* Being at 0 in a stat no longer causes direct damage to the player.
* Undead stat gain: Mummies get one of Str, Int, or Dex every 5 levels, and
  Vampires get either Int or Dex every 5 levels.
* Vampires can now drink from anything that has blood, regardless of their
  chunk type.
* Headbutt aux attacks no longer apply a small stun and the hooves aux kicks no
  longer bypass AC.
* Unarmed attacks no longer have a speed penalty when attacking with a shield.
* Cleaving attacks now function even under confusion.
* Control-attacking & manipulating doors are no longer permitted under
  confusion.
* Confusion will never cause characters to stumble into deep water/lava.
* Corrosion can affect characters not using weapons or armour, and applies -4
  to both armour and slaying (instead of -5/-3).
* Multi-turn actions, other than climbing/descending stairs, no longer reduce
  EV by 5 for their duration.
* Poison-immune characters (e.g. gargoyles, mummies) no longer take poison
  damage.
* Draconian Fighters no longer start with extra equipment.
* Teleportitis only triggers when it would land the player in LOS of
  enemies. It triggers slightly more frequently as a result, but no longer
  triggers in Labyrinths or the Abyss.
* The 'spiny' mutation is now dramatically stronger.
* Powered by Death is now triggered by kills, instead of corpses.
* Black Mark no longer gives vampirism; its other effects are now stronger.
* Clawed attacks no longer have bleeding-over-time damage effects.
* There's now a distinct hunger state of Fainting and appropriate warning
  messages for when the player is so low on nutrition that they might become
  paralysed.
* The Breathe Flames and Spit Poison mutations are now mutually exclusive.
* Demonspawn can shoot through their own demonic guardians.
* Ability scores now cap at 125, up from 72.
* Some species now have lower Throwing aptitudes:
  - Centaur, Halfling, and Kobold go from +3 to +1;
  - Ogre, Spriggan, Tengu, High Elf, and Deep Elf go from +1 to 0;
  - Hill Orc and Gargoyle go from 0 to -1.

Geometry
--------
* All range-based mechanics now treat diagonals identically to orthogonal
  directions. Line of sight, spell range, and other effects are now visually
  'square'. Many of those, including line of sight, are now slightly shorter.

Gods
----
* Gozag:
  - The fee for entry has been reduced, especially early on.
  - Gold distraction is now an effect centred on the player that's refreshed
    whenever they find (make) new corpse-gold, rather than being centred on
    the gold piles themselves.
  - The cost of Potion Petition is more variable and higher initially, but no
    longer increases with use.
  - Friendly bribed allies are now permanently allied, but restricted to the
    branch from which they came.
  - Corpseless monsters now drop gold.
  - Gold that lands in deep water/lava teleports into the player's pockets.
  - Amulets of faith no longer have any effect.
  - Bribes now work on any intelligent monster in the branch, with bribe
    susceptibility based on HD and a scaling factor by branch. Unique Hell or
    Pan lords can't be bribed.
  - Bribes now trigger on monsters coming into view, rather than on level
    entry.
  - Call Merchant now always places shops at the player's location.
* Ru:
  - New sacrifice: Sacrifice Eye, similar to the effect of amulets of
    inaccuracy (and stacking with the amulet).
  - New sacrifice: Sacrifice Resistance, providing rC- rF-.
* Beogh's smite damage now scales better with invocations.
* Okawaru's Finesse no longer gives contamination.
* Lugonu and Trog no longer accept corpse sacrifices.
* The Shining One no longer blesses allies' weapons and armour; the Summon
  Divine Warrior ability is now slightly cheaper.
* Cheibriados' slouch damage is now based on monster movement speed.
* Ashenzari now gives the Scrying ability at 1* piety, boosts skills at 2*, and
  grants SInv at 3*.
* Zin's Vitalization no longer provides nutrition, and now has a small MP cost.
* Jiyva's Slime Prayer now lasts longer and has a small MP cost.
* Sif no longer requires worshippers to know spells.
* The player now no longer needs an altar to use the following abilities, which
  are accessible from the ability menu: Zin's Donate Gold, Kiku's Bless Weapon
  and Gift Necronomicon, Lugonu's Bless Weapon, and The Shining One's Bless
  Weapon.
* Gods no longer protect worshippers from Beogh smiting or TSO cleansing
  flame.
* Qazlal's wrath now causes noise 50% of the time before other possible
  actions, and can no longer inflict Deformed Body.
* Notes are now generated whenever you reach a piety rank for a god for the
  first time, instead of on abilities being gained.

Items
-----
* New items:
  - Maxwell's Etheric Cage, a helmet giving rElec, +4 MP and a large boost to
    MP regen, at the cost of causing intermittent light contamination.
  - the Robe of Vines, a +5 robe with massive regeneration but which renders
    the wearer unable to heal by external means.
  - Kryia's mail coat, +7 scale mail which amplifies the effect of healing
    items (and grants rC+ to boot).
* Poisonous chunks and rot chunks have been merged into 'inedible' chunks,
  which are only edible by ghouls. Some monsters have had their meat cleaned.
* Unrandart changes:
  - The Cloak of Starlight is now +2 and gives Stlth--.
  - The fencer's gloves now give a bonus to Short and Long Blades skills.
  - The Sceptre of Torment is now a staff.
* The box of beasts now produces a new type of variable creature, 'mutant
  beasts', instead of chimeras.
* The Orb of Zot now turns all controlled blinks into uncontrolled blinks while
  carried.
* Warding now applies to ranged attacks.
* Troll leather armour now provides regeneration to trolls.
* Staves of summoning no longer have a chance of abjuring on hit.
* Staves of power now give a flat +15 mp, rather than scaling with your MP; they
  no longer store MP when swapping.
* For the player and for monsters, curare needles no longer have an effect that
  prevents the use of abilities relying on breath.
* Scrolls of Holy Word now apply the Daze status effect instead of stunning
  enemies.
* "Sustain abilities" has been renamed to "sustain attributes".
* The Storm card no longer summons twisters.
* The Placid Magic card is no more.
* The Sack of Spiders makes more appropriate types of spiders at lower and
  higher levels of Evocations and fewer orb spiders overall.
* The Rod of Clouds makes acid clouds more often and storm clouds less often.
* Removed items:
  - The Cloak of Flash.
  - Potions of decay.
  - Potions of restore abilities.
  - Rings of teleport control.
  - The Book of Control.
  - Hammers.

Monsters
--------
* New monsters:
  - Salamander stormcallers, appearing in the late Dungeon and the Vaults. They
    chant for a few turns before calling down a Fire Storm on their victims.
  - Entropy weavers, appearing in Spider, Vaults, and Depths. They chant for a
    few turns before corroding their victims' equipment terribly.
  - Juggernauts, terrifying giants that lurk in Depths. They move quickly and
    deliver fantastically punishing blows, but must rest after each attack.
* Death cobs have been greatly strengthened and their attacks increase your
  hunger, even when guarded by AC.
* Hungry ghosts' hungering effect now apply even when their attack damage is
  reduced by AC.
* XP and placement for many uniques has been adjusted; in general, uniques have
  been removed from depths at which they're no longer threatening, and their XP
  has increased considerably.
* Jellies no longer eat items the player has seen.
* Monsters will now pick up all scrolls & potions, not just ones they use.
* Poison now has a 1/3 chance of affecting rPois+ monsters (up from 0/3).
* All nonliving monsters now have rPois+++.
* rElec++ has been removed; monsters that previously had it now either have
  rElec+ or full immunity.
* Non-magic-immune monsters are now always confuseable.
* Unrelated monsters can now swap with each other.
* Ghouls no longer cause rot with their attacks.
* Monsters no longer eat corpses.
* Revenants no longer ignore silence.
* Phantasmal warriors' attacks no longer pierce shields & armour.
* Death knights now have agony & haunt in addition to pain mirror.
* Worms are less vulnerable to some forms of kiting, having more regen in
  exchange for less max hp.
* Air elementals can no longer 'submerge' in air.
* Fire elementals no longer fly (though they can still cross lava). They can
  now enter shallow water.
* Queen ants are now faster.
* Liches and Ancient Liches can no longer cast Shadow Creatures.
* Many monsters have lost the 'teleport self' spell: (ancient) liches, wizards,
  giant orange brains, hellwings, smoke demons, ogre magi, Mara, and Boris.
* Various 'high-intelligence' monsters no longer have immunity to drowning
  while confused.
* Basic mummies no longer have death curses.
* Alligators now come in pairs.
* Jorgrun is no longer a deep dwarf, and now regenerates normally.
* Deep dwarf ghosts now regenerate normally.
* Hell beasts no longer have randomized speeds.
* Salamander mystics, firebrands, and stormcallers now all have normal land
  move speed and fast swimming speed.
* Polyphemus can throw his yaks at the player.
* Blocks of ice are now susceptible to LRD and Shatter.
* Demonspawn warmongers now have Haste Other instead of Grand Avatar, and can
  spawn with a shield.
* Demonspawn blood saints no longer have ephemeral infusion, and no longer
   damage themselves when casting Legendary Destruction.
* Orange crystal statues now have Shadow Creatures and both they and obsidian
  statues are faster at casting their spells.
* Monsters can no longer have the Inner Flame spell.
* Hellwings no longer have the Teleport Other spell.
* Monsters can no longer have Animate Dead nor Simulacrum spells.
* Monsters that worship Dith or Yred (including allies of the player) are
  immune to the umbra accuracy reduction.
* Monsters can no longer have a flee ability (polar bears, black bears, and
  krakens).
* Derived undead (skeletons, zombies, spectres, and simulacra) now do 80% of the
  damage of the base monster and inherit the energy use pattern of the base
  monster.
* Derived undead created by spells or items are temporary, falling apart after
  some time. Yredelemnul still creates permanent undead.
* Removed monsters:
  - Unborn.
  - Ravens.
  - Giant mites.
  - Baby alligators.
  - Boring beetles.
  - Goliath beetles.
  - Wandering mushrooms only generate through Fedhas or the monster Summon
    Mushrooms spell.

Spells
------
* Enslavement is replaced by Tukima's Dance in the Enchanter starting book, and
  by Gell's Gravitas in the Arcane Marksman starting book. Tukima's Dance no
  longer appears in the Book of Enchantments.
* Animate Skeleton and Animate Dead now create temporary undead that expire
  after some time.
* Ignite Poison is now level 3 Fire/Poison/Transmutations; it no longer ignites
  items or poisonous creatures, only poisoned creatures and clouds, but does
  dramatically more damage to the former, especially at low power.
* Gell's Gravitas is now level 3 and smite-targeted; it can now target empty
  space, but no longer confuses monsters.
* Summon Guardian Golem is now level 3.
* Aura of Abjuration is now level 5, and has been moved from the Grand Grimoire
  to the book of Summonings.
* Monstrous Menagerie has been moved from the books of Summonings and Beasts to
  the Grand Grimoire.
* Summon Mana Viper has been moved from the book of Hinderance to the book of
  Summonings.
* Sticks to Snakes no longer requires wielding arrows.
* Apporting the Orb of Zot now causes the orb run to begin.
* Cigotuvi's Embrace is now stronger with small numbers of corpses, and
  considerably weaker with huge numbers.
* Freeze no longer has a stun effect.
* Death's Door sets player exhaustion when canceled with Borgnjor's
  Revivification.
* Ozocubu's Armour and Stoneskin no longer give additional bonuses to Ice Form
  and Statue Form, respectively.
* Casting Malign Gateway no longer drains player Int.
* Casting Haunt no longer cause sickness.
* High level spellbooks no longer restrict learning from them based on skill
  levels.
* Corpse Rot now affects all corpses in LOS.
* Darkness is now level 6.
* Controlled Blink is now level 8.
* Removed spells:
  - Abjuration.
  - Control Teleport.
  - Enslavement.
  - Flight.
  - Sure Blade.
  - Singularity.

Interface
---------
* The level map viewer (X) now allows you to examine monsters, items & features
  (with 'v'), just as the normal examine mode does.
* The inventory descriptions for weapons & shields now shows the skill required
  to reach minimum attack delay / remove attack delay penalty, respectively.
* The rune menu now shows you all runes and their locations before they are
  found, including the Orb of Zot.
* New ability_slot option, which allows you to specify default letters for
  abilities.
* The 'a'bility command shows the menu by default; to get the old behaviour,
  use the option "ability_menu = false".
* The auto_eat_chunks option is now true by default, so hungry characters eat
  chunks while resting, travelling, and exploring.
* Allow searching for jewellery, dragon armour/hides and magical staves using
  abbreviations for their granted properties.

Technical
---------
* Compilation under Cygwin is now supported.

Stone Soup 0.16.2 (20150811)
--------------------------------------------
* Give FeEE players stones at game start.
* Display base attributes in the '@' display.
* No longer revoke Zin's sanctuary when a confused ally attacks you, and allow
  confused allies in your sanctuary to get away with attacking hostiles.
* Ranged and confused player attacks as well as the Tornado, Static Discharge,
  and Singularity spells now all break sanctuary.
* Fix a bug where players who lose the big wings mutation while flying with no
  other source of flight would continue to fly. They now stop flying and get an
  emergency flight evocation if wearing a ring of flight.
* Fix a bug where a player with the confused status could cancel accidental
  attacks when wielding a weapon inscribed with "!a".
* Fix a bug where monsters with phase shift got 8 more EV than intended.
* Fix a bug where players could take a shaft and land in inescapable areas.
* Have Dithmenos' spell-shadowing attack use the same targeting as the player
  attack that triggered it to avoid it doing things like hitting allies.
* Fix a mouse bug in the Tiles version where Ctrl and Alt modifiers would be
  set when clicking despite those keys not being pressed.
* Fix the Tiles version failing to run on OS X.
* In the Objstat debug mode for counting items and monsters, the output format
  has been streamlined to generate one file per table with data from all levels
  in each table.
* Fix a bug in Objstat where items in shops weren't counted.
* Other minor bugfixes, and cleanups to in-game descriptions and help text.

Stone Soup 0.16.1 (20150322)
--------------------------------------------
* Major bugfix release. Because of the first two bugfixes listed below, it's
  strongly recommended that all 0.16.0 users upgrade to this version.
* Fix a bug where all player melee damage was effectively doubled. This only
  affected player melee damage, not player ranged or spells, or monster damage
  at all.
* Fix a bug in sprint where controlled blink was blocked as if from the stasis
  effect.
* Artefacts with the Contam property are no longer marked as chaotic and hence
  hated by Zin, since Zin wouldn't give penance for using e.g. weapons with
  this property anyhow. There's now a warning under Zin when Contam items are
  removed, since this does incur penance.
* Monsters no longer avoid walking on shadow traps.
* Fix the build for the Android port of DCSS.
* Other minor bugfixes.

Stone Soup 0.16 (20150311)
--------------------------------------------
* New gods: Gozag Ym Sagoz the Greedy and Ru the Awakened.
* Zot Defense has been removed.

Branches, environment
---------------------
* The tides in Shoals now only shift between shallow water & land; deep water
  is neither created nor destroyed. The tides move 15 times faster than before.
* Ziggurats now only require two runes to enter, down from three.
* Every time a player clears a ziggurat (exits from the top floor, Zig:27), all
  subsequent ziggurats become significantly harder.
* A Hall of Blades area (not branch) is now guaranteed on Elf:2.
* Abyssal stairs can now appear in the Abyssal Knight starting abyss.
* Clouds of draining now require rN+++ for immunity, up from rN+.
* Clouds of miasma now apply the 'Rot' status, rather than causing rotting
  directly.
* New trap: "Shadow Trap", which summons a small group of hostile creatures
  from the local area when any non-summoned creature steps on it.
* Traps no longer care about whether the player is flying.
* The 'disarm trap' command has been removed.

Character
---------
* Demigods now gain two stats of their choice on on every third level, in
  exchange for no longer getting one random stat on every second level.
* Demigods now have innate Sustain Abilities.
* All species can now choose 'unarmed' when playing backgrounds that allow a
  weapon choice.
* Ghouls now gain as much healing from normal chunks as they previously got
  from rotting flesh, and always cure a point of rot when eating a chunk.
* Vampires now bottle blood with 'c', and can do so from the first level.
* Butchering/bottling now only takes a single turn.
* Wanderers now receive a randart spellbook instead of starting with a Level 1
  spell memorised.
* Wanderers can start with one elemental evoker or a box of beasts instead of
  a wand.
* Wanderer starting equipment is noted in the game log.
* Felids no longer have a jump-attack ability, which has been removed.
* Worshippers of Kikubaaqudgha and Nemelex Xobeh will now have titles unique
  to those gods displayed when their highest skill is Necromancy or Evocations
  (respectively).
* Gargoyles can no longer cast Statue Form.
* Removed Death Knight and Healer backgrounds.

Monsters
--------
* The Great Lords of Pandemonium (Cerebov, et al) will reappear on later floors
  of Pandemonium if their rune is stolen, unless and until they are slain.
* The Serpent of Hell is considerably tougher; it now has three heads which
  can attack and/or breathe separately, and can also summon backup.
* Mnoleg now has more and more exciting attack types.
* Mimics now cackle and vanish (forever) when discovered.
* Curse skulls now move - fast!
* Iron devils have been upgraded to rust devils, which do less damage but
  corrode with their touch.
* Insubstantial wisps are now more fragile & less numerous, but have Static
  Discharge.
* Seraphim are now considerably stronger, and have a new spellset. They can
  now (very occasionally) appear on the orb run.
* New monsters:
  - Robin of the Strong Arm, appearing in the early Dungeon. An unusually
    strong hobgoblin, with a personal army of hobgoblins and goblins. She
    happily hurls the latter at her enemies.
  - Caustic shrikes, appearing in Depths. Metallic birds that travel in flocks,
    attacking with acid-dripping claws that sear through armour & flesh alike.
  - Shard shrikes, appearing in Cocytus. Batty monsters that come in flocks and
    spit deadly ice shards at their foes.
  - Elemental wellsprings, appearing in Cocytus. They fire powerful waves of
    water which produce hostile water elementals - but deplete their own
    'health' in the process.
  - Bennu, the divine phoenix, appearing in Tomb. Attacks with draining and
    holy; when killed, explodes into ghostly flame and instantly returns to
    life (once).
  - Ushabti, funerary statues, appearing in Tomb. They exhale long lines of
    draining clouds, and rumble deeply to alert far-away foes.
  - Anubis guards, living fanatics appearing in Tomb. They're conditioned to
    be immune to torment, and breathe draining, dispel undead, and howl to
    alert other guards.
  - Death scarabs, swarming insects appearing in Tomb. They trail miasma and
    have a vampiric bite that also drains speed.
* Renamed monsters:
  - Silver statues -> obsidian statues.
  - Green rats -> river rats.
  - Orange rats -> hell rats.
  - Yellow wasps -> wasps.
  - Red wasps -> hornets.
  - Mermaids -> sirens.
  - Sirens -> merfolk avatars.
  - Meatsprint lost souls -> wretched souls.
* The Royal Jelly now leaks a large number of jellies when polymorphed.
* Ghost crabs have been moved from Crypt to Swamp.
* The "misshapen and mutated" status (from Malmutate and the new Irradiate
  spell) is now temporary, but more significant.
* Player ghosts & spellforged servitors can now have more than six spells.
* Player ghosts now have their weapon brands displayed.
* Hellwings can now cast Cigotuvi's Embrace, and start with it active.
* Xtahua's breath now creates a cloud of flames, like red draconians'.
* Tiamat can now be any colour of draconian, except grey.
* Fannar can now cast Condensation Shield.
* Frederick is now a demigod; his armour has been upgraded & his spellset has
  been tweaked.
* Sense invisibility has been simplified; monsters that had it now have see
  invisible + blindness immunity instead.
* Item-eating monsters such as jellies no longer eat items you have seen,
  except for followers of Jiyva.
* Magic immunity no longer confers confusion immunity to monsters.
* Many monsters are no longer magic immune: notably, most plant enemies, eyes,
  mummies, and angels.
* Polymorphed monsters now return to their original shapes in death.
* Liches (and ancient liches) now choose their spells randomly from a large
  set of possible spells, instead of having fixed spellbooks.
* All non-permanent summoned monsters are now unable to use stairs.

Spells
------
* New spells:
  - Singularity (L9 Translocation), which summons a singularity & sucks in all
    nearby enemies, severely damaging them in the process.
  - Gell's Gravitas (L5 Hexes/Translocation), which pulls nearby creatures
    toward the target, causing damage if they collide & occasionally confusing
    them.
  - Hydra Form (L6 Transmutation), a short-duration form that attacks all
    adjacent foes & devours slain foes for nutrition and healing.
  - Irradiate (L5 Transmutation/Conjuration), which deals heavy damage &
    malmutates nearby enemies, but also contaminates the caster.
  - Cigotuvi's Embrace (L5 Necromancy), which turns all corpses in LOS into
    armour for the player.
* Dispersal now affects a wider radius & has a chance of confusing its victims.
* Force Lance is now L4 Translocation/Conjuration, and is more accurate and
  better at knocking enemies back.
* Ice, Dragon, Tree and Fungus forms no longer meld octopode rings.
* Spell miscast effects have been hugely revamped.
* Monstrous Menagerie has had its summon cap reduced by one.
* Twisted Resurrection and Forceful Dismissal have been removed.

Items
-----
* Chunks are now only separated by edibility (normal, poisonous, mutagenic...),
  rather than source monster type.
* Rotting chunks are gone; corpses rot directly into skeletons.
* Cleaving attacks (from axes and Hydra Form) try to hit all adjacent enemies,
  rather than being blocked by walls.
* Enemy-held weapons now have their brands ID'd on sight.
* Wand changes:
  - Zapping wands that don't have their charge count identified wastes several
    charges.
  - Wand type is auto-identified on pickup.
  - Many weak wands have had their max charge count increased.
* New items:
  - Gyre & Gimble, a pair of quickblades linked by a chain; they take two hands
    to use, but each attack made with them strikes twice.
  - Shadow Dragon Armour: as heavy as Storm Dragon Armour, but has Stlth++++
    in place of rElec.
  - Quicksilver Dragon Armour: slightly heavier than Mottled Dragon Armour,
    with much better AC & MR+, but unenchantable. (Always +0.)
  - Phantom mirrors: one-use evocables that create a temporary friendly clone
    of targeted monsters.
  - The Iron Rod, which fires a spray of shrapnel in a wide arc. Extremely
    effective against agile, low-AC enemies, but ineffective against armoured
    enemies or at a distance.
  - The Akashic Record, a new high-level Translocations book.
  - Potions of ambrosia, which give substantial health & magic regeneration for
    a short period, but also confuse the user; if the confusion ends, so does
    regeneration.
* Regeneration has been moved from rings to amulets.
* Corrosion resistance can now occur on artefact armour.
* Artefact generation has been generally reworked.
* Scale mail now only has 10 ER, down from 11.
* Unrand changes:
  - The Ring of Vitality is now the Amulet of Vitality.
  - The captain's cutlass is now +5 (was +10) and can disarm enemies.
  - The Hat of the Alchemist is now -2 (rElec rPois rF rC rN MR rMut rCorr).
  - Maxwell's Patent Armour now gives rCorr rElec instead of rF+ rC+.
  - The arbalest Hellfire has had its explosion damage roughly doubled.
  - The dark maul has had both its base damage & enchantment increased.
* All food other than rations, chunks, and royal jellies now takes one turn
  to eat.
* Potions of blood no longer give nutrition for non-vampires.
* All short blades now do piercing damage.
* Weapons other than short blades & felid claws are all now equally good at
  stabbing.
* Light armour now has a small spellcast success penalty.
* Elemental evocables now charge & discharge on a type-by-type basis, rather
  than individually for each item.
* The Box of Beasts and Rod of Shadows are now considerably stronger.
* The lantern of shadows now drains MP while in use, and ceases to function
  once its wielder runs dry.
* Steel ammo no longer has a decreased mulch rate.
* Large rocks no longer have randomized range.
* Renamed items:
  - Cutlasses are now rapiers.
  - Bastard swords are now double swords.
  - Claymores are now triple swords.
  - Cloaks of darkness are now cloaks of invisibility.
* Removed items:
  - Boots of jumping.
  - Potions of confusion, porridge and coagulated blood.
  - Blessed Blades.
  - Rods of Striking.
  - Tomes of Destruction.
  - The book of Wizardry.
  - The Spear of the Botono.
  - The blowgun of the Assassin.


Cards
-----
* All characters can now evoke decks from the inventory.
* If one's god would disapprove of a card's effects, they will block the
  blasphemous effects in question as it is drawn.
* New cards.
  - Elements, which summons three beasts of the four elements.
  - Rangers, which summons two or three ranged-missile users.
  - Placid Magic, which removes all status effects and applies heavy antimagic
    to all creatures in sight, including the user.
  - Water, which creates temporary pools of shallow water & summoned elemental
    allies.
* Revamped destruction cards:
  - Storm has replaced rain and swiftness with summoning air elementals, or
    thunder clouds alongside a wind blast.
  - Pain has lost Torment and can now summon a flayed ghost to instantly apply
    its flaying effect to living targets.
  - Venom has lost Sting for earlier Venom Bolts and Poison Arrows, but at low
    power will briefly make the user vulnerable to poison.
  - Degeneration now applies a temporary malmutated effect to targets, along
    with polymorphing them to creatures with lower HD. Undead are dazed.
  - Vitriol now can provide Corrosive Bolts at higher power.
  - Orb bursts will now attempt to home on monsters they might reasonably hit.
* Revamped battle cards:
  - Potion has strictly-negative effects taken out, and will also apply its
    effects to allies if possible.
  - Blade now solely gives a cleaving status (which does not stack with the
    reaching of polearms or the original cleaving of axes, but will otherwise
    apply to all forms of weapon / unarmed attack.)
  - Helm can apply Stoneskin or Shroud of Golubria effects to allies at high
    power.
  - Elixir gives a small amount of temporary vitality to your allies, alongside
    its restorative effects to the user.
  - Shadow gives the darkness status (reduced LOS) instead of invisibility.
  - Dowsing is now significantly stronger in duration and range.
* Revamped summoning cards:
  - Pentagram now summons a more constrained set of demons (stronger at
    lower power and weaker at high power), and an additional accompanying
    hell hound, rakshasa, or pandemonium lord.
  - Dance has replaced its short swords with quarterstaves and its dire flails
    with executioner's axes. It also has a chance of summoning a randart.
  - Foxfire has lost butterflies and gained ravens.
  - Repulsiveness can now summon both an ugly thing and a very ugly thing, and
    always summons at least one friendly ugly thing if any hostiles are made.
* Revamped emergency cards:
  - Cloud surrounds all hostile monsters with varying types of clouds,
    instead of randomly scattering clouds in all valid places in sight.
  - Shaft now randomly places shafts under other monsters as well.
  - Tomb can now raise rock walls on stone stairs and deep water.
  - Velocity will always apply an overall-positive effect (with allies present).
  - Banshee now drains victims, in addition to causing fear.
  - Solitude can now cause Disjunction at high power.
* Wild Magic now affects enemies instead of the player, and restores magic for
  each enemy so affected. It has moved from the Deck of Punishment to the Deck
  of Wonders.
* Dowsing is no longer in the deck of battle.
* Decks of war have lost their set of destruction cards.
* The Cloud card has moved from decks of destruction to decks of emergency.
* Removed cards: Metamorphosis, Herd, Bones.

Gods
----
* New god: Gozag the Greedy. Gozag is a temple god, with an altar either in
  Temple or on D:2-9.
  - Charges a service fee for joining, dependent on the amount of gold that
    has been generated in the game.
  - Does not have piety.
  - Defeated enemies turn to gold; these gold piles distract nearby
    creatures, causing them to sometimes not act.
  - Potion Petition: purchase one set of potion effects. The first use is free.
  - Call Merchant: fund a merchant to set up shop somewhere near to areas
    of the dungeon you have explored.
  - Bribe Branch: send money to the inhabitants of a branch to turn them
    temporarily neutral or incite them to join you.
* New god: Ru the Awakened. Ru is a temple god, with an altar either in
  Temple or on D:2-9.
  - Periodically offers the player a choice of three permanent sacrifices in
    exchange for piety; all abilities scale with piety; piety never decreases.
  - Leaving Ru leaves all your sacrifices in place, but incurs no wrath.
  - 1*: Enemies may fail to attack you or even attack each other instead.
  - 2*: Enemies that hurt you may be punished with status effects.
  - 3*: Draw Out Power: restore health and mana to yourself, break free of webs
        and constriction, and cure confusion and petrification. Inflicts minor
        self-drain and short exhaustion.
  - 4*: Power Leap: Blinks you three tiles and deals high AOE damage at your
        destination. Inflicts medium exhaustion.
  - 5*: Apocalypse: Deals very high damage to all monsters in LOS and inflicts
        statuses. Inflicts heavy drain and exhaustion.
* All gods now treat followers' kills the same as the player's, for purposes of
  piety gain.
* Makhleb and Okawaru no longer support corpse sacrifice.
* Dithmenos now specifically hates fire; Corona and related effects are now
  permitted to Dithmenos's worshippers.
* Nemelex Xobeh:
  - Draw One and Peek at Two are no more.
  - Cards have been changed thoroughly over once more.
  - Nemelex now grants destruction decks again.
* While following TSO, enemies will no longer be distracted by your allies.
* TSO's Divine Shield no longer benefits from Shields skill.
* Zin:
 - Hell effect protection halved; now capping out at 50%, down from 100%.
 - Recite now more effective at very low Invocations.
* Elyvilon:
  - Followers can no longer pacify monsters by zapping wands of Heal Wounds.
  - Piety gain is now solely from exploration.
  - Abilities have been reworked:
    - 1*: Lesser Self-Healing (now called 'Lesser Healing')
    - 2*: Greater Heal Other (now called 'Heal Other')
    - 3*: Purification
    - 4*: Greater Self-Healing (now called 'Greater Healing')
    - 5*: Divine Vigour
* Gods that hated eating various types of creature (Beogh and the good gods)
  now hate butchering those types of creatures. Penalties for violating these
  conducts have been raised significantly.

Interface
---------
* Some effects (Shatter, banishment, etc.) now display animations.
* Monster AC, EV, and MR are now displayed as bars in their descriptions.
* Monster spell descriptions can now be examined through their descriptions, in
  the same way as books & rods.
* Odds of hex success is now displayed when targeting monsters, or when
  examining their spells.
* The screen now flashes on attempting to autoexplore with monsters in view,
  indicating where the relevant monsters are.
* Stealth is now displayed as a bar in the % screen. (The old 'stealth words')
  are still visible with @.)
* A third page has been added to the god description (^) screen, listing causes
  and effects of divine wrath.
* Xom now has a 'mood' meter, in the same place other gods have piety meters.
* Control-direction no longer tries to open or close doors.
* Derived undead (zombies, skeletons, &c) now have their full names displayed.
* Corrosion now visibly (temporarily) reduces weapons' enhancement bonuses.
* Monsters no longer appear on the minimap.
* The weapon, species, and background options allow these aspects to be
  specified in the init file, causing one to be randomly selected; a new combo
  option allows entire sets of the above to be specified, again with one being
  randomly selected.
* Added explore mode, which is a limited version of wizard mode, where the
  only benefit gained is the inability to die. No extra information is
  displayed (like in wizard mode), and no extra commands are available. As
  with wizard mode, explore mode games are not scored. Enter explore mode
  using '+'.
* ?/ has been generally improved, and a new ?/c(L)oud lookup has been added.

Stone Soup 0.15.2 (20141018)
----------------------------
* Assorted crash fixes, bug fixes, and display cleanups.
* Always weight formicid weapon acquirement towards two-handed weapons.
* Allow in-game updates to the mon_glyph option to change the glyph.
* Allow the option syntax of mon_glyph = <mon1>:<mon2> in order to set the
  colour/glyph of one monster using the base values of another monster.
* In tiles, the tile_player_tile option allows you to specify an arbitrary
  monster tile to display for your character. The options tile_weapon_offsets
  and tile_shield_offsets can be used to adjust the player weapon and shield
  location when using these custom tiles.
* For use with tile_player_tile: the old orb guardian tile, a new monster
  vampire tile, and weapon/shield offsets for various monster tiles.

Stone Soup 0.15.1 (20140915)
----------------------------
* Assorted crash fixes.
* Monsters don't benefit from player throwing skill.
* Monsters no longer flee at random on re-entering a level after a short time.
* Several messages correctly no longer appear for out-of-sight monster
  actions.
* Dithmenos' stealth bonus works properly again.
* Several spell icons that missed the initial 0.15 release.

Stone Soup 0.15 (20140828)
--------------------------
* New god: Qazlal Stormbringer.
* Nemelex Xobeh and decks in general have had many changes.
* Ranged combat has been rewritten from the ground up.
* Inventory weight limits have been removed.
* Item destruction is no more, and corrosion has a more severe but
  temporary effect.

Branches, environment
---------------------
* The Hall of Blades has been cut.
* Crypt is now three levels (was five).
* Some areas of the Tomb layout can now vary.
* Mechanical traps no longer drop ammo.
* Most randomly-placed teleport traps now disappear after one use.
* Troves asking for items require that item to be unequipped.
* The Abyss no longer sometimes blocks blinking.
* Mutagenic fog now causes large amounts of glow instead of mutating directly.

Character
---------
* Inventory item weight and player burden states are no more.
* Cross-training now gives a direct bonus to cross-trained skills, rather than
  decreasing the XP cost of learning them.
* Anti-training (for opposite elemental schools) has been removed.
* Formicids can no longer throw large rocks.
* Tengu now gain permaflight at XL14 (was 15).
* All non-undead forms can eat and drink normally.
* All forms can butcher.
* Wisp form can read scrolls and cannot blink on demand.
* Teleportitis cannot be controlled.
* Wanderers have tweaked starting kits with generally better items.
* Player clinging (seen only in Spider Form and with the boots of the Spider)
  is no more.
* Kobolds, hill orcs, and ogres are no longer saprovorous.
* Kobolds no longer have disease resistance.
* Halflings have rebalanced stats and aptitudes, shifting them towards defense.
* Ogres and centaurs no longer have a fast metabolism; halflings no longer
  have a slow metabolism.
* Centaurs are no longer herbivorous.
* Vampires:
  - always get the full effect of all potions;
  - can always mutate; and
  - always get the full effect of all mutations.
* Some Demonspawn mutations have been modified:
  - The Foul Stench facet gives rot immunity earlier and separately instead of
    saprovore.
  - Facets which gave potion/scroll item conservation now give freezing/fire
    cloud immunity earlier and separately.
* The hoof mutation no longer gives extra damage or a stealth penalty for
  players wearing boots.
* Player rPois now gives a consistent 2/3rds resistance to poison effects; this
  is lower than the previous resistance to poisoning, but higher than the old
  resistance to direct poison damage. "Strong poison" effects no longer punch
  through rPois, and paralytic stings (wasps) can now slow through rPois.

Monsters
--------
* Many enemy glyphs have been adjusted. See 0.14_monster_glyphs.txt.
* Monsters will no longer pick up items that the player has seen. Allies won't
  pick up items at all.
* Corrosion affects all of your equipment, but only temporarily, and the chance
  to corrode equipment does not consider item enchantment.
* Draining effects no longer permanently reduce monsters' stats ('hit dice');
  instead, they apply a temporary status which reduces hit dice for the
  duration.
* Monsters no longer fall asleep after long periods of time.
* New monster: ghost crabs, found in Crypt. They breathe ghostly flames that
  call dangerous specters into existence.
* New monster: torpor snails, found in Lair and Spider. Their enemies are
  slowed on sight, somewhat like ancient zymes.
* Enemies are more intelligent about using area-of-attack spells such as
  Symbol of Torment and Chain Lightning even when you are not in sight.
* Komodo dragons now bite harder but don't sicken the player.
* Purple ugly things deal extra damage in lieu of a sickness attack.
* Deep dwarf death knights are now just death knights.
* Manticores now move as fast as the player, and have an unlimited number of
  spike volleys.
* Base draconians can become nonbase draconians with experience.
* Undead and nonliving enemies regenerate as fast as other enemies.
* Silver statues and orange crystal statues are immune to disintegration,
  but have less health and AC and have their abilities converted to spells
  such that they spam less; this implies OCS confusion can be resisted.
* Bog bodies no longer randomly rot.
* Undead monsters will now fall to pieces in deep water, instead of hiding
  invisibly.
* Curse skulls are now immobile, again.
* Lost souls now make enemies into ghosts instead of specters.
* Spriggan riders now ride wasps.
* Ugly & very ugly things are now dramatically nastier.
* Cherub's hymns can buff any allies, not just those with higher HDs.
* Killing holy monsters no longer invokes cleansing flame on the perpetrator.
* Ghouls and necrophages can no longer equip weapons or armour.
* Mimics no longer mimic doors, statues, fountains or hatches.
* Each unique now has a special title, shown when you first see them or in the
  description screen.
* Removed enemies: vapours, thorn lotuses, giant goldfish, silver stars,
  flaming corpses, grizzly bears, spriggan enchanters, phoenixes, shedu,
  plague shamblers, giant slugs, elephant slugs, giant fireflies, brown oozes,
  pulsating lumps, big fish, sharks, lava worms.

Spells
------
* Dazzling Spray replaces Invisibility in the book of Maledictions (the
  Enchanter starting spellbook). Invisibility in turn replaces Apportation
  in the book of Burglary.
* Casting Ozocubu's Refrigeration now prevents the player from using potions
  for several turns instead of destroying potions.
* Spider Form now moves at normal speed, and no longer gives clinging.
* Tukima's Dance now animates weapons held by monsters. The weapons will fight
  against their former owners. It is also now level 3.
* Confusing Touch now has a short, non-stacking duration which discharges
  entirely when it successfully confuses an enemy. While it's in effect, your
  attacks do no damage. It's been moved to level 2.
* Sublimation of Blood no longer uses chunks; it now only draws from the
  caster's HP. Fedhas now permits its use.
* Simulacrum now works on a single corpse at the caster's feet, creating
  several simulacra from it.
* Monsters casting Simulacrum now affect all corpses in LOS, producing half as
  many simulacra as the player version of the spell.
* Many spells, which used player skill, now use spellpower instead: Death's
  Door, Passwall, Sticks to Snakes, Ozocubu's Armour, Condensation Shield,
  Stoneskin, Statue Form, and Ice Form.
* Shatter is now always full-LOS-ranged, instead of depending on Earth skill.
* Statue Form no longer gives -10 EV.
* Death Channel lasts twice as long.
* The Book of War Chants is no more.
* Removed spells: Fire Brand, Freezing Aura, Lethal Infusion, Poison Weapon,
  Summon Elemental.

Items
-----
* Item destruction is no more.
* Ranged combat has been rewritten based on melee attacks - AC and EV
  has more of an impact, attack delay is more predictable, and Throwing
  should be more viable as a ranged option as compared to bows and crossbows,
  among other changes.
  - Slings have been split into two weapon types; the basic type has been
    renamed to 'hunting sling', and a new, rare 'greatsling' has been added.
  - Crossbows have been split into three types. The hand crossbow returns as
    a starting weapon; the basic crossbow has been renamed to an 'arbalest';
    and a new, rare 'triple crossbow' type has been added.
  - (Plain) bows have been renamed to shortbows.
* Weapon enchantment & slaying bonuses have been merged into a single number,
  giving both +accuracy & +damage. Scrolls of enchant weapon I, II, and III
  have all been merged into a new "enchant weapon" scroll. The scrolls are
  rarer, but always succeed.
* Shields have been rebalanced. All non-shield-enchantment sources of SH have
  been halved, and the effectiveness of SH at blocking attacks has been
  doubled, to make the utility of a point of SH roughly equivalent to a point
  of EV. In effect, this is a small buff. Non-bucklers can now be enchanted
  past +3.
* Multiple changes to unrandarts:
  - The blowgun of the Assassin returns; it has a chance to affect the target
    more than normal blowguns.
  - New unrand: the +8 orange crystal plate armour {Archmagi, Int+3 Clar
    SustAb}.
  - New unrand: the +6 Majin-Bo {vamp, Archmagi, MP+6 Int+6}. A quarterstaff
    that takes HP every time you cast a spell.
  - The dagger of Chilly Death now sometimes flash-freezes enemies, slowing
    their movement, and the scimitar of Flaming Death now sometimes applies
    sticky flame to its victims.
  - Leech is now +8, with -2 to all stats (instead of -1), and -2 to both AC
    and EV.
  - Skullcrusher is now +3 with +7 strength.
  - The Trident of the Octopus King now starts at +8 and gets an additional +
    for each Ring of the Octopus King worn. If anyone reads this & gets it to
    +10 or higher in an actual game, send screenshots!
  - Punk is now a +7 greatsling {Freeze, rC+}.
  - Sniper is now a "heavy crossbow", a triple crossbow with 27 base delay.
  - The Mace of Brilliance is now the +1 Eveningstar "Brilliance".
  - Many other weapon artefacts have had their enchantments tweaked.
  - Maxwell's Patent Armour now gives rF+ rC+ instead of Conservation.
  - The Shield of Resistance, Shield of the Gong, and Large Shield of Ignorance
    have had their enchantment levels adjusted.
  - Removed unrands: the boots of the Spider.
* Branding changes:
  - Scrolls of brand weapon will no longer make temporary brands permanent,
    but can now randomly apply any brand to an unbranded weapon.
  - Blessed weapons can be rebranded.
  - Rebranding a distortion weapon no longer causes a distortion effect.
  - Branded non-artefact weapons can now be given a temporary re-brand.
  - Damage from the electrocution brand has been reduced slightly.
  - Draining now triggers somewhat less often, but will cause monsters to be
    temporarily drained whenever it does fire.
  - The dragonslaying brand is no longer generated. (Wyrmbane still has it.)
* Food changes:
  - Honeycombs have been renamed to royal jellies; they don't restore
    abilities.
  - Potions of blood cure a point of ghoul rotting.
  - All types of fruit have been merged together into one gooey, messy item
    type.
  - Brown (contaminated) chunks are gone, replaced with normal ones.
  - Cheese, sausages, and ambrosia are no more.
* New item: potion of cancellation, which removes enchantments & contamination
  on the player.
* Scrolls of vulnerability have been simplified; they now just halve MR for all
  creatures in LOS.
* Cancellation-type effects (from the potion, quicksilver dragons, etc) now
  reduce transformation durations to one turn, rather than cancelling them
  immediately.
* Identify scrolls now always identify a single item.
* Jewellery automatically identifies once equipped.
* Amulets of inaccuracy are always cursed.
* New rings of stealth and loudness, which positively/negatively adjust
  a player's stealth.
* Amulets of rage no longer have a tiny chance of extending berserk duration.
* Sacks of spiders now place webs directly onto enemies, rather than spreading
  them randomly around the area.
* Cleaving hits the full eight squares around a player, when not blocked by
  walls.
* Putting on or taking off armour now always takes five turns.
* Scrolls of magic mapping now show 100% of the map.
* Gloves of archery no longer penalise melee.
* Sustain abilities effects no longer stack.
* Amulets of resist corrosion now give only 50% corrosion resistance, from 90%.
* Potions of resistance now grant corrosion resistance.
* Staves of air now activate extra melee damage as often as other elemental
  staves.
* Flying creatures no longer have a 2/3rds chance of dodging thrown nets.
* Weapons and armour which aren't visibly enchanted no longer have enchantments
  higher than +0.
* Corpses and skeletons are stationary, and can't be picked up nor apported.
* Other removed items: darts, rings of hunger and sustenance, amulet of
  conservation, cloak of preservation, potions of strong poison and paralysis.

Cards
-----
* New cards.
  - Fortitude, which gives Damage Shaving and a bonus to strength.
  - Storm, which can make shallow water, a tornado, or cause swiftness.
  - Cloud, which spawns dangerous clouds around the user and on hostiles.
  - Degeneration, which polymorphs nearby monsters into weaker ones.
  - Shaft, which creates a shaft under the player. This is an old effect of the
    Flight card.
  - Illusion, which summons an illusion of the player.
* Revamped cards.
  - Velocity card now hastes the slow and slows hasty rather than simply
    speeding up the player.
  - Potion card has a new list of effects.
* The Mercenary card can generate base demonspawn instead of spriggan riders.
* Decks of war now contain the Dowsing and Potion cards.
* Decks of dungeon are no more.
* Removed cards: Experience, Sage, Water, Vitrification, Trowel, Minefield,
  Shuffle, Warp, Portal, Frost, Flame, Spark, Flight, Battlelust, and Genie.

Gods
----
* New god: Qazlal Stormbringer. Qazlal is a temple god, with an altar either in
  Temple or on D:2-9.
  - Piety on kills.
  - All followers are immune from their own clouds.
  - 1*: Storm Shield: you passively generate elemental clouds around you and
        gain bonus SH, and gain RMsl at 3*; you also generate a lot of
        noise.
  - 2*: Upheaval: blast a small nearby area with elemental forces.
  - 3*: Elemental Force: turn nearby clouds into elementals.
  - 4*: Elemental Adaptation: taking elemental or physical damage sometimes
        temporarily grants you resistance against that element.
  - 5*: Disaster Area: blast the entire area around you with elemental
        forces.
* Nemelex has been revamped.
  - Nemelex only gives piety for exploration rather than item sacrifices or
    deck usage.
  - Peek at Two now reveals the top cards of a deck but cannot be used with
    other Nemelex abilities.
  - Nemelex now only gifts decks of war and escape.
  - Various cards have been changed, added, or removed. See the Cards section
    for details.
* Beoghites can now gift items directly to their followers at high piety.
* Beogh will now improve allies' equipment, and outright gift weapons, armour,
  and ammo to orcs who lack them.
* Followers of good gods no longer get a chance to turn holy enemies neutral.
* Zin's Recite no longer prompts for a book, instead affecting all monsters
  in sight with the strongest effects that would impact them.
* Ashenzari now counts Felids as fully bound when all of their jewellery slots
  are cursed.
* Sif Muna wrath can no longer cause amnesia.
* Gods that give missile gifts can do so sooner.

Interface
---------
* Monsters with special melee attacks (e.g. poison, fire) have this noted in
  their descriptions.
* Unique enemies are now announced by their proper titles when first appearing.
* Ctrl-T now displays the weapons that enemies are carrying, in console.
* New tile_show_player_species option; when enabled, uses the monster tile
  instead of the player race one.
* Ability and spell icons have been reworked.
* There are status lights for Might, Agility, and Brilliance.

Stone Soup 0.14.2 (20140827)
----------------------------
* More crash fixes.
* Some text fixes.
* Transformations no longer allow the character to wield too-large weapons.
* The tutorial skill screen now allows skills to be toggled again.
* Artefact and non-artefact rings are now distinguished properly when swapping
  rings.

Stone Soup 0.14.1 (20140428)
----------------------------
* Several crash fixes.
* Fire dragons correctly grant bonus Dithmenos piety.
* Ranged attacks from invisible monsters correctly turn off autopickup.
* Good gods punish the player properly for negative energy clouds.
* Natasha no longer revives after being pacified, and does not get a new
  item when reviving.
* When playing a race with permanent flight ability, it is now possible to
  remove an item granting flight over dangerous terrain.
* Wanderers do not occasionally get more MP than other backgrounds.

Stone Soup 0.14 (20140409)
--------------------------
* The lower half of D is now a new branch, the Depths.
* Two new species: Formicids and Vine Stalkers.
* A new deity: Dithmenos the Shadowed.
* Greatly revised monster sets in the Lair branches.
* Greatly revised summoning spell sets.

Branches, environment
---------------------
* The main Dungeon is now fifteen levels.
* A new branch: the Depths; entered from the end of Dungeon, it is five levels
  long and contains the entrance to the Realm of Zot.
* The Vaults are now entered from D:13-14 and need a rune to enter.
* Abyssal stairs appear more frequently, and are fixed with depth.
* Ziggurats require only three runes to enter; an entrance is guaranteed
  in Depths, but still spawn as normal in Pan.
* Portals are no longer closed when carrying the Orb of Zot.
* The Horn of Geryon is no longer necessary for entering Hell branches.
* Labyrinths contain more enemies, and the minotaur is normally awake.
* More Ziggurat enemy sets.
* Crypt endings now contain some pieces of thematic loot: draining and/or
  pain and/or vampiric weapons, rings of positive energy and amulets of
  warding, one of several unrands, the Necronomicon, or evokers/staves.
* Easy ice cave portals now appear only in D, Lair, and Orc; hard ice cave
  portals appear in Elf and rotating Lair branches.
* Portal timers have been generally shortened and made more consistent with
  each other; additionally, the shorter timer started upon first seeing them
  has been removed.
* The layout of the last level of the Vaults has been changed, with all four
  subsections being open at each corner.
* Gadget shops and wand shops have been merged; the resulting gadget shops
  now also sell rods.
* The price of items in shops has been recalibrated.
* Pandemonium exits occur more frequently as the player obtains runes from
  Pandemonium.

Character
---------
* New species:
    - Formicids possess four strong arms to use large weapons together with
      shields, in addition to strong natural digging abilities and a permanent
      stasis effect.
    - Vine stalkers regenerate quickly, but cannot heal with wands or
      potions; they possess innate spirit shield and an anti-magic bite.
* Felids have an innate jump attack ability, allowing them to jump over
  other monsters and attack their target in a single turn.
* Felids can use wands.
* Demonspawns' negative energy facet has the second level of rN replaced by
  "black mark," which gives melee attacks a chance to heal the player and apply
  a bad status to the victim.
* The first two levels of the slow healing mutation only affect rates of
  healing when enemies are in sight (half and no healing for those levels
  respectively). Stat regeneration and the third level of the mutation
  are unchanged.
* Fast/slow movement mutations no longer occur randomly.
* Recommended backgrounds and species have been adjusted; in particular,
  backgrounds can recommend species that don't necessarily recommend that
  background and vice versa (e.g. CK -> Tr may be recommended whereas Tr -> CK
  is not).
* Poison damage is now deterministic.
* The antennae mutation gives invisible monster indicators for every invisible
  enemy in LOS.
* Merfolk can now be mesmerised by mermaids and sirens.
* Artificers, Wanderers, Assassins, and Venom Mages no longer start with
  knowledge of potions and scrolls they don't possess.
* Fighters and Gladiators start with higher-tier weapons.
* Fighers start with a potion of might.
* Demonspawn icemail now restores all at once, instead of gradually, and is
  not disrupted by casting fire spells.

Monsters
--------
* Guardian serpents no longer have Teleport Other; instead they get
  Blink Allies Encircle.
* Lom Lobon can now cast Tornado.
* The plain "dragon" is now known as "fire dragon".
* Dragons, drakes, crabs, and acid blobs no longer flee at low health.
* Jellies once again split.
* Monsters are subject to summon caps.
* Summoned creatures are dismissed upon the death of their summoner.
* Word of Recall is now subject to a breath timer, and can be interrupted
  by causing a breath timeout (with e.g. curare).
* Minotaurs appearing naturally outside of labyrinths now come with
  equipment.
* Abominations don't heal naturally; those created from spells can heal
  by melding further with crawling corpses and macabre masses.
* New enemies:
    - Fauns, who hex the player before attacking from afar, and their larger
      brethren satyrs, who can empower their nearby allies.
    - Wind drakes, who can breathe powerful blasts of wind and airstrike the
      player.
    - Thorn lotuses, plants adrift on the water that pepper the player with
      thorns fired from afar.
    - Thorn hunters, who fire volleys of thorns and create briar patches to
      impede their foes' movements.
    - Dryads, who turn the forest against you by casting Awaken Forest like
      spriggan druids and summoning snaplasher vines that pull their enemies
      around.
    - Water nymphs, who passively form a pool of water around themselves
      and strike down the player with said water.
    - Shambling mangroves, slow-moving, tough plants home to a nest of ravens
      or wasps.
    - Raiju, which can attack by transforming themselves into a bolt of
      lightning.
    - Worldbinders, abyssal enemies which summon low tier enemies from other
      branches.
    - Shock serpents, who build up electrical energy for a static discharge;
    - Mana vipers, snakes with an antimagic bite;
    - Naga sharpshooters, who snipe at the player with Portal Projectile;
    - Naga ritualists, who can amplify poison in enemies and also cast
      Olgreb's Toxic Radiance;
    - Salamander mystics, with Bolt of Magma, Haste Other, a single-target
      version of Ignite Poison, and Iskenderun's Mystic Blast;
    - Salamander firebrands, whose attacks cause a ring of flames to appear
      around the target.
    - Octopode crushers, who can throw both the victims they constrict as well
      as icicles.
* A new set of enemies based on demonspawn, appearing in Pan.
    - Base types:
        - monstrous (auxiliary attacks and more HP);
        - gelid (rC++ and icemail - bonus AC which dissipates on fire damage);
        - infernal (rF++ and fire attacks);
        - putrid (rPois, gains HP on nearby kills);
        - torturous (augmentation, powered by pain, and spines).
      - Classes:
        - blood saint (Legendary Destruction, which casts random powerful
          conjurations, and Ephemeral Infusion, which temporarily heals
          nearby allies);
        - chaos champions (Chaotic Reflection, which inflicts a random hex-like
          effect on itself and the target, and Random Bolt as per the rod
          of destruction);
        - warmongers (Grand Avatar, essentially a hybrid battlesphere and
          spectral weapon which triggers on sufficiently damaging attacks of
          nearby allies, and Sap Magic, a hex which hinders spellcasting success
          progressively as spells are cast);
        - corrupters (Plane Rend, which summons high tier enemies from other
          branches, and Corrupt Body, which inflicts a small set of temporary
          mutations);
        - black suns (Black Mark, which empowers nearby allies with various
          draining attacks that heal on hit, and previously existing spells
          Bolt of Draining, Malign Offering, and Dispel Undead).
* Adjustments to lair branch enemies:
    - Spriggan druids' Druid's Call now calls 2-3 creatures out of LOS nearby
      and does not invisibly might creatures; instead, nearby creatures
      are healed and frenzied on their death. Stone Arrow also replaces
      Sunray in their spell set.
    - Siren songs' pulling effects are now irresistible if the player is
      already mesmerised.
    - Siren songs call drowned souls, weak temporary enemies with a drowning
      attack.
    - Manticores' spines now embed themselves in targets, causing damage while
      moving until a few turns is spent doing nothing to remove them.
    - Harpies no longer steal food or eat food off of the ground.
    - Plain salamanders have been weakened, and all salamanders can slither
      around on land.
* Adjustments to other enemies:
    - Quokkas are speed 12 (making them effectively identical to grey rats).
    - Boggarts are more durable.
    - Rakshasas gain a monster spell "Phantom Mirror", which summons
      a clone of a nearby allied monster with half the hit points, with
      a 50% chance of swapping the clone for the original; this replaces
      their previous self-cloning abilities. They can now also cast
      Iskenderun's Mystic Blast and will summon two clones of themselves
      at 50% HP as a one-time effect.
    - Giant orange brains get Mass Confusion instead of Confusion.
    - Spriggans in general now merely have fast movement speed instead of
      fast speed in general, more damage and less EV.
    - Spriggan air mages have Haste (replacing Shock).
    - Deep elf demonologists summon more greater demons instead of minor
      demons.
    - Draconian knights have fewer but distinct spell sets focusing on
      ice and necromancy.
    - Gargoyles and molten gargoyles now have Stone Arrow and Bolt of
      Magma respectively, and generate with mace-type weapons.
    - Metal gargoyles are now war gargoyles - fast and with the ability to
      fire metal fragments at targets.
    - Crystal golems are now crystal guardians - less health, but with the
      ability to fire crystal bolts that bounce off of all walls and deal
      either fire or cold damage on a per-bolt basis.
    - Ravens and eldritch tentacles no longer eat corpses.
* New uniques:
    - Asterion, a minotaur of Makhleb who flings Major Destruction and
      can employ Spectral Weapon with his demon weapon;
    - Natasha, a felid ex-familiar with minor spellcasting abilities;
    - Vashnia, leader of a squad of naga sharpshooters with translocational
      ability to match.
* Moths of suppression, rock worms, lava fish, lemures, jellyfish, grey rats,
  spiny worms, giant amoebae, deep dwarf berserkers, agate snails, giant
  centipedes, rotting devils, clay golems, and stone golems are no more.
* Ball lightnings are no longer permanently confused, instead seeking out
  targets like giant spores.
* Killer Klowns have a different set of possible damage brands: strong
  poison, pain, drain speed, fire, cold, electric, and anti-magic.
* Flying enemies are no longer immune to throwing nets.
* Geryon can fly once again.
* Antaeus gains Flash Freeze, an ice conjuration which impedes the target's
  movement for three turns.
* Player ghosts can retain and cast dazzling spray, which has a chance to cause
  a confusion effect against the player.
* All pandemonium lords now see invisible.
* The Enchantress now appears as a normal unique in the Depths.
* Josephine has a new spell set - Ghostly Fireball, Dispel Undead, Vampiric
  Draining, and Animate Dead - and rN+++.
* Lamia has been de-throned.

Spells
------
* Resisting an enchantment now displays a message showing how difficult in
  general the target will be to enchant, rather than how well or how poorly
  they fared on that particular resistance roll.
* New spells:
    - Summon Lightning Spire (L4 Summoning/Air), which places a lightning
      spire up to two squares away from the player; it replaces Summon
      Scorpions in the book of Callings.
    - Summon Guardian Golem (L4 Summoning/Charms), which creates a golem
      that protects the player with Injury Bond and occasionally explodes
      on death; appears in the book of Callings.
    - Summon Forest (L5 Summoning/Translocations), which summons a dryad
      and temporarily converts terrain near the player to forest; it
      is in the Book of the Warp.
    - Summon Mana Viper (L5 Summoning/Hexes); it appears in the Book of
      Beasts.
    - Monstrous Menagerie (L6 Summoning), which summons a manticore, some
      harpies, a lindwurm, or a sphinx (at high spellpower); it appears in
      the book of Beasts and the book of Summonings (replacing Summon
      Ugly Thing).
    - Forceful Dismissal (L6 Summoning), which ends all player summons
      and damages enemies next to them; it appears in the Grand Grimoire.
    - Aura of Abjuration (L6 Summoning), a less powerful but per-turn mass
      abjuration effect; it replaces Mass Abjuration in the Grand Grimoire.
    - Spellforged Servitor (L7 Conjuration/Summoning), which summons a
      servitor with a subset of the player's most destructive conjurations;
      it replaces Fireball in the book of Wizardry.
    - Glaciate (L9 Ice/Conjurations), which fires a great blast of ice in
      a cone, turning slain monsters into blocks of ice and Flash Freezing the
      survivors; it replaces Ice Storm in the Book of Annihilations.
    - Dragon's Call (L9 Summoning), which for its duration of effect summons
      dragons near targets at the end of LOS (at the full spell cost per
      summon); replaces Summon Dragon in the Book of the Dragon.
* Sticks to Snakes only works on missiles (arrows and javelins) now.
* Conjure Ball Lightning has been reduced from level 7 to 6, and the
  duration of the ball lightning has been lowered.
* Metabolic Englaciation has been reduced from level 6 to 5, and the slow
  duration is cumulative across casts.
* Bolt of Draining has been reduced from level 6 to 5.
* Fulminant Prism has been reduced from level 5 to 4.
* Iskenderun's Battlesphere has been increased from level 4 to 5.
* Ozocubu's Armour now has an encumbrance cap of 4, rendering it no longer
  usable with mottled dragon armour.
* Song of Slaying has an increased duration and grants more slaying, but
  is subject to a lower power cap.
* Swiftness now induces a period of sluggishness after it expires, and
  can't be stacked.
* Several special cases for LRD damage types have been removed; ice, bone,
  stone and rock (including petrified enemies) all result in the same
  explosion.
* Orb of Destruction now only appears in the Book of Power (was also in
  Annihilations).
* Call Canine Familiar now only summons one canine, and does not summon
  jackals.
* Repel and Deflect Missiles now expire on a per-deflection basis rather than
  being a duration.
* Portal Projectile is now a duration, rather than firing individual
  projectiles.
* All clouds caused by the player will dissipate much faster outside of your
  line of sight.
* Orbs of destruction don't explode if they collide with another orb of
  destruction before travelling more than a short distance.
* Removed spells: Dig, Summon Scorpions, Song of Shielding, Polymorph, Ice
  Storm, Demonic Horde, Summon Ugly Thing, Summon Dragon, Mass Abjuration.

Items
-----
* The Orb of Zot no longer takes up an inventory slot.
* Weapons are identified immediately on wield.
* Wands are identified immediately on zapping.
* Elemental evokers now recharge one at a time, with the one closest to
  full recharging charging first.
* Items on the ground are no longer subject to item destruction.
* Mottled dragon armour now has an encumbrance rating of 5 (was 4).
* The jumping ego (available only on boots) gives a jump attack ability
  like that of felids.
* The reaching brand for whips is no more.
* Enchantment-like effects of chaos projectiles are now irresistible.
* Spears, daggers, clubs, and hand axes are no longer good for throwing.
* New "tomahawk" item: a throwing missile, usable by all non-felids, between
  darts and javelins in damage.
    - Small race hunters and arcane marksmen may select tomahawks.
* New "potion of lignification" - induces tree form.
* Small species can use throwing nets.
* Throwing nets do not degrade: instead, they have a chance to be destroyed
  like other projectiles.
* Multiple changes to unrandarts:
    - Piercer gets the penetration brand (was vorpal).
    - Boots of the Assassin return in a new form: they now detect monsters and
      allow short-blade-quality stabbing with any weapon (or unarmed).
    - Hellfire now shoots hellfire bolts, dealing hellfire-branded damage and
      exploding.
    - The Elemental Staff is reworked considerably - it grants rElec, rF++,
      rC++, MR++, AC+5, and randomly deals elemental-branded attacks based
      on the user's Evocations skill.
    - The skin of Zhor now grants rC+++.
    - Leech drains HP on all hits (instead of 3/5 for other vampiric weapons).
    - Sniper is now a +15 vorpal crossbow with a slower rate of fire.
    - Snakebite is now a +5 venom whip that applies a curare effect on two out
      of five hits.
    - The Singing Sword is now a bastard sword.
    - The shield of the gong is now +27 with -5 EV.
    - The ring of Shadows now has an umbra instead of +4 EV and -4 Acc.
    - New unrand: "macabre finger necklace" - gives warding and an extra ring
      slot.
    - New unrand: "boots of the Spider" - gives clinging and jump attack.
    - New unrand: "dark maul" - a very large, very slow two-handed weapon using
      the Maces and Flails skill.
    - New unrand: "hat of the High Council" - spellpower at the expense of
      spell success rates.
    - New unrand: "arc blade" - a cutlass which inflicts discharges of static
      electricity on targets it hits.
    - New unrand: "Spellbinder" - an antimagic demon whip which inflicts
      miscasts on magic-using targets.
    - New unrand: "lajatang of Order" - does silver damage (like the ammunition
      brand) and grants resistance to mutation.
    - New unrand: "Firestarter" - a +7 great mace {flame, rF++} which protects
      scrolls from fire damage and inner flames targets it hits.
    - The blowgun of the Assassin, Bullseye, and Lehudib's Crystal Spear (the
      unrandart) are gone.
* Potions with known type that would have no effect can no longer be quaffed
  at all.
* Potions other than potions of porridge and blood no longer give nutrition.
* All gauntlets and bracers are now gloves.
* All caps and wizard hats are now plain "hats".
* Great maces deal slightly less damage and are much less available than
  before.
* All scrolls now identify on read.
* The last healing potion is automatically identified assuming knowledge that
  it is a healing potion.
* Magical penetrating projectiles now pierce shields.
* Ponderous items reduce movement delay by -1 (was -2), to match running
  items.
* Electrocution weapons no longer cause discharges on targets in water.
* Wearing body armour / rings no longer requires removing cloaks / gloves
  first.
* Scrolls are destroyed less frequently by sticky flame.
* Gold dragon armour, crystal plate armour, and plate armour have had their
  encumbrance ratings reduced (27 -> 25, 24 -> 23, and 19 -> 18 respectively).
* The speed brand now grants 2/3 weapon delay and no damage reduction (was
  1/2 delay and 10% damage reduction for melee weapons).
* Racial equipment is no more.
* Many changes to rods:
    - The rod of destruction now fires random bolts instead of having a pre-set
      selection.
    - New rod: rod of ignition, which fires a bolt that explodes a fireball on
      every target hit in a line.
    - New rod: rod of shadows, which summons Shadow Creatures from a depth in
      the dungeon roughly equivalent to the user's skill with Evocations,
      drawing out-of-depth spawns after 15.
    - New rod: rod of clouds, which creates various clouds based on power,
      with high skill giving several new types of clouds.
    - The rods of warding, venom, demonology, fiery destruction, and frigid
      destruction are gone.
* The Horn of Geryon has been reworked into an XP-charged evokable, summoning
  1-4 hell beasts whose friendliness depends on evocations power.
* Renamed items:
    - Sabres are now cutlasses (and the captain's cutlass has been adjusted to
      match);
    - Double swords are now bastard swords;
    - Triple swords are now claymores;
    - Potions of speed are now potions of haste.
* Scrolls of vulnerability are now more common.
* Curse scrolls and potions of blood no longer randomly generate.
* All curse scrolls now accept targets (as though the player was worshipping
  Ashenzari in previous versions).
* Magic resistance-granting items now grant fixed increments of magic
  resistance (indicated on the % screen).
* Removed potions of slowing.

Cards
-----
* The Elixir card now heals over time instead of instantly.
* The Alchemist card is in decks of escape, but not wonders.
* The Bargain card has been removed.
* The Trowel card is in decks of wonder and only creates portals.
* The Battlelust card now deals primarily in might and agility at high power,
  with the delayed berserk effect now occurring at lower power.

Gods
----
* A new deity: Dithmenos the Shadowed.
  - A temple god; guaranteed an altar in Temple or somewhere on D:2-9.
  - Accepts kills of most dungeon enemies, particularly those associated
    with fire or light.
  - Dislikes use of fire and light.
  - 1* piety grants an umbra which expands with piety.
  - 2*: Shadow Step - step adjacent to an immobile target creature no further
    away than your umbra.
  - 3* piety causes the player to occasionally bleed smoke on taking
    sufficient damage.
  - 4*: Shadow Mimic - the player's shadow sometimes mimics melee and ranged
    attacks and targeted spells (so long as they're not self-targeted).
  - 5*: Shadow Form - invisibility, resistance to many effects associated
    with darkness and 50% damage resistance at the expense of skill drain,
    a 50% reduction in melee damage output and significant reduction in
    spell power.
* Gods no longer forgive the player for disliked effects of known wands
  of random effects and weapons of chaos.
* Trolls of Cheibriados hunger considerably more slowly.
* Cheibriados' Bend Time is available to all followers (was 1* ability).
* Zin and Okawaru no longer care about the deaths of allies.
* Okawaru no longer suppresses the demonic guardian Ds mutation.
* Xom effects respect clarity and sustain abilities.
* Xom's confusion now caps at 20 turns.
* Zin's Recite shows what will be affected by all of the relevant recitations.
* Lugonu followers no longer suffer distortion unwield effects.
* Yredelemnul gifts vampires instead of freezing wraiths.
* Yredelemnul armies have a maximum combined total of three profane servitors
  and bone dragons.
* Yredelemnul's servants are no longer angered when read-identifying a scroll
  of holy word.
* Nemelex no longer gifts decks of dungeons, and deck gift types are now
  independent of sacrificed item types.
* Jiyva's abilities no longer use Invocations.
* Divine wrath is now contingent on XP gain and cannot be waited out.
* Okawaru, Trog, Makhleb, Yredelemnul, and Kikubaaqudgha wrath now scales
  better with player XL.
* Vehmuet wrath now employs actual conjurations instead of miscasts.
* Makhleb wrath can now hurl destruction at the player instead of being
  limited to servant summoning.
* All skills eventually trainable by divine abilities can be trained
  immediately on worshipping that god (Invocations for many gods, Evocations
  for Nemelex, Necromancy for Kiku, and Shields for TSO per Divine Shield).
* Ashenzari now generates 1-3 curse scrolls per remove curse scroll.
* Innate abilities hated by your god are now marked as such.

Interface
---------
* "Automagic" functionality similar to autofight has been added through the
  options automagic_enable, automagic_stop, and automagic_fight; it can be
  used to automatically cast spells in a specified slot in combat.
* Different types of magical traps are coloured differently.
* Unnaturally hard rock walls have a new default glyph.
* The % screen has a new layout.
* You are prompted to continue wearing/unwearing armour when a monster comes
  into view.
* "pickup_mode = multi|single" is now "pickup_menu = true|false", with true
  being the default; "pickup_menu_limit" has been introduced to handle
  the old "auto:X" settings.
* The "auto_list" option has been removed.
* The WebTiles spectator box sorts names and links online player profiles.
* URLs occurring in WebTiles chat messages are hyperlinked.
* New default minimap colours.
* Examining a monster now displays the speeds at which it takes actions if
  those actions are slower or faster than its normal speed.
* arena_delay, which controls the speed of arena play and animations, is now
  available outside of arena mode as view_delay.
* Monsters get invisible monster indicators for one turn after they become
  invisible to the player.
* The shop screen layout has been revised.

Stone Soup 0.13.2 (20140404)
----------------------------
* More crash fixes.
* More message improvements.
* Long inscriptions in inventory are trimmed.
* Inscriptions can show unicode.
* Branch entrances can no longer be blocked by traps.
* Autoexplore no longer mysteriously gets stuck.
* Explore horizon no longer hides detected items.
* Wanderers cannot start with both a shield and two-handed weapon equipped.
* Avoid giving double piety for some collateral kills.
* Monsters now use the correct number of charges when zapping rods.
* Fixed various issues with inspecting unknown squares.

Stone Soup 0.13.1 (20131128)
----------------------------
* Several crash fixes.
* Several message improvements.
* Spectral weapon and battlespheres behave better with stairs.
* Wind blasts can no longer push monsters through walls.
* Shadow creatures band members don't count towards the summon cap.
* Awakened trees and flaying ghosts respect sanctuary.
* Unfinished monsters shouldn't spawn anymore, and are identified if they do.
* You can check \ when reading scrolls of identify.
* clua/gearset works again.
* Vampires can't use lich form anymore.
* A tome of destruction evoke-fest exploit is no more.
* Monsters can't swap weapons while berserk.
* Fixed several bugs related to removed or disabled species/backgrounds.

Stone Soup 0.13 (20131011)
--------------------------

0.13 highlights
---------------
* A new race: Gargoyles.
* A reimagined Skald background.
* A thorough rework of the monster set in Crypt.
* Improvements to many evokable items.
* A new item: sack of spiders.
* Massively overhauled layout generators.
* Summoning school: per-spell limits and no stair following or pulling.
* New Sprint map: linesprint.

Branches, environment
---------------------
* A new Sprint map: "|||||||||||||||||||||||||||||" by st (otherwise known as
  linesprint).
* Branches now have exactly one exit stair (except the Dungeon, which can,
  but is not guaranteed, to have more).
* Many new layouts have been added to most branches, including unique layouts
  for branches that didn't have them; and numerous tweaks and improvements
  to existing layouts.
* Vaults can now be placed at the centre of some layouts prepared to accept
  them there.
* All portal vaults entrances that time out are now announced.
* Temple overflow altars can now contain multiple altars.
* New shop type: gadget shops, which sell evokable items.
* Mechanical traps do not spawn outside of vaults.
* Zot trap effects are now only a subset of the full set of miscasts, and
  have some new unique effects - draining of wand charges and Word of Recall
  (as per ironbrand convokers).

Character
---------
* A new race: Gargoyles, with low natural HP but an impressive host of
  resistances and the ability to fly at XL14.
* Sludge elves are no more.
* The Skald background gets a reworked spellbook with four new spells:
    - Infusion grants additional melee damage costing MP with each strike;
    - Song of Slaying grants an incremental slaying bonus with every monster
      killed (of sufficient threat level);
    - Spectral Weapon creates an allied spectral clone of your weapon
      which strikes enemies in melee when you do.
    - Song of Shielding has a similar effect to Spirit Shield, trading HP
      loss for MP loss.
* Priests are no more.
* The nausea status from eating contaminated chunks has been removed;
  contaminated chunks now give less nutrition for characters that can't
  handle them.
* Stabbing skill is no more; stabs now depend upon the average of the
  character's stealth and weapon skill.
* The Traps skill is no more; all characters detect traps as though they
  had (XL/3) Traps skill.
* Chaos knights start with a +0 chaos weapon instead of a +2 normal weapon.
* New tier 2 demonspawn mutation - "magic shield", giving spirit shield
  at level one, improved magic regeneration at level two, and regenerating
  mana in place of health as a function of current magic level at level
  three.
* Deaths to acid, self-targeting, and sticky flame now credit
  the appropriate monster/spell.
* Draining a stat to zero can no longer directly kill the player; instead,
  further stat drain damages the player. The effects of a stat being at zero
  (fainting, slow actions, etc.) persist.
* Ogre hunters and artificers now start with a club instead of a short sword.
* Teleport control is a duration, which expires after time or use. It still
  is disallowed on some levels.

Monsters
--------
* New/reworked Crypt monsters:
    - Wraiths, shadow wraiths, and eidolons drain speed instead of XP.
    - Eidolons deal more melee damage and can cast bolt of draining.
    - Phantasmal warriors can temporarily reduce their target's magic
      resistance and can blink closer to their foes.
    - Flayed ghosts gain a smite-targeted flaying attack, dealing
      temporary damage that scales with XP and goes away when the flayed
      ghost is killed and/or enough time passes.
    - Ancient champions, formerly a vault-specific monster, are now
      full randomly-generated monsters, coming with a band of skeletal
      warriors 50% of the time.
    - Vampire mages cast vampiric draining more often, and have slightly
      higher HD and HP; they also come with a band of vampires.
    - Rotting hulks are now plague shamblers, capable of inflicting a
      "retching" status effect that prevents food consumption; they
      generate a cloud of miasma on death.
    - Spectral things move at their full base monster speed.
    - Deep dwarf death knights gain slightly better attack power and
      starting equipment, and now come with a band of undead.
    - Flying skulls get a slight HP boost and a larger attack power boost.
    - Ghouls inflict rot half as often.
    - Curse skulls are capable of out-of-LOS movement, similar to wandering
      mushrooms, but preferring to place themselves where a player needs to
      move the most to actually reach them.
    - New monster: revenants, possessing a ghostly fireball attack and
      capable of creating clouds of ghostly flame, which do not harm
      undead and occasionally summon spectral things.
    - New monster: lost souls, who sacrifice themselves to heal nearby
      undead creatures or assume the shape of a nearby killed living
      creature; they can be summoned by deep elf death mages.
    - Necromancers don't come with necrophages, but do some with simulacra.
    - Unborn deep dwarves are now just unborn.
    - New monster: jiangshi, who move in short bursts (like sixfirhies) and
      possess a vampiric melee attack.
* New forest-themed monsters:
    - Spriggan assassins and enchanters, who attempt to disable the player
      with blowguns and hexes respectively before moving in for the kill.
* Other new monsters:
    - Tengu reavers, skilled with both steel and spells; appearing in the
      late dungeon and in Vaults.
    - Deathcaps, summonable by curse toes - tougher wandering mushrooms
      with Drain Life.
* New unique: Sojobo, king of the tengu.
* Jory now spawns normally in the late dungeon, instead of being limited to
  vaults.
* Adjustments to some tier 4 demons:
    - Orange demons' sting has a 50% chance of inflicting a Weakness status,
      which reduces the player's attack damage.
    - Blue devils have a swooping attack, where they can immediately move
      adjacent to the player and attack from up to four tiles away.
    - Red devils can now hop backwards from adjacent foes to make use of their
      now-guaranteed polearms' reaching attacks.
* Adjustments to the elementals:
    - Water elementals have an asphyxiation attack which lasts as long as
      their target is next to them, and have slightly increased AC and HP.
    - Fire elementals (and fire vortices) deal pure fire damage.
* Updated spell set for several monsters:
    - Draconian shifters:
        - Banishment is dropped.
        - A new monster spell: Dimension Anchor, which temporarily prevents
          teleportation, blinking, and Phase Shift.
        - A new monster spell: Blink Allies Encircling, which blinks nearby
          allies around the target.
        - Controlled Blink is replaced with Blink Away as an emergency spell.
    - Spriggan air mages:
        - Drop Swiftness.
        - New spell: Control Winds, which manipulates clouds (including
          putting out fores fires immediately), and improves allied
          ranged weapon accuracy.
    - Spriggan druids:
        - Drop Summon Caniforms.
        - New spells: Haste Plants, which hastes nearby plant-like enemies,
          and Druid's Call, which calls wildlife from elsewhere on the level
          to aid the druid.
    - The Enchantress:
        - Banishment is banished.
        - Gains Dimension Anchor (see draconian shifter entry above), Strip
          Resistance (lowers the magic resistance of the target), and Mass
          Confusion.
    - Curse toes:
        - No more Summon Undead.
    - Deep elf summoners:
        - Summon Demon replaced with Summon Vermin, which summons orange
          rats, spiders, and some other things.
    - Deep elf priests/high priests:
        - A new spell "Malign Offering", which steals HP from the target
          to give to their allies.
    - Deep elf mages:
        - Entirely new spellsets:
            - Freeze, Throw Icicle, Summon Ice Beast;
            - Bolt of Magma, Stone Arrow, Petrify;
            - Iskenderun's Mystic Blast, Slow, Venom Bolt, Blink;
            - Flame Tongue, Throw Flame, Sticky Flame, Fireball;
            - Magic Dart, Force Lance, Iskenderun's Mystic Blast,
              Iskenderun's Battlesphere.
    - Deep elf conjurers:
        - Only one spellset (bolt of fire, bolt of cold, lightning bolt,
          bolt of draining); the spell set with sticky flame has been
          removed.
    - Gloorx Vloq:
        - No longer has Invisibility as an emergency spell.
* Speed adjustments to several monsters:
